import{S as Ly,i as Qy,s as Iy,e as o,k as c,w as y,t as s,M as Wy,c as n,d as t,m as h,a as r,x as k,h as a,b as m,N as Hy,G as e,g as u,y as j,q,o as $,B as E,v as Uy,L as At}from"../../chunks/vendor-hf-doc-builder.js";import{T as Is}from"../../chunks/Tip-hf-doc-builder.js";import{D as it}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ht}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Pt}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{F as Kc,M as vn}from"../../chunks/Markdown-hf-doc-builder.js";import{E as bo}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function By(x){let l,T,d,f,b,p,g,A,F,H,N,G,ae,v,R,X;return f=new ht({props:{code:`from transformers import TapasConfig, TapasForQuestionAnswering

# for example, the base sized model with default SQA configuration
model = TapasForQuestionAnswering.from_pretrained("google/tapas-base")

# or, the base sized model with WTQ configuration
config = TapasConfig.from_pretrained("google/tapas-base-finetuned-wtq")
model = TapasForQuestionAnswering.from_pretrained("google/tapas-base", config=config)

# or, the base sized model with WikiSQL configuration
config = TapasConfig("google-base-finetuned-wikisql-supervised")
model = TapasForQuestionAnswering.from_pretrained("google/tapas-base", config=config)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TapasConfig, TapasForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># for example, the base sized model with default SQA configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># or, the base sized model with WTQ configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config = TapasConfig.from_pretrained(<span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># or, the base sized model with WikiSQL configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config = TapasConfig(<span class="hljs-string">&quot;google-base-finetuned-wikisql-supervised&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>, config=config)`}}),R=new ht({props:{code:`from transformers import TapasConfig, TapasForQuestionAnswering

# you can initialize the classification heads any way you want (see docs of TapasConfig)
config = TapasConfig(num_aggregation_labels=3, average_logits_per_cell=True)
# initializing the pre-trained base sized model with our custom classification heads
model = TapasForQuestionAnswering.from_pretrained("google/tapas-base", config=config)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TapasConfig, TapasForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># you can initialize the classification heads any way you want (see docs of TapasConfig)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config = TapasConfig(num_aggregation_labels=<span class="hljs-number">3</span>, average_logits_per_cell=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># initializing the pre-trained base sized model with our custom classification heads</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>, config=config)`}}),{c(){l=o("p"),T=s("Initializing a model with a pre-trained base and randomly initialized classification heads from the hub can be done as shown below."),d=c(),y(f.$$.fragment),b=c(),p=o("p"),g=s("Of course, you don\u2019t necessarily have to follow one of these three ways in which TAPAS was fine-tuned. You can also experiment by defining any hyperparameters you want when initializing "),A=o("a"),F=s("TapasConfig"),H=s(", and then create a "),N=o("a"),G=s("TapasForQuestionAnswering"),ae=s(" based on that configuration. For example, if you have a dataset that has both conversational questions and questions that might involve aggregation, then you can do it this way. Here\u2019s an example:"),v=c(),y(R.$$.fragment),this.h()},l(S){l=n(S,"P",{});var U=r(l);T=a(U,"Initializing a model with a pre-trained base and randomly initialized classification heads from the hub can be done as shown below."),U.forEach(t),d=h(S),k(f.$$.fragment,S),b=h(S),p=n(S,"P",{});var O=r(p);g=a(O,"Of course, you don\u2019t necessarily have to follow one of these three ways in which TAPAS was fine-tuned. You can also experiment by defining any hyperparameters you want when initializing "),A=n(O,"A",{href:!0});var C=r(A);F=a(C,"TapasConfig"),C.forEach(t),H=a(O,", and then create a "),N=n(O,"A",{href:!0});var W=r(N);G=a(W,"TapasForQuestionAnswering"),W.forEach(t),ae=a(O," based on that configuration. For example, if you have a dataset that has both conversational questions and questions that might involve aggregation, then you can do it this way. Here\u2019s an example:"),O.forEach(t),v=h(S),k(R.$$.fragment,S),this.h()},h(){m(A,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig"),m(N,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasForQuestionAnswering")},m(S,U){u(S,l,U),e(l,T),u(S,d,U),j(f,S,U),u(S,b,U),u(S,p,U),e(p,g),e(p,A),e(A,F),e(p,H),e(p,N),e(N,G),e(p,ae),u(S,v,U),j(R,S,U),X=!0},p:At,i(S){X||(q(f.$$.fragment,S),q(R.$$.fragment,S),X=!0)},o(S){$(f.$$.fragment,S),$(R.$$.fragment,S),X=!1},d(S){S&&t(l),S&&t(d),E(f,S),S&&t(b),S&&t(p),S&&t(v),E(R,S)}}}function Ry(x){let l,T;return l=new vn({props:{$$slots:{default:[By]},$$scope:{ctx:x}}}),{c(){y(l.$$.fragment)},l(d){k(l.$$.fragment,d)},m(d,f){j(l,d,f),T=!0},p(d,f){const b={};f&2&&(b.$$scope={dirty:f,ctx:d}),l.$set(b)},i(d){T||(q(l.$$.fragment,d),T=!0)},o(d){$(l.$$.fragment,d),T=!1},d(d){E(l,d)}}}function Gy(x){let l,T,d,f,b,p,g,A,F,H,N,G,ae,v,R,X,S,U,O;return g=new ht({props:{code:`from transformers import TapasConfig, TFTapasForQuestionAnswering

# for example, the base sized model with default SQA configuration
model = TFTapasForQuestionAnswering.from_pretrained("google/tapas-base")

# or, the base sized model with WTQ configuration
config = TapasConfig.from_pretrained("google/tapas-base-finetuned-wtq")
model = TFTapasForQuestionAnswering.from_pretrained("google/tapas-base", config=config)

# or, the base sized model with WikiSQL configuration
config = TapasConfig("google-base-finetuned-wikisql-supervised")
model = TFTapasForQuestionAnswering.from_pretrained("google/tapas-base", config=config)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TapasConfig, TFTapasForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># for example, the base sized model with default SQA configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFTapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># or, the base sized model with WTQ configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config = TapasConfig.from_pretrained(<span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFTapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># or, the base sized model with WikiSQL configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config = TapasConfig(<span class="hljs-string">&quot;google-base-finetuned-wikisql-supervised&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFTapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>, config=config)`}}),U=new ht({props:{code:`from transformers import TapasConfig, TFTapasForQuestionAnswering

# you can initialize the classification heads any way you want (see docs of TapasConfig)
config = TapasConfig(num_aggregation_labels=3, average_logits_per_cell=True)
# initializing the pre-trained base sized model with our custom classification heads
model = TFTapasForQuestionAnswering.from_pretrained("google/tapas-base", config=config)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TapasConfig, TFTapasForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># you can initialize the classification heads any way you want (see docs of TapasConfig)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config = TapasConfig(num_aggregation_labels=<span class="hljs-number">3</span>, average_logits_per_cell=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># initializing the pre-trained base sized model with our custom classification heads</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFTapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>, config=config)`}}),{c(){l=o("p"),T=s("Initializing a model with a pre-trained base and randomly initialized classification heads from the hub can be done as shown below. Be sure to have installed the "),d=o("a"),f=s("tensorflow_probability"),b=s(" dependency:"),p=c(),y(g.$$.fragment),A=c(),F=o("p"),H=s("Of course, you don\u2019t necessarily have to follow one of these three ways in which TAPAS was fine-tuned. You can also experiment by defining any hyperparameters you want when initializing "),N=o("a"),G=s("TapasConfig"),ae=s(", and then create a "),v=o("a"),R=s("TFTapasForQuestionAnswering"),X=s(" based on that configuration. For example, if you have a dataset that has both conversational questions and questions that might involve aggregation, then you can do it this way. Here\u2019s an example:"),S=c(),y(U.$$.fragment),this.h()},l(C){l=n(C,"P",{});var W=r(l);T=a(W,"Initializing a model with a pre-trained base and randomly initialized classification heads from the hub can be done as shown below. Be sure to have installed the "),d=n(W,"A",{href:!0,rel:!0});var Y=r(d);f=a(Y,"tensorflow_probability"),Y.forEach(t),b=a(W," dependency:"),W.forEach(t),p=h(C),k(g.$$.fragment,C),A=h(C),F=n(C,"P",{});var le=r(F);H=a(le,"Of course, you don\u2019t necessarily have to follow one of these three ways in which TAPAS was fine-tuned. You can also experiment by defining any hyperparameters you want when initializing "),N=n(le,"A",{href:!0});var me=r(N);G=a(me,"TapasConfig"),me.forEach(t),ae=a(le,", and then create a "),v=n(le,"A",{href:!0});var Z=r(v);R=a(Z,"TFTapasForQuestionAnswering"),Z.forEach(t),X=a(le," based on that configuration. For example, if you have a dataset that has both conversational questions and questions that might involve aggregation, then you can do it this way. Here\u2019s an example:"),le.forEach(t),S=h(C),k(U.$$.fragment,C),this.h()},h(){m(d,"href","https://github.com/tensorflow/probability"),m(d,"rel","nofollow"),m(N,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig"),m(v,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TFTapasForQuestionAnswering")},m(C,W){u(C,l,W),e(l,T),e(l,d),e(d,f),e(l,b),u(C,p,W),j(g,C,W),u(C,A,W),u(C,F,W),e(F,H),e(F,N),e(N,G),e(F,ae),e(F,v),e(v,R),e(F,X),u(C,S,W),j(U,C,W),O=!0},p:At,i(C){O||(q(g.$$.fragment,C),q(U.$$.fragment,C),O=!0)},o(C){$(g.$$.fragment,C),$(U.$$.fragment,C),O=!1},d(C){C&&t(l),C&&t(p),E(g,C),C&&t(A),C&&t(F),C&&t(S),E(U,C)}}}function Ky(x){let l,T;return l=new vn({props:{$$slots:{default:[Gy]},$$scope:{ctx:x}}}),{c(){y(l.$$.fragment)},l(d){k(l.$$.fragment,d)},m(d,f){j(l,d,f),T=!0},p(d,f){const b={};f&2&&(b.$$scope={dirty:f,ctx:d}),l.$set(b)},i(d){T||(q(l.$$.fragment,d),T=!0)},o(d){$(l.$$.fragment,d),T=!1},d(d){E(l,d)}}}function Vy(x){let l,T,d,f,b,p,g,A,F,H,N,G,ae,v,R,X,S,U,O,C,W,Y,le,me,Z,ge,ce,ee,_e,D,L,I,P,K,B,ve,ze,he,fe,Fe,se,ke,Te,Pe,Ce,je,Me,$e,pe,Se,ye,J,qe,V,We,oe,He,Ue,w,M,Ve,be,Ye,Je,Q,Le,ot,Qe,Ie,Xe,de,Ee,Ze,xe,ne,et,Be,re,Re,Ae,tt,Mt,St,Ws,Ot,bs,ts,Dt,ws,ut,Oe,Hs,Nt,ie,bt,ss,Us,Lt,ns,Bs,Qt,It,Rs,Wt,rs,Gs,Ht,is,Ks,Ut,Vs,st,Bt,ls,Ys,Rt,ds,Js,ps,lt,cs,De,hs,wt,Xs,Gt,Kt,Zs,ea,dt,ta,us,ms,gt,Vt;return lt=new ht({props:{code:`from transformers import TapasTokenizer
import pandas as pd

model_name = "google/tapas-base"
tokenizer = TapasTokenizer.from_pretrained(model_name)

data = {"Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"], "Number of movies": ["87", "53", "69"]}
queries = [
    "What is the name of the first actor?",
    "How many movies has George Clooney played in?",
    "What is the total number of movies?",
]
answer_coordinates = [[(0, 0)], [(2, 1)], [(0, 1), (1, 1), (2, 1)]]
answer_text = [["Brad Pitt"], ["69"], ["209"]]
table = pd.DataFrame.from_dict(data)
inputs = tokenizer(
    table=table,
    queries=queries,
    answer_coordinates=answer_coordinates,
    answer_text=answer_text,
    padding="max_length",
    return_tensors="pt",
)
inputs`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TapasTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>model_name = <span class="hljs-string">&quot;google/tapas-base&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = TapasTokenizer.from_pretrained(model_name)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {<span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>], <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>]}
<span class="hljs-meta">&gt;&gt;&gt; </span>queries = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;What is the name of the first actor?&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;How many movies has George Clooney played in?&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;What is the total number of movies?&quot;</span>,
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_coordinates = [[(<span class="hljs-number">0</span>, <span class="hljs-number">0</span>)], [(<span class="hljs-number">2</span>, <span class="hljs-number">1</span>)], [(<span class="hljs-number">0</span>, <span class="hljs-number">1</span>), (<span class="hljs-number">1</span>, <span class="hljs-number">1</span>), (<span class="hljs-number">2</span>, <span class="hljs-number">1</span>)]]
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_text = [[<span class="hljs-string">&quot;Brad Pitt&quot;</span>], [<span class="hljs-string">&quot;69&quot;</span>], [<span class="hljs-string">&quot;209&quot;</span>]]
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    table=table,
<span class="hljs-meta">... </span>    queries=queries,
<span class="hljs-meta">... </span>    answer_coordinates=answer_coordinates,
<span class="hljs-meta">... </span>    answer_text=answer_text,
<span class="hljs-meta">... </span>    padding=<span class="hljs-string">&quot;max_length&quot;</span>,
<span class="hljs-meta">... </span>    return_tensors=<span class="hljs-string">&quot;pt&quot;</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs
{<span class="hljs-string">&#x27;input_ids&#x27;</span>: tensor([[ ... ]]), <span class="hljs-string">&#x27;attention_mask&#x27;</span>: tensor([[...]]), <span class="hljs-string">&#x27;token_type_ids&#x27;</span>: tensor([[[...]]]),
<span class="hljs-string">&#x27;numeric_values&#x27;</span>: tensor([[ ... ]]), <span class="hljs-string">&#x27;numeric_values_scale: tensor([[ ... ]]), labels: tensor([[ ... ]])}</span>`}}),gt=new ht({props:{code:`import torch
import pandas as pd

tsv_path = "your_path_to_the_tsv_file"
table_csv_path = "your_path_to_a_directory_containing_all_csv_files"


class TableDataset(torch.utils.data.Dataset):
    def __init__(self, data, tokenizer):
        self.data = data
        self.tokenizer = tokenizer

    def __getitem__(self, idx):
        item = data.iloc[idx]
        table = pd.read_csv(table_csv_path + item.table_file).astype(
            str
        )  # be sure to make your table data text only
        encoding = self.tokenizer(
            table=table,
            queries=item.question,
            answer_coordinates=item.answer_coordinates,
            answer_text=item.answer_text,
            truncation=True,
            padding="max_length",
            return_tensors="pt",
        )
        # remove the batch dimension which the tokenizer adds by default
        encoding = {key: val.squeeze(0) for key, val in encoding.items()}
        # add the float_answer which is also required (weak supervision for aggregation case)
        encoding["float_answer"] = torch.tensor(item.float_answer)
        return encoding

    def __len__(self):
        return len(self.data)


data = pd.read_csv(tsv_path, sep="\\t")
train_dataset = TableDataset(data, tokenizer)
train_dataloader = torch.utils.data.DataLoader(train_dataset, batch_size=32)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>tsv_path = <span class="hljs-string">&quot;your_path_to_the_tsv_file&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>table_csv_path = <span class="hljs-string">&quot;your_path_to_a_directory_containing_all_csv_files&quot;</span>


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">class</span> <span class="hljs-title class_">TableDataset</span>(torch.utils.data.Dataset):
<span class="hljs-meta">... </span>    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__init__</span>(<span class="hljs-params">self, data, tokenizer</span>):
<span class="hljs-meta">... </span>        self.data = data
<span class="hljs-meta">... </span>        self.tokenizer = tokenizer

<span class="hljs-meta">... </span>    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__getitem__</span>(<span class="hljs-params">self, idx</span>):
<span class="hljs-meta">... </span>        item = data.iloc[idx]
<span class="hljs-meta">... </span>        table = pd.read_csv(table_csv_path + item.table_file).astype(
<span class="hljs-meta">... </span>            <span class="hljs-built_in">str</span>
<span class="hljs-meta">... </span>        )  <span class="hljs-comment"># be sure to make your table data text only</span>
<span class="hljs-meta">... </span>        encoding = self.tokenizer(
<span class="hljs-meta">... </span>            table=table,
<span class="hljs-meta">... </span>            queries=item.question,
<span class="hljs-meta">... </span>            answer_coordinates=item.answer_coordinates,
<span class="hljs-meta">... </span>            answer_text=item.answer_text,
<span class="hljs-meta">... </span>            truncation=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>            padding=<span class="hljs-string">&quot;max_length&quot;</span>,
<span class="hljs-meta">... </span>            return_tensors=<span class="hljs-string">&quot;pt&quot;</span>,
<span class="hljs-meta">... </span>        )
<span class="hljs-meta">... </span>        <span class="hljs-comment"># remove the batch dimension which the tokenizer adds by default</span>
<span class="hljs-meta">... </span>        encoding = {key: val.squeeze(<span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> key, val <span class="hljs-keyword">in</span> encoding.items()}
<span class="hljs-meta">... </span>        <span class="hljs-comment"># add the float_answer which is also required (weak supervision for aggregation case)</span>
<span class="hljs-meta">... </span>        encoding[<span class="hljs-string">&quot;float_answer&quot;</span>] = torch.tensor(item.float_answer)
<span class="hljs-meta">... </span>        <span class="hljs-keyword">return</span> encoding

<span class="hljs-meta">... </span>    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__len__</span>(<span class="hljs-params">self</span>):
<span class="hljs-meta">... </span>        <span class="hljs-keyword">return</span> <span class="hljs-built_in">len</span>(self.data)


<span class="hljs-meta">&gt;&gt;&gt; </span>data = pd.read_csv(tsv_path, sep=<span class="hljs-string">&quot;\\t&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>train_dataset = TableDataset(data, tokenizer)
<span class="hljs-meta">&gt;&gt;&gt; </span>train_dataloader = torch.utils.data.DataLoader(train_dataset, batch_size=<span class="hljs-number">32</span>)`}}),{c(){l=o("p"),T=s("Third, given that you\u2019ve prepared your data in this TSV/CSV format (and corresponding CSV files containing the tabular data), you can then use "),d=o("a"),f=s("TapasTokenizer"),b=s(" to convert table-question pairs into "),p=o("code"),g=s("input_ids"),A=s(", "),F=o("code"),H=s("attention_mask"),N=s(", "),G=o("code"),ae=s("token_type_ids"),v=s(" and so on. Again, based on which of the three cases you picked above, "),R=o("a"),X=s("TapasForQuestionAnswering"),S=s(` requires different
inputs to be fine-tuned:`),U=c(),O=o("table"),C=o("thead"),W=o("tr"),Y=o("th"),le=o("strong"),me=s("Task"),Z=c(),ge=o("th"),ce=o("strong"),ee=s("Required inputs"),_e=c(),D=o("tbody"),L=o("tr"),I=o("td"),P=s("Conversational"),K=c(),B=o("td"),ve=o("code"),ze=s("input_ids"),he=s(", "),fe=o("code"),Fe=s("attention_mask"),se=s(", "),ke=o("code"),Te=s("token_type_ids"),Pe=s(", "),Ce=o("code"),je=s("labels"),Me=c(),$e=o("tr"),pe=o("td"),Se=s("Weak supervision for aggregation"),ye=c(),J=o("td"),qe=o("code"),V=s("input_ids"),We=s(", "),oe=o("code"),He=s("attention_mask"),Ue=s(", "),w=o("code"),M=s("token_type_ids"),Ve=s(", "),be=o("code"),Ye=s("labels"),Je=s(", "),Q=o("code"),Le=s("numeric_values"),ot=s(", "),Qe=o("code"),Ie=s("numeric_values_scale"),Xe=s(", "),de=o("code"),Ee=s("float_answer"),Ze=c(),xe=o("tr"),ne=o("td"),et=s("Strong supervision for aggregation"),Be=c(),re=o("td"),Re=o("code"),Ae=s("input ids"),tt=s(", "),Mt=o("code"),St=s("attention mask"),Ws=s(", "),Ot=o("code"),bs=s("token type ids"),ts=s(", "),Dt=o("code"),ws=s("labels"),ut=s(", "),Oe=o("code"),Hs=s("aggregation_labels"),Nt=c(),ie=o("p"),bt=o("a"),ss=s("TapasTokenizer"),Us=s(" creates the "),Lt=o("code"),ns=s("labels"),Bs=s(", "),Qt=o("code"),It=s("numeric_values"),Rs=s(" and "),Wt=o("code"),rs=s("numeric_values_scale"),Gs=s(" based on the "),Ht=o("code"),is=s("answer_coordinates"),Ks=s(" and "),Ut=o("code"),Vs=s("answer_text"),st=s(" columns of the TSV file. The "),Bt=o("code"),ls=s("float_answer"),Ys=s(" and "),Rt=o("code"),ds=s("aggregation_labels"),Js=s(" are already in the TSV file of step 2. Here\u2019s an example:"),ps=c(),y(lt.$$.fragment),cs=c(),De=o("p"),hs=s("Note that "),wt=o("a"),Xs=s("TapasTokenizer"),Gt=s(" expects the data of the table to be "),Kt=o("strong"),Zs=s("text-only"),ea=s(". You can use "),dt=o("code"),ta=s(".astype(str)"),us=s(` on a dataframe to turn it into text-only data.
Of course, this only shows how to encode a single training example. It is advised to create a dataloader to iterate over batches:`),ms=c(),y(gt.$$.fragment),this.h()},l(z){l=n(z,"P",{});var te=r(l);T=a(te,"Third, given that you\u2019ve prepared your data in this TSV/CSV format (and corresponding CSV files containing the tabular data), you can then use "),d=n(te,"A",{href:!0});var ka=r(d);f=a(ka,"TapasTokenizer"),ka.forEach(t),b=a(te," to convert table-question pairs into "),p=n(te,"CODE",{});var sa=r(p);g=a(sa,"input_ids"),sa.forEach(t),A=a(te,", "),F=n(te,"CODE",{});var ja=r(F);H=a(ja,"attention_mask"),ja.forEach(t),N=a(te,", "),G=n(te,"CODE",{});var ha=r(G);ae=a(ha,"token_type_ids"),ha.forEach(t),v=a(te," and so on. Again, based on which of the three cases you picked above, "),R=n(te,"A",{href:!0});var Yt=r(R);X=a(Yt,"TapasForQuestionAnswering"),Yt.forEach(t),S=a(te,` requires different
inputs to be fine-tuned:`),te.forEach(t),U=h(z),O=n(z,"TABLE",{});var _t=r(O);C=n(_t,"THEAD",{});var aa=r(C);W=n(aa,"TR",{});var vt=r(W);Y=n(vt,"TH",{});var qa=r(Y);le=n(qa,"STRONG",{});var oa=r(le);me=a(oa,"Task"),oa.forEach(t),qa.forEach(t),Z=h(vt),ge=n(vt,"TH",{});var $a=r(ge);ce=n($a,"STRONG",{});var ua=r(ce);ee=a(ua,"Required inputs"),ua.forEach(t),$a.forEach(t),vt.forEach(t),aa.forEach(t),_e=h(_t),D=n(_t,"TBODY",{});var nt=r(D);L=n(nt,"TR",{});var fs=r(L);I=n(fs,"TD",{});var vs=r(I);P=a(vs,"Conversational"),vs.forEach(t),K=h(fs),B=n(fs,"TD",{});var pt=r(B);ve=n(pt,"CODE",{});var Ea=r(ve);ze=a(Ea,"input_ids"),Ea.forEach(t),he=a(pt,", "),fe=n(pt,"CODE",{});var ma=r(fe);Fe=a(ma,"attention_mask"),ma.forEach(t),se=a(pt,", "),ke=n(pt,"CODE",{});var ys=r(ke);Te=a(ys,"token_type_ids"),ys.forEach(t),Pe=a(pt,", "),Ce=n(pt,"CODE",{});var na=r(Ce);je=a(na,"labels"),na.forEach(t),pt.forEach(t),fs.forEach(t),Me=h(nt),$e=n(nt,"TR",{});var gs=r($e);pe=n(gs,"TD",{});var fa=r(pe);Se=a(fa,"Weak supervision for aggregation"),fa.forEach(t),ye=h(gs),J=n(gs,"TD",{});var we=r(J);qe=n(we,"CODE",{});var Aa=r(qe);V=a(Aa,"input_ids"),Aa.forEach(t),We=a(we,", "),oe=n(we,"CODE",{});var ks=r(oe);He=a(ks,"attention_mask"),ks.forEach(t),Ue=a(we,", "),w=n(we,"CODE",{});var Fa=r(w);M=a(Fa,"token_type_ids"),Fa.forEach(t),Ve=a(we,", "),be=n(we,"CODE",{});var za=r(be);Ye=a(za,"labels"),za.forEach(t),Je=a(we,", "),Q=n(we,"CODE",{});var ga=r(Q);Le=a(ga,"numeric_values"),ga.forEach(t),ot=a(we,", "),Qe=n(we,"CODE",{});var Ft=r(Qe);Ie=a(Ft,"numeric_values_scale"),Ft.forEach(t),Xe=a(we,", "),de=n(we,"CODE",{});var ra=r(de);Ee=a(ra,"float_answer"),ra.forEach(t),we.forEach(t),gs.forEach(t),Ze=h(nt),xe=n(nt,"TR",{});var _s=r(xe);ne=n(_s,"TD",{});var xa=r(ne);et=a(xa,"Strong supervision for aggregation"),xa.forEach(t),Be=h(_s),re=n(_s,"TD",{});var Ne=r(re);Re=n(Ne,"CODE",{});var Ca=r(Re);Ae=a(Ca,"input ids"),Ca.forEach(t),tt=a(Ne,", "),Mt=n(Ne,"CODE",{});var ia=r(Mt);St=a(ia,"attention mask"),ia.forEach(t),Ws=a(Ne,", "),Ot=n(Ne,"CODE",{});var Pa=r(Ot);bs=a(Pa,"token type ids"),Pa.forEach(t),ts=a(Ne,", "),Dt=n(Ne,"CODE",{});var Ma=r(Dt);ws=a(Ma,"labels"),Ma.forEach(t),ut=a(Ne,", "),Oe=n(Ne,"CODE",{});var Sa=r(Oe);Hs=a(Sa,"aggregation_labels"),Sa.forEach(t),Ne.forEach(t),_s.forEach(t),nt.forEach(t),_t.forEach(t),Nt=h(z),ie=n(z,"P",{});var ue=r(ie);bt=n(ue,"A",{href:!0});var Oa=r(bt);ss=a(Oa,"TapasTokenizer"),Oa.forEach(t),Us=a(ue," creates the "),Lt=n(ue,"CODE",{});var la=r(Lt);ns=a(la,"labels"),la.forEach(t),Bs=a(ue,", "),Qt=n(ue,"CODE",{});var Da=r(Qt);It=a(Da,"numeric_values"),Da.forEach(t),Rs=a(ue," and "),Wt=n(ue,"CODE",{});var Na=r(Wt);rs=a(Na,"numeric_values_scale"),Na.forEach(t),Gs=a(ue," based on the "),Ht=n(ue,"CODE",{});var _a=r(Ht);is=a(_a,"answer_coordinates"),_a.forEach(t),Ks=a(ue," and "),Ut=n(ue,"CODE",{});var js=r(Ut);Vs=a(js,"answer_text"),js.forEach(t),st=a(ue," columns of the TSV file. The "),Bt=n(ue,"CODE",{});var La=r(Bt);ls=a(La,"float_answer"),La.forEach(t),Ys=a(ue," and "),Rt=n(ue,"CODE",{});var Ta=r(Rt);ds=a(Ta,"aggregation_labels"),Ta.forEach(t),Js=a(ue," are already in the TSV file of step 2. Here\u2019s an example:"),ue.forEach(t),ps=h(z),k(lt.$$.fragment,z),cs=h(z),De=n(z,"P",{});var Ge=r(De);hs=a(Ge,"Note that "),wt=n(Ge,"A",{href:!0});var da=r(wt);Xs=a(da,"TapasTokenizer"),da.forEach(t),Gt=a(Ge," expects the data of the table to be "),Kt=n(Ge,"STRONG",{});var Jt=r(Kt);Zs=a(Jt,"text-only"),Jt.forEach(t),ea=a(Ge,". You can use "),dt=n(Ge,"CODE",{});var pa=r(dt);ta=a(pa,".astype(str)"),pa.forEach(t),us=a(Ge,` on a dataframe to turn it into text-only data.
Of course, this only shows how to encode a single training example. It is advised to create a dataloader to iterate over batches:`),Ge.forEach(t),ms=h(z),k(gt.$$.fragment,z),this.h()},h(){m(d,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer"),m(R,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasForQuestionAnswering"),m(bt,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer"),m(wt,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer")},m(z,te){u(z,l,te),e(l,T),e(l,d),e(d,f),e(l,b),e(l,p),e(p,g),e(l,A),e(l,F),e(F,H),e(l,N),e(l,G),e(G,ae),e(l,v),e(l,R),e(R,X),e(l,S),u(z,U,te),u(z,O,te),e(O,C),e(C,W),e(W,Y),e(Y,le),e(le,me),e(W,Z),e(W,ge),e(ge,ce),e(ce,ee),e(O,_e),e(O,D),e(D,L),e(L,I),e(I,P),e(L,K),e(L,B),e(B,ve),e(ve,ze),e(B,he),e(B,fe),e(fe,Fe),e(B,se),e(B,ke),e(ke,Te),e(B,Pe),e(B,Ce),e(Ce,je),e(D,Me),e(D,$e),e($e,pe),e(pe,Se),e($e,ye),e($e,J),e(J,qe),e(qe,V),e(J,We),e(J,oe),e(oe,He),e(J,Ue),e(J,w),e(w,M),e(J,Ve),e(J,be),e(be,Ye),e(J,Je),e(J,Q),e(Q,Le),e(J,ot),e(J,Qe),e(Qe,Ie),e(J,Xe),e(J,de),e(de,Ee),e(D,Ze),e(D,xe),e(xe,ne),e(ne,et),e(xe,Be),e(xe,re),e(re,Re),e(Re,Ae),e(re,tt),e(re,Mt),e(Mt,St),e(re,Ws),e(re,Ot),e(Ot,bs),e(re,ts),e(re,Dt),e(Dt,ws),e(re,ut),e(re,Oe),e(Oe,Hs),u(z,Nt,te),u(z,ie,te),e(ie,bt),e(bt,ss),e(ie,Us),e(ie,Lt),e(Lt,ns),e(ie,Bs),e(ie,Qt),e(Qt,It),e(ie,Rs),e(ie,Wt),e(Wt,rs),e(ie,Gs),e(ie,Ht),e(Ht,is),e(ie,Ks),e(ie,Ut),e(Ut,Vs),e(ie,st),e(ie,Bt),e(Bt,ls),e(ie,Ys),e(ie,Rt),e(Rt,ds),e(ie,Js),u(z,ps,te),j(lt,z,te),u(z,cs,te),u(z,De,te),e(De,hs),e(De,wt),e(wt,Xs),e(De,Gt),e(De,Kt),e(Kt,Zs),e(De,ea),e(De,dt),e(dt,ta),e(De,us),u(z,ms,te),j(gt,z,te),Vt=!0},p:At,i(z){Vt||(q(lt.$$.fragment,z),q(gt.$$.fragment,z),Vt=!0)},o(z){$(lt.$$.fragment,z),$(gt.$$.fragment,z),Vt=!1},d(z){z&&t(l),z&&t(U),z&&t(O),z&&t(Nt),z&&t(ie),z&&t(ps),E(lt,z),z&&t(cs),z&&t(De),z&&t(ms),E(gt,z)}}}function Yy(x){let l,T;return l=new vn({props:{$$slots:{default:[Vy]},$$scope:{ctx:x}}}),{c(){y(l.$$.fragment)},l(d){k(l.$$.fragment,d)},m(d,f){j(l,d,f),T=!0},p(d,f){const b={};f&2&&(b.$$scope={dirty:f,ctx:d}),l.$set(b)},i(d){T||(q(l.$$.fragment,d),T=!0)},o(d){$(l.$$.fragment,d),T=!1},d(d){E(l,d)}}}function Jy(x){let l,T,d,f,b,p,g,A,F,H,N,G,ae,v,R,X,S,U,O,C,W,Y,le,me,Z,ge,ce,ee,_e,D,L,I,P,K,B,ve,ze,he,fe,Fe,se,ke,Te,Pe,Ce,je,Me,$e,pe,Se,ye,J,qe,V,We,oe,He,Ue,w,M,Ve,be,Ye,Je,Q,Le,ot,Qe,Ie,Xe,de,Ee,Ze,xe,ne,et,Be,re,Re,Ae,tt,Mt,St,Ws,Ot,bs,ts,Dt,ws,ut,Oe,Hs,Nt,ie,bt,ss,Us,Lt,ns,Bs,Qt,It,Rs,Wt,rs,Gs,Ht,is,Ks,Ut,Vs,st,Bt,ls,Ys,Rt,ds,Js,ps,lt,cs,De,hs,wt,Xs,Gt,Kt,Zs,ea,dt,ta,us,ms,gt,Vt;return lt=new ht({props:{code:`from transformers import TapasTokenizer
import pandas as pd

model_name = "google/tapas-base"
tokenizer = TapasTokenizer.from_pretrained(model_name)

data = {"Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"], "Number of movies": ["87", "53", "69"]}
queries = [
    "What is the name of the first actor?",
    "How many movies has George Clooney played in?",
    "What is the total number of movies?",
]
answer_coordinates = [[(0, 0)], [(2, 1)], [(0, 1), (1, 1), (2, 1)]]
answer_text = [["Brad Pitt"], ["69"], ["209"]]
table = pd.DataFrame.from_dict(data)
inputs = tokenizer(
    table=table,
    queries=queries,
    answer_coordinates=answer_coordinates,
    answer_text=answer_text,
    padding="max_length",
    return_tensors="tf",
)
inputs`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TapasTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>model_name = <span class="hljs-string">&quot;google/tapas-base&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = TapasTokenizer.from_pretrained(model_name)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {<span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>], <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>]}
<span class="hljs-meta">&gt;&gt;&gt; </span>queries = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;What is the name of the first actor?&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;How many movies has George Clooney played in?&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;What is the total number of movies?&quot;</span>,
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_coordinates = [[(<span class="hljs-number">0</span>, <span class="hljs-number">0</span>)], [(<span class="hljs-number">2</span>, <span class="hljs-number">1</span>)], [(<span class="hljs-number">0</span>, <span class="hljs-number">1</span>), (<span class="hljs-number">1</span>, <span class="hljs-number">1</span>), (<span class="hljs-number">2</span>, <span class="hljs-number">1</span>)]]
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_text = [[<span class="hljs-string">&quot;Brad Pitt&quot;</span>], [<span class="hljs-string">&quot;69&quot;</span>], [<span class="hljs-string">&quot;209&quot;</span>]]
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    table=table,
<span class="hljs-meta">... </span>    queries=queries,
<span class="hljs-meta">... </span>    answer_coordinates=answer_coordinates,
<span class="hljs-meta">... </span>    answer_text=answer_text,
<span class="hljs-meta">... </span>    padding=<span class="hljs-string">&quot;max_length&quot;</span>,
<span class="hljs-meta">... </span>    return_tensors=<span class="hljs-string">&quot;tf&quot;</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs
{<span class="hljs-string">&#x27;input_ids&#x27;</span>: tensor([[ ... ]]), <span class="hljs-string">&#x27;attention_mask&#x27;</span>: tensor([[...]]), <span class="hljs-string">&#x27;token_type_ids&#x27;</span>: tensor([[[...]]]),
<span class="hljs-string">&#x27;numeric_values&#x27;</span>: tensor([[ ... ]]), <span class="hljs-string">&#x27;numeric_values_scale: tensor([[ ... ]]), labels: tensor([[ ... ]])}</span>`}}),gt=new ht({props:{code:`import tensorflow as tf
import pandas as pd

tsv_path = "your_path_to_the_tsv_file"
table_csv_path = "your_path_to_a_directory_containing_all_csv_files"


class TableDataset:
    def __init__(self, data, tokenizer):
        self.data = data
        self.tokenizer = tokenizer

    def __iter__(self):
        for idx in range(self.__len__()):
            item = self.data.iloc[idx]
            table = pd.read_csv(table_csv_path + item.table_file).astype(
                str
            )  # be sure to make your table data text only
            encoding = self.tokenizer(
                table=table,
                queries=item.question,
                answer_coordinates=item.answer_coordinates,
                answer_text=item.answer_text,
                truncation=True,
                padding="max_length",
                return_tensors="tf",
            )
            # remove the batch dimension which the tokenizer adds by default
            encoding = {key: tf.squeeze(val, 0) for key, val in encoding.items()}
            # add the float_answer which is also required (weak supervision for aggregation case)
            encoding["float_answer"] = tf.convert_to_tensor(item.float_answer, dtype=tf.float32)
            yield encoding["input_ids"], encoding["attention_mask"], encoding["numeric_values"], encoding[
                "numeric_values_scale"
            ], encoding["token_type_ids"], encoding["labels"], encoding["float_answer"]

    def __len__(self):
        return len(self.data)


data = pd.read_csv(tsv_path, sep="\\t")
train_dataset = TableDataset(data, tokenizer)
output_signature = (
    tf.TensorSpec(shape=(512,), dtype=tf.int32),
    tf.TensorSpec(shape=(512,), dtype=tf.int32),
    tf.TensorSpec(shape=(512,), dtype=tf.float32),
    tf.TensorSpec(shape=(512,), dtype=tf.float32),
    tf.TensorSpec(shape=(512, 7), dtype=tf.int32),
    tf.TensorSpec(shape=(512,), dtype=tf.int32),
    tf.TensorSpec(shape=(512,), dtype=tf.float32),
)
train_dataloader = tf.data.Dataset.from_generator(train_dataset, output_signature=output_signature).batch(32)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>tsv_path = <span class="hljs-string">&quot;your_path_to_the_tsv_file&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>table_csv_path = <span class="hljs-string">&quot;your_path_to_a_directory_containing_all_csv_files&quot;</span>


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">class</span> <span class="hljs-title class_">TableDataset</span>:
<span class="hljs-meta">... </span>    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__init__</span>(<span class="hljs-params">self, data, tokenizer</span>):
<span class="hljs-meta">... </span>        self.data = data
<span class="hljs-meta">... </span>        self.tokenizer = tokenizer

<span class="hljs-meta">... </span>    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__iter__</span>(<span class="hljs-params">self</span>):
<span class="hljs-meta">... </span>        <span class="hljs-keyword">for</span> idx <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(self.__len__()):
<span class="hljs-meta">... </span>            item = self.data.iloc[idx]
<span class="hljs-meta">... </span>            table = pd.read_csv(table_csv_path + item.table_file).astype(
<span class="hljs-meta">... </span>                <span class="hljs-built_in">str</span>
<span class="hljs-meta">... </span>            )  <span class="hljs-comment"># be sure to make your table data text only</span>
<span class="hljs-meta">... </span>            encoding = self.tokenizer(
<span class="hljs-meta">... </span>                table=table,
<span class="hljs-meta">... </span>                queries=item.question,
<span class="hljs-meta">... </span>                answer_coordinates=item.answer_coordinates,
<span class="hljs-meta">... </span>                answer_text=item.answer_text,
<span class="hljs-meta">... </span>                truncation=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>                padding=<span class="hljs-string">&quot;max_length&quot;</span>,
<span class="hljs-meta">... </span>                return_tensors=<span class="hljs-string">&quot;tf&quot;</span>,
<span class="hljs-meta">... </span>            )
<span class="hljs-meta">... </span>            <span class="hljs-comment"># remove the batch dimension which the tokenizer adds by default</span>
<span class="hljs-meta">... </span>            encoding = {key: tf.squeeze(val, <span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> key, val <span class="hljs-keyword">in</span> encoding.items()}
<span class="hljs-meta">... </span>            <span class="hljs-comment"># add the float_answer which is also required (weak supervision for aggregation case)</span>
<span class="hljs-meta">... </span>            encoding[<span class="hljs-string">&quot;float_answer&quot;</span>] = tf.convert_to_tensor(item.float_answer, dtype=tf.float32)
<span class="hljs-meta">... </span>            <span class="hljs-keyword">yield</span> encoding[<span class="hljs-string">&quot;input_ids&quot;</span>], encoding[<span class="hljs-string">&quot;attention_mask&quot;</span>], encoding[<span class="hljs-string">&quot;numeric_values&quot;</span>], encoding[
<span class="hljs-meta">... </span>                <span class="hljs-string">&quot;numeric_values_scale&quot;</span>
<span class="hljs-meta">... </span>            ], encoding[<span class="hljs-string">&quot;token_type_ids&quot;</span>], encoding[<span class="hljs-string">&quot;labels&quot;</span>], encoding[<span class="hljs-string">&quot;float_answer&quot;</span>]

<span class="hljs-meta">... </span>    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__len__</span>(<span class="hljs-params">self</span>):
<span class="hljs-meta">... </span>        <span class="hljs-keyword">return</span> <span class="hljs-built_in">len</span>(self.data)


<span class="hljs-meta">&gt;&gt;&gt; </span>data = pd.read_csv(tsv_path, sep=<span class="hljs-string">&quot;\\t&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>train_dataset = TableDataset(data, tokenizer)
<span class="hljs-meta">&gt;&gt;&gt; </span>output_signature = (
<span class="hljs-meta">... </span>    tf.TensorSpec(shape=(<span class="hljs-number">512</span>,), dtype=tf.int32),
<span class="hljs-meta">... </span>    tf.TensorSpec(shape=(<span class="hljs-number">512</span>,), dtype=tf.int32),
<span class="hljs-meta">... </span>    tf.TensorSpec(shape=(<span class="hljs-number">512</span>,), dtype=tf.float32),
<span class="hljs-meta">... </span>    tf.TensorSpec(shape=(<span class="hljs-number">512</span>,), dtype=tf.float32),
<span class="hljs-meta">... </span>    tf.TensorSpec(shape=(<span class="hljs-number">512</span>, <span class="hljs-number">7</span>), dtype=tf.int32),
<span class="hljs-meta">... </span>    tf.TensorSpec(shape=(<span class="hljs-number">512</span>,), dtype=tf.int32),
<span class="hljs-meta">... </span>    tf.TensorSpec(shape=(<span class="hljs-number">512</span>,), dtype=tf.float32),
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>train_dataloader = tf.data.Dataset.from_generator(train_dataset, output_signature=output_signature).batch(<span class="hljs-number">32</span>)`}}),{c(){l=o("p"),T=s("Third, given that you\u2019ve prepared your data in this TSV/CSV format (and corresponding CSV files containing the tabular data), you can then use "),d=o("a"),f=s("TapasTokenizer"),b=s(" to convert table-question pairs into "),p=o("code"),g=s("input_ids"),A=s(", "),F=o("code"),H=s("attention_mask"),N=s(", "),G=o("code"),ae=s("token_type_ids"),v=s(" and so on. Again, based on which of the three cases you picked above, "),R=o("a"),X=s("TFTapasForQuestionAnswering"),S=s(` requires different
inputs to be fine-tuned:`),U=c(),O=o("table"),C=o("thead"),W=o("tr"),Y=o("th"),le=o("strong"),me=s("Task"),Z=c(),ge=o("th"),ce=o("strong"),ee=s("Required inputs"),_e=c(),D=o("tbody"),L=o("tr"),I=o("td"),P=s("Conversational"),K=c(),B=o("td"),ve=o("code"),ze=s("input_ids"),he=s(", "),fe=o("code"),Fe=s("attention_mask"),se=s(", "),ke=o("code"),Te=s("token_type_ids"),Pe=s(", "),Ce=o("code"),je=s("labels"),Me=c(),$e=o("tr"),pe=o("td"),Se=s("Weak supervision for aggregation"),ye=c(),J=o("td"),qe=o("code"),V=s("input_ids"),We=s(", "),oe=o("code"),He=s("attention_mask"),Ue=s(", "),w=o("code"),M=s("token_type_ids"),Ve=s(", "),be=o("code"),Ye=s("labels"),Je=s(", "),Q=o("code"),Le=s("numeric_values"),ot=s(", "),Qe=o("code"),Ie=s("numeric_values_scale"),Xe=s(", "),de=o("code"),Ee=s("float_answer"),Ze=c(),xe=o("tr"),ne=o("td"),et=s("Strong supervision for aggregation"),Be=c(),re=o("td"),Re=o("code"),Ae=s("input ids"),tt=s(", "),Mt=o("code"),St=s("attention mask"),Ws=s(", "),Ot=o("code"),bs=s("token type ids"),ts=s(", "),Dt=o("code"),ws=s("labels"),ut=s(", "),Oe=o("code"),Hs=s("aggregation_labels"),Nt=c(),ie=o("p"),bt=o("a"),ss=s("TapasTokenizer"),Us=s(" creates the "),Lt=o("code"),ns=s("labels"),Bs=s(", "),Qt=o("code"),It=s("numeric_values"),Rs=s(" and "),Wt=o("code"),rs=s("numeric_values_scale"),Gs=s(" based on the "),Ht=o("code"),is=s("answer_coordinates"),Ks=s(" and "),Ut=o("code"),Vs=s("answer_text"),st=s(" columns of the TSV file. The "),Bt=o("code"),ls=s("float_answer"),Ys=s(" and "),Rt=o("code"),ds=s("aggregation_labels"),Js=s(" are already in the TSV file of step 2. Here\u2019s an example:"),ps=c(),y(lt.$$.fragment),cs=c(),De=o("p"),hs=s("Note that "),wt=o("a"),Xs=s("TapasTokenizer"),Gt=s(" expects the data of the table to be "),Kt=o("strong"),Zs=s("text-only"),ea=s(". You can use "),dt=o("code"),ta=s(".astype(str)"),us=s(` on a dataframe to turn it into text-only data.
Of course, this only shows how to encode a single training example. It is advised to create a dataloader to iterate over batches:`),ms=c(),y(gt.$$.fragment),this.h()},l(z){l=n(z,"P",{});var te=r(l);T=a(te,"Third, given that you\u2019ve prepared your data in this TSV/CSV format (and corresponding CSV files containing the tabular data), you can then use "),d=n(te,"A",{href:!0});var ka=r(d);f=a(ka,"TapasTokenizer"),ka.forEach(t),b=a(te," to convert table-question pairs into "),p=n(te,"CODE",{});var sa=r(p);g=a(sa,"input_ids"),sa.forEach(t),A=a(te,", "),F=n(te,"CODE",{});var ja=r(F);H=a(ja,"attention_mask"),ja.forEach(t),N=a(te,", "),G=n(te,"CODE",{});var ha=r(G);ae=a(ha,"token_type_ids"),ha.forEach(t),v=a(te," and so on. Again, based on which of the three cases you picked above, "),R=n(te,"A",{href:!0});var Yt=r(R);X=a(Yt,"TFTapasForQuestionAnswering"),Yt.forEach(t),S=a(te,` requires different
inputs to be fine-tuned:`),te.forEach(t),U=h(z),O=n(z,"TABLE",{});var _t=r(O);C=n(_t,"THEAD",{});var aa=r(C);W=n(aa,"TR",{});var vt=r(W);Y=n(vt,"TH",{});var qa=r(Y);le=n(qa,"STRONG",{});var oa=r(le);me=a(oa,"Task"),oa.forEach(t),qa.forEach(t),Z=h(vt),ge=n(vt,"TH",{});var $a=r(ge);ce=n($a,"STRONG",{});var ua=r(ce);ee=a(ua,"Required inputs"),ua.forEach(t),$a.forEach(t),vt.forEach(t),aa.forEach(t),_e=h(_t),D=n(_t,"TBODY",{});var nt=r(D);L=n(nt,"TR",{});var fs=r(L);I=n(fs,"TD",{});var vs=r(I);P=a(vs,"Conversational"),vs.forEach(t),K=h(fs),B=n(fs,"TD",{});var pt=r(B);ve=n(pt,"CODE",{});var Ea=r(ve);ze=a(Ea,"input_ids"),Ea.forEach(t),he=a(pt,", "),fe=n(pt,"CODE",{});var ma=r(fe);Fe=a(ma,"attention_mask"),ma.forEach(t),se=a(pt,", "),ke=n(pt,"CODE",{});var ys=r(ke);Te=a(ys,"token_type_ids"),ys.forEach(t),Pe=a(pt,", "),Ce=n(pt,"CODE",{});var na=r(Ce);je=a(na,"labels"),na.forEach(t),pt.forEach(t),fs.forEach(t),Me=h(nt),$e=n(nt,"TR",{});var gs=r($e);pe=n(gs,"TD",{});var fa=r(pe);Se=a(fa,"Weak supervision for aggregation"),fa.forEach(t),ye=h(gs),J=n(gs,"TD",{});var we=r(J);qe=n(we,"CODE",{});var Aa=r(qe);V=a(Aa,"input_ids"),Aa.forEach(t),We=a(we,", "),oe=n(we,"CODE",{});var ks=r(oe);He=a(ks,"attention_mask"),ks.forEach(t),Ue=a(we,", "),w=n(we,"CODE",{});var Fa=r(w);M=a(Fa,"token_type_ids"),Fa.forEach(t),Ve=a(we,", "),be=n(we,"CODE",{});var za=r(be);Ye=a(za,"labels"),za.forEach(t),Je=a(we,", "),Q=n(we,"CODE",{});var ga=r(Q);Le=a(ga,"numeric_values"),ga.forEach(t),ot=a(we,", "),Qe=n(we,"CODE",{});var Ft=r(Qe);Ie=a(Ft,"numeric_values_scale"),Ft.forEach(t),Xe=a(we,", "),de=n(we,"CODE",{});var ra=r(de);Ee=a(ra,"float_answer"),ra.forEach(t),we.forEach(t),gs.forEach(t),Ze=h(nt),xe=n(nt,"TR",{});var _s=r(xe);ne=n(_s,"TD",{});var xa=r(ne);et=a(xa,"Strong supervision for aggregation"),xa.forEach(t),Be=h(_s),re=n(_s,"TD",{});var Ne=r(re);Re=n(Ne,"CODE",{});var Ca=r(Re);Ae=a(Ca,"input ids"),Ca.forEach(t),tt=a(Ne,", "),Mt=n(Ne,"CODE",{});var ia=r(Mt);St=a(ia,"attention mask"),ia.forEach(t),Ws=a(Ne,", "),Ot=n(Ne,"CODE",{});var Pa=r(Ot);bs=a(Pa,"token type ids"),Pa.forEach(t),ts=a(Ne,", "),Dt=n(Ne,"CODE",{});var Ma=r(Dt);ws=a(Ma,"labels"),Ma.forEach(t),ut=a(Ne,", "),Oe=n(Ne,"CODE",{});var Sa=r(Oe);Hs=a(Sa,"aggregation_labels"),Sa.forEach(t),Ne.forEach(t),_s.forEach(t),nt.forEach(t),_t.forEach(t),Nt=h(z),ie=n(z,"P",{});var ue=r(ie);bt=n(ue,"A",{href:!0});var Oa=r(bt);ss=a(Oa,"TapasTokenizer"),Oa.forEach(t),Us=a(ue," creates the "),Lt=n(ue,"CODE",{});var la=r(Lt);ns=a(la,"labels"),la.forEach(t),Bs=a(ue,", "),Qt=n(ue,"CODE",{});var Da=r(Qt);It=a(Da,"numeric_values"),Da.forEach(t),Rs=a(ue," and "),Wt=n(ue,"CODE",{});var Na=r(Wt);rs=a(Na,"numeric_values_scale"),Na.forEach(t),Gs=a(ue," based on the "),Ht=n(ue,"CODE",{});var _a=r(Ht);is=a(_a,"answer_coordinates"),_a.forEach(t),Ks=a(ue," and "),Ut=n(ue,"CODE",{});var js=r(Ut);Vs=a(js,"answer_text"),js.forEach(t),st=a(ue," columns of the TSV file. The "),Bt=n(ue,"CODE",{});var La=r(Bt);ls=a(La,"float_answer"),La.forEach(t),Ys=a(ue," and "),Rt=n(ue,"CODE",{});var Ta=r(Rt);ds=a(Ta,"aggregation_labels"),Ta.forEach(t),Js=a(ue," are already in the TSV file of step 2. Here\u2019s an example:"),ue.forEach(t),ps=h(z),k(lt.$$.fragment,z),cs=h(z),De=n(z,"P",{});var Ge=r(De);hs=a(Ge,"Note that "),wt=n(Ge,"A",{href:!0});var da=r(wt);Xs=a(da,"TapasTokenizer"),da.forEach(t),Gt=a(Ge," expects the data of the table to be "),Kt=n(Ge,"STRONG",{});var Jt=r(Kt);Zs=a(Jt,"text-only"),Jt.forEach(t),ea=a(Ge,". You can use "),dt=n(Ge,"CODE",{});var pa=r(dt);ta=a(pa,".astype(str)"),pa.forEach(t),us=a(Ge,` on a dataframe to turn it into text-only data.
Of course, this only shows how to encode a single training example. It is advised to create a dataloader to iterate over batches:`),Ge.forEach(t),ms=h(z),k(gt.$$.fragment,z),this.h()},h(){m(d,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer"),m(R,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TFTapasForQuestionAnswering"),m(bt,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer"),m(wt,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer")},m(z,te){u(z,l,te),e(l,T),e(l,d),e(d,f),e(l,b),e(l,p),e(p,g),e(l,A),e(l,F),e(F,H),e(l,N),e(l,G),e(G,ae),e(l,v),e(l,R),e(R,X),e(l,S),u(z,U,te),u(z,O,te),e(O,C),e(C,W),e(W,Y),e(Y,le),e(le,me),e(W,Z),e(W,ge),e(ge,ce),e(ce,ee),e(O,_e),e(O,D),e(D,L),e(L,I),e(I,P),e(L,K),e(L,B),e(B,ve),e(ve,ze),e(B,he),e(B,fe),e(fe,Fe),e(B,se),e(B,ke),e(ke,Te),e(B,Pe),e(B,Ce),e(Ce,je),e(D,Me),e(D,$e),e($e,pe),e(pe,Se),e($e,ye),e($e,J),e(J,qe),e(qe,V),e(J,We),e(J,oe),e(oe,He),e(J,Ue),e(J,w),e(w,M),e(J,Ve),e(J,be),e(be,Ye),e(J,Je),e(J,Q),e(Q,Le),e(J,ot),e(J,Qe),e(Qe,Ie),e(J,Xe),e(J,de),e(de,Ee),e(D,Ze),e(D,xe),e(xe,ne),e(ne,et),e(xe,Be),e(xe,re),e(re,Re),e(Re,Ae),e(re,tt),e(re,Mt),e(Mt,St),e(re,Ws),e(re,Ot),e(Ot,bs),e(re,ts),e(re,Dt),e(Dt,ws),e(re,ut),e(re,Oe),e(Oe,Hs),u(z,Nt,te),u(z,ie,te),e(ie,bt),e(bt,ss),e(ie,Us),e(ie,Lt),e(Lt,ns),e(ie,Bs),e(ie,Qt),e(Qt,It),e(ie,Rs),e(ie,Wt),e(Wt,rs),e(ie,Gs),e(ie,Ht),e(Ht,is),e(ie,Ks),e(ie,Ut),e(Ut,Vs),e(ie,st),e(ie,Bt),e(Bt,ls),e(ie,Ys),e(ie,Rt),e(Rt,ds),e(ie,Js),u(z,ps,te),j(lt,z,te),u(z,cs,te),u(z,De,te),e(De,hs),e(De,wt),e(wt,Xs),e(De,Gt),e(De,Kt),e(Kt,Zs),e(De,ea),e(De,dt),e(dt,ta),e(De,us),u(z,ms,te),j(gt,z,te),Vt=!0},p:At,i(z){Vt||(q(lt.$$.fragment,z),q(gt.$$.fragment,z),Vt=!0)},o(z){$(lt.$$.fragment,z),$(gt.$$.fragment,z),Vt=!1},d(z){z&&t(l),z&&t(U),z&&t(O),z&&t(Nt),z&&t(ie),z&&t(ps),E(lt,z),z&&t(cs),z&&t(De),z&&t(ms),E(gt,z)}}}function Xy(x){let l,T;return l=new vn({props:{$$slots:{default:[Jy]},$$scope:{ctx:x}}}),{c(){y(l.$$.fragment)},l(d){k(l.$$.fragment,d)},m(d,f){j(l,d,f),T=!0},p(d,f){const b={};f&2&&(b.$$scope={dirty:f,ctx:d}),l.$set(b)},i(d){T||(q(l.$$.fragment,d),T=!0)},o(d){$(l.$$.fragment,d),T=!1},d(d){E(l,d)}}}function Zy(x){let l,T,d,f,b,p,g,A;return g=new ht({props:{code:`from transformers import TapasConfig, TapasForQuestionAnswering, AdamW

# this is the default WTQ configuration
config = TapasConfig(
    num_aggregation_labels=4,
    use_answer_as_supervision=True,
    answer_loss_cutoff=0.664694,
    cell_selection_preference=0.207951,
    huber_loss_delta=0.121194,
    init_cell_selection_weights_to_zero=True,
    select_one_column=True,
    allow_empty_column_selection=False,
    temperature=0.0352513,
)
model = TapasForQuestionAnswering.from_pretrained("google/tapas-base", config=config)

optimizer = AdamW(model.parameters(), lr=5e-5)

model.train()
for epoch in range(2):  # loop over the dataset multiple times
    for batch in train_dataloader:
        # get the inputs;
        input_ids = batch["input_ids"]
        attention_mask = batch["attention_mask"]
        token_type_ids = batch["token_type_ids"]
        labels = batch["labels"]
        numeric_values = batch["numeric_values"]
        numeric_values_scale = batch["numeric_values_scale"]
        float_answer = batch["float_answer"]

        # zero the parameter gradients
        optimizer.zero_grad()

        # forward + backward + optimize
        outputs = model(
            input_ids=input_ids,
            attention_mask=attention_mask,
            token_type_ids=token_type_ids,
            labels=labels,
            numeric_values=numeric_values,
            numeric_values_scale=numeric_values_scale,
            float_answer=float_answer,
        )
        loss = outputs.loss
        loss.backward()
        optimizer.step()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TapasConfig, TapasForQuestionAnswering, AdamW

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># this is the default WTQ configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config = TapasConfig(
<span class="hljs-meta">... </span>    num_aggregation_labels=<span class="hljs-number">4</span>,
<span class="hljs-meta">... </span>    use_answer_as_supervision=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    answer_loss_cutoff=<span class="hljs-number">0.664694</span>,
<span class="hljs-meta">... </span>    cell_selection_preference=<span class="hljs-number">0.207951</span>,
<span class="hljs-meta">... </span>    huber_loss_delta=<span class="hljs-number">0.121194</span>,
<span class="hljs-meta">... </span>    init_cell_selection_weights_to_zero=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    select_one_column=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    allow_empty_column_selection=<span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    temperature=<span class="hljs-number">0.0352513</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span>optimizer = AdamW(model.parameters(), lr=<span class="hljs-number">5e-5</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>model.train()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> epoch <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">2</span>):  <span class="hljs-comment"># loop over the dataset multiple times</span>
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> batch <span class="hljs-keyword">in</span> train_dataloader:
<span class="hljs-meta">... </span>        <span class="hljs-comment"># get the inputs;</span>
<span class="hljs-meta">... </span>        input_ids = batch[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">... </span>        attention_mask = batch[<span class="hljs-string">&quot;attention_mask&quot;</span>]
<span class="hljs-meta">... </span>        token_type_ids = batch[<span class="hljs-string">&quot;token_type_ids&quot;</span>]
<span class="hljs-meta">... </span>        labels = batch[<span class="hljs-string">&quot;labels&quot;</span>]
<span class="hljs-meta">... </span>        numeric_values = batch[<span class="hljs-string">&quot;numeric_values&quot;</span>]
<span class="hljs-meta">... </span>        numeric_values_scale = batch[<span class="hljs-string">&quot;numeric_values_scale&quot;</span>]
<span class="hljs-meta">... </span>        float_answer = batch[<span class="hljs-string">&quot;float_answer&quot;</span>]

<span class="hljs-meta">... </span>        <span class="hljs-comment"># zero the parameter gradients</span>
<span class="hljs-meta">... </span>        optimizer.zero_grad()

<span class="hljs-meta">... </span>        <span class="hljs-comment"># forward + backward + optimize</span>
<span class="hljs-meta">... </span>        outputs = model(
<span class="hljs-meta">... </span>            input_ids=input_ids,
<span class="hljs-meta">... </span>            attention_mask=attention_mask,
<span class="hljs-meta">... </span>            token_type_ids=token_type_ids,
<span class="hljs-meta">... </span>            labels=labels,
<span class="hljs-meta">... </span>            numeric_values=numeric_values,
<span class="hljs-meta">... </span>            numeric_values_scale=numeric_values_scale,
<span class="hljs-meta">... </span>            float_answer=float_answer,
<span class="hljs-meta">... </span>        )
<span class="hljs-meta">... </span>        loss = outputs.loss
<span class="hljs-meta">... </span>        loss.backward()
<span class="hljs-meta">... </span>        optimizer.step()`}}),{c(){l=o("p"),T=s("You can then fine-tune "),d=o("a"),f=s("TapasForQuestionAnswering"),b=s(" as follows (shown here for the weak supervision for aggregation case):"),p=c(),y(g.$$.fragment),this.h()},l(F){l=n(F,"P",{});var H=r(l);T=a(H,"You can then fine-tune "),d=n(H,"A",{href:!0});var N=r(d);f=a(N,"TapasForQuestionAnswering"),N.forEach(t),b=a(H," as follows (shown here for the weak supervision for aggregation case):"),H.forEach(t),p=h(F),k(g.$$.fragment,F),this.h()},h(){m(d,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasForQuestionAnswering")},m(F,H){u(F,l,H),e(l,T),e(l,d),e(d,f),e(l,b),u(F,p,H),j(g,F,H),A=!0},p:At,i(F){A||(q(g.$$.fragment,F),A=!0)},o(F){$(g.$$.fragment,F),A=!1},d(F){F&&t(l),F&&t(p),E(g,F)}}}function ek(x){let l,T;return l=new vn({props:{$$slots:{default:[Zy]},$$scope:{ctx:x}}}),{c(){y(l.$$.fragment)},l(d){k(l.$$.fragment,d)},m(d,f){j(l,d,f),T=!0},p(d,f){const b={};f&2&&(b.$$scope={dirty:f,ctx:d}),l.$set(b)},i(d){T||(q(l.$$.fragment,d),T=!0)},o(d){$(l.$$.fragment,d),T=!1},d(d){E(l,d)}}}function tk(x){let l,T,d,f,b,p,g,A;return g=new ht({props:{code:`import tensorflow as tf
from transformers import TapasConfig, TFTapasForQuestionAnswering

# this is the default WTQ configuration
config = TapasConfig(
    num_aggregation_labels=4,
    use_answer_as_supervision=True,
    answer_loss_cutoff=0.664694,
    cell_selection_preference=0.207951,
    huber_loss_delta=0.121194,
    init_cell_selection_weights_to_zero=True,
    select_one_column=True,
    allow_empty_column_selection=False,
    temperature=0.0352513,
)
model = TFTapasForQuestionAnswering.from_pretrained("google/tapas-base", config=config)

optimizer = tf.keras.optimizers.Adam(learning_rate=5e-5)

for epoch in range(2):  # loop over the dataset multiple times
    for batch in train_dataloader:
        # get the inputs;
        input_ids = batch[0]
        attention_mask = batch[1]
        token_type_ids = batch[4]
        labels = batch[-1]
        numeric_values = batch[2]
        numeric_values_scale = batch[3]
        float_answer = batch[6]

        # forward + backward + optimize
        with tf.GradientTape() as tape:
            outputs = model(
                input_ids=input_ids,
                attention_mask=attention_mask,
                token_type_ids=token_type_ids,
                labels=labels,
                numeric_values=numeric_values,
                numeric_values_scale=numeric_values_scale,
                float_answer=float_answer,
            )
        grads = tape.gradient(outputs.loss, model.trainable_weights)
        optimizer.apply_gradients(zip(grads, model.trainable_weights))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TapasConfig, TFTapasForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># this is the default WTQ configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config = TapasConfig(
<span class="hljs-meta">... </span>    num_aggregation_labels=<span class="hljs-number">4</span>,
<span class="hljs-meta">... </span>    use_answer_as_supervision=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    answer_loss_cutoff=<span class="hljs-number">0.664694</span>,
<span class="hljs-meta">... </span>    cell_selection_preference=<span class="hljs-number">0.207951</span>,
<span class="hljs-meta">... </span>    huber_loss_delta=<span class="hljs-number">0.121194</span>,
<span class="hljs-meta">... </span>    init_cell_selection_weights_to_zero=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    select_one_column=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    allow_empty_column_selection=<span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    temperature=<span class="hljs-number">0.0352513</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFTapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span>optimizer = tf.keras.optimizers.Adam(learning_rate=<span class="hljs-number">5e-5</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> epoch <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">2</span>):  <span class="hljs-comment"># loop over the dataset multiple times</span>
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> batch <span class="hljs-keyword">in</span> train_dataloader:
<span class="hljs-meta">... </span>        <span class="hljs-comment"># get the inputs;</span>
<span class="hljs-meta">... </span>        input_ids = batch[<span class="hljs-number">0</span>]
<span class="hljs-meta">... </span>        attention_mask = batch[<span class="hljs-number">1</span>]
<span class="hljs-meta">... </span>        token_type_ids = batch[<span class="hljs-number">4</span>]
<span class="hljs-meta">... </span>        labels = batch[-<span class="hljs-number">1</span>]
<span class="hljs-meta">... </span>        numeric_values = batch[<span class="hljs-number">2</span>]
<span class="hljs-meta">... </span>        numeric_values_scale = batch[<span class="hljs-number">3</span>]
<span class="hljs-meta">... </span>        float_answer = batch[<span class="hljs-number">6</span>]

<span class="hljs-meta">... </span>        <span class="hljs-comment"># forward + backward + optimize</span>
<span class="hljs-meta">... </span>        <span class="hljs-keyword">with</span> tf.GradientTape() <span class="hljs-keyword">as</span> tape:
<span class="hljs-meta">... </span>            outputs = model(
<span class="hljs-meta">... </span>                input_ids=input_ids,
<span class="hljs-meta">... </span>                attention_mask=attention_mask,
<span class="hljs-meta">... </span>                token_type_ids=token_type_ids,
<span class="hljs-meta">... </span>                labels=labels,
<span class="hljs-meta">... </span>                numeric_values=numeric_values,
<span class="hljs-meta">... </span>                numeric_values_scale=numeric_values_scale,
<span class="hljs-meta">... </span>                float_answer=float_answer,
<span class="hljs-meta">... </span>            )
<span class="hljs-meta">... </span>        grads = tape.gradient(outputs.loss, model.trainable_weights)
<span class="hljs-meta">... </span>        optimizer.apply_gradients(<span class="hljs-built_in">zip</span>(grads, model.trainable_weights))`}}),{c(){l=o("p"),T=s("You can then fine-tune "),d=o("a"),f=s("TFTapasForQuestionAnswering"),b=s(" as follows (shown here for the weak supervision for aggregation case):"),p=c(),y(g.$$.fragment),this.h()},l(F){l=n(F,"P",{});var H=r(l);T=a(H,"You can then fine-tune "),d=n(H,"A",{href:!0});var N=r(d);f=a(N,"TFTapasForQuestionAnswering"),N.forEach(t),b=a(H," as follows (shown here for the weak supervision for aggregation case):"),H.forEach(t),p=h(F),k(g.$$.fragment,F),this.h()},h(){m(d,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TFTapasForQuestionAnswering")},m(F,H){u(F,l,H),e(l,T),e(l,d),e(d,f),e(l,b),u(F,p,H),j(g,F,H),A=!0},p:At,i(F){A||(q(g.$$.fragment,F),A=!0)},o(F){$(g.$$.fragment,F),A=!1},d(F){F&&t(l),F&&t(p),E(g,F)}}}function sk(x){let l,T;return l=new vn({props:{$$slots:{default:[tk]},$$scope:{ctx:x}}}),{c(){y(l.$$.fragment)},l(d){k(l.$$.fragment,d)},m(d,f){j(l,d,f),T=!0},p(d,f){const b={};f&2&&(b.$$scope={dirty:f,ctx:d}),l.$set(b)},i(d){T||(q(l.$$.fragment,d),T=!0)},o(d){$(l.$$.fragment,d),T=!1},d(d){E(l,d)}}}function ak(x){let l,T,d,f,b,p,g,A,F,H,N,G,ae,v,R,X,S,U,O,C,W,Y,le,me,Z,ge,ce,ee,_e,D,L,I;return L=new ht({props:{code:`from transformers import TapasTokenizer, TapasForQuestionAnswering
import pandas as pd

model_name = "google/tapas-base-finetuned-wtq"
model = TapasForQuestionAnswering.from_pretrained(model_name)
tokenizer = TapasTokenizer.from_pretrained(model_name)

data = {"Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"], "Number of movies": ["87", "53", "69"]}
queries = [
    "What is the name of the first actor?",
    "How many movies has George Clooney played in?",
    "What is the total number of movies?",
]
table = pd.DataFrame.from_dict(data)
inputs = tokenizer(table=table, queries=queries, padding="max_length", return_tensors="pt")
outputs = model(**inputs)
predicted_answer_coordinates, predicted_aggregation_indices = tokenizer.convert_logits_to_predictions(
    inputs, outputs.logits.detach(), outputs.logits_aggregation.detach()
)

# let's print out the results:
id2aggregation = {0: "NONE", 1: "SUM", 2: "AVERAGE", 3: "COUNT"}
aggregation_predictions_string = [id2aggregation[x] for x in predicted_aggregation_indices]

answers = []
for coordinates in predicted_answer_coordinates:
    if len(coordinates) == 1:
        # only a single cell:
        answers.append(table.iat[coordinates[0]])
    else:
        # multiple cells
        cell_values = []
        for coordinate in coordinates:
            cell_values.append(table.iat[coordinate])
        answers.append(", ".join(cell_values))

display(table)
print("")
for query, answer, predicted_agg in zip(queries, answers, aggregation_predictions_string):
    print(query)
    if predicted_agg == "NONE":
        print("Predicted answer: " + answer)
    else:
        print("Predicted answer: " + predicted_agg + " > " + answer)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TapasTokenizer, TapasForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>model_name = <span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForQuestionAnswering.from_pretrained(model_name)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = TapasTokenizer.from_pretrained(model_name)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {<span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>], <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>]}
<span class="hljs-meta">&gt;&gt;&gt; </span>queries = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;What is the name of the first actor?&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;How many movies has George Clooney played in?&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;What is the total number of movies?&quot;</span>,
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(table=table, queries=queries, padding=<span class="hljs-string">&quot;max_length&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_answer_coordinates, predicted_aggregation_indices = tokenizer.convert_logits_to_predictions(
<span class="hljs-meta">... </span>    inputs, outputs.logits.detach(), outputs.logits_aggregation.detach()
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># let&#x27;s print out the results:</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>id2aggregation = {<span class="hljs-number">0</span>: <span class="hljs-string">&quot;NONE&quot;</span>, <span class="hljs-number">1</span>: <span class="hljs-string">&quot;SUM&quot;</span>, <span class="hljs-number">2</span>: <span class="hljs-string">&quot;AVERAGE&quot;</span>, <span class="hljs-number">3</span>: <span class="hljs-string">&quot;COUNT&quot;</span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>aggregation_predictions_string = [id2aggregation[x] <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> predicted_aggregation_indices]

<span class="hljs-meta">&gt;&gt;&gt; </span>answers = []
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> coordinates <span class="hljs-keyword">in</span> predicted_answer_coordinates:
<span class="hljs-meta">... </span>    <span class="hljs-keyword">if</span> <span class="hljs-built_in">len</span>(coordinates) == <span class="hljs-number">1</span>:
<span class="hljs-meta">... </span>        <span class="hljs-comment"># only a single cell:</span>
<span class="hljs-meta">... </span>        answers.append(table.iat[coordinates[<span class="hljs-number">0</span>]])
<span class="hljs-meta">... </span>    <span class="hljs-keyword">else</span>:
<span class="hljs-meta">... </span>        <span class="hljs-comment"># multiple cells</span>
<span class="hljs-meta">... </span>        cell_values = []
<span class="hljs-meta">... </span>        <span class="hljs-keyword">for</span> coordinate <span class="hljs-keyword">in</span> coordinates:
<span class="hljs-meta">... </span>            cell_values.append(table.iat[coordinate])
<span class="hljs-meta">... </span>        answers.append(<span class="hljs-string">&quot;, &quot;</span>.join(cell_values))

<span class="hljs-meta">&gt;&gt;&gt; </span>display(table)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> query, answer, predicted_agg <span class="hljs-keyword">in</span> <span class="hljs-built_in">zip</span>(queries, answers, aggregation_predictions_string):
<span class="hljs-meta">... </span>    <span class="hljs-built_in">print</span>(query)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">if</span> predicted_agg == <span class="hljs-string">&quot;NONE&quot;</span>:
<span class="hljs-meta">... </span>        <span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted answer: &quot;</span> + answer)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">else</span>:
<span class="hljs-meta">... </span>        <span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted answer: &quot;</span> + predicted_agg + <span class="hljs-string">&quot; &gt; &quot;</span> + answer)
What <span class="hljs-keyword">is</span> the name of the first actor?
Predicted answer: Brad Pitt
How many movies has George Clooney played <span class="hljs-keyword">in</span>?
Predicted answer: COUNT &gt; <span class="hljs-number">69</span>
What <span class="hljs-keyword">is</span> the total number of movies?
Predicted answer: SUM &gt; <span class="hljs-number">87</span>, <span class="hljs-number">53</span>, <span class="hljs-number">69</span>`}}),{c(){l=o("p"),T=s("Here we explain how you can use "),d=o("a"),f=s("TapasForQuestionAnswering"),b=s(" or "),p=o("a"),g=s("TFTapasForQuestionAnswering"),A=s(" for inference (i.e. making predictions on new data). For inference, only "),F=o("code"),H=s("input_ids"),N=s(", "),G=o("code"),ae=s("attention_mask"),v=s(" and "),R=o("code"),X=s("token_type_ids"),S=s(" (which you can obtain using "),U=o("a"),O=s("TapasTokenizer"),C=s(") have to be provided to the model to obtain the logits. Next, you can use the handy "),W=o("code"),Y=s("~models.tapas.tokenization_tapas.convert_logits_to_predictions"),le=s(" method to convert these into predicted coordinates and optional aggregation indices."),me=c(),Z=o("p"),ge=s("However, note that inference is "),ce=o("strong"),ee=s("different"),_e=s(" depending on whether or not the setup is conversational. In a non-conversational set-up, inference can be done in parallel on all table-question pairs of a batch. Here\u2019s an example of that:"),D=c(),y(L.$$.fragment),this.h()},l(P){l=n(P,"P",{});var K=r(l);T=a(K,"Here we explain how you can use "),d=n(K,"A",{href:!0});var B=r(d);f=a(B,"TapasForQuestionAnswering"),B.forEach(t),b=a(K," or "),p=n(K,"A",{href:!0});var ve=r(p);g=a(ve,"TFTapasForQuestionAnswering"),ve.forEach(t),A=a(K," for inference (i.e. making predictions on new data). For inference, only "),F=n(K,"CODE",{});var ze=r(F);H=a(ze,"input_ids"),ze.forEach(t),N=a(K,", "),G=n(K,"CODE",{});var he=r(G);ae=a(he,"attention_mask"),he.forEach(t),v=a(K," and "),R=n(K,"CODE",{});var fe=r(R);X=a(fe,"token_type_ids"),fe.forEach(t),S=a(K," (which you can obtain using "),U=n(K,"A",{href:!0});var Fe=r(U);O=a(Fe,"TapasTokenizer"),Fe.forEach(t),C=a(K,") have to be provided to the model to obtain the logits. Next, you can use the handy "),W=n(K,"CODE",{});var se=r(W);Y=a(se,"~models.tapas.tokenization_tapas.convert_logits_to_predictions"),se.forEach(t),le=a(K," method to convert these into predicted coordinates and optional aggregation indices."),K.forEach(t),me=h(P),Z=n(P,"P",{});var ke=r(Z);ge=a(ke,"However, note that inference is "),ce=n(ke,"STRONG",{});var Te=r(ce);ee=a(Te,"different"),Te.forEach(t),_e=a(ke," depending on whether or not the setup is conversational. In a non-conversational set-up, inference can be done in parallel on all table-question pairs of a batch. Here\u2019s an example of that:"),ke.forEach(t),D=h(P),k(L.$$.fragment,P),this.h()},h(){m(d,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasForQuestionAnswering"),m(p,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TFTapasForQuestionAnswering"),m(U,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer")},m(P,K){u(P,l,K),e(l,T),e(l,d),e(d,f),e(l,b),e(l,p),e(p,g),e(l,A),e(l,F),e(F,H),e(l,N),e(l,G),e(G,ae),e(l,v),e(l,R),e(R,X),e(l,S),e(l,U),e(U,O),e(l,C),e(l,W),e(W,Y),e(l,le),u(P,me,K),u(P,Z,K),e(Z,ge),e(Z,ce),e(ce,ee),e(Z,_e),u(P,D,K),j(L,P,K),I=!0},p:At,i(P){I||(q(L.$$.fragment,P),I=!0)},o(P){$(L.$$.fragment,P),I=!1},d(P){P&&t(l),P&&t(me),P&&t(Z),P&&t(D),E(L,P)}}}function ok(x){let l,T;return l=new vn({props:{$$slots:{default:[ak]},$$scope:{ctx:x}}}),{c(){y(l.$$.fragment)},l(d){k(l.$$.fragment,d)},m(d,f){j(l,d,f),T=!0},p(d,f){const b={};f&2&&(b.$$scope={dirty:f,ctx:d}),l.$set(b)},i(d){T||(q(l.$$.fragment,d),T=!0)},o(d){$(l.$$.fragment,d),T=!1},d(d){E(l,d)}}}function nk(x){let l,T,d,f,b,p,g,A,F,H,N,G,ae,v,R,X,S,U,O,C,W,Y,le,me,Z,ge,ce,ee,_e;return ee=new ht({props:{code:`from transformers import TapasTokenizer, TFTapasForQuestionAnswering
import pandas as pd

model_name = "google/tapas-base-finetuned-wtq"
model = TFTapasForQuestionAnswering.from_pretrained(model_name)
tokenizer = TapasTokenizer.from_pretrained(model_name)

data = {"Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"], "Number of movies": ["87", "53", "69"]}
queries = [
    "What is the name of the first actor?",
    "How many movies has George Clooney played in?",
    "What is the total number of movies?",
]
table = pd.DataFrame.from_dict(data)
inputs = tokenizer(table=table, queries=queries, padding="max_length", return_tensors="tf")
outputs = model(**inputs)
predicted_answer_coordinates, predicted_aggregation_indices = tokenizer.convert_logits_to_predictions(
    inputs, outputs.logits, outputs.logits_aggregation
)

# let's print out the results:
id2aggregation = {0: "NONE", 1: "SUM", 2: "AVERAGE", 3: "COUNT"}
aggregation_predictions_string = [id2aggregation[x] for x in predicted_aggregation_indices]

answers = []
for coordinates in predicted_answer_coordinates:
    if len(coordinates) == 1:
        # only a single cell:
        answers.append(table.iat[coordinates[0]])
    else:
        # multiple cells
        cell_values = []
        for coordinate in coordinates:
            cell_values.append(table.iat[coordinate])
        answers.append(", ".join(cell_values))

display(table)
print("")
for query, answer, predicted_agg in zip(queries, answers, aggregation_predictions_string):
    print(query)
    if predicted_agg == "NONE":
        print("Predicted answer: " + answer)
    else:
        print("Predicted answer: " + predicted_agg + " > " + answer)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TapasTokenizer, TFTapasForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>model_name = <span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFTapasForQuestionAnswering.from_pretrained(model_name)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = TapasTokenizer.from_pretrained(model_name)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {<span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>], <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>]}
<span class="hljs-meta">&gt;&gt;&gt; </span>queries = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;What is the name of the first actor?&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;How many movies has George Clooney played in?&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;What is the total number of movies?&quot;</span>,
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(table=table, queries=queries, padding=<span class="hljs-string">&quot;max_length&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_answer_coordinates, predicted_aggregation_indices = tokenizer.convert_logits_to_predictions(
<span class="hljs-meta">... </span>    inputs, outputs.logits, outputs.logits_aggregation
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># let&#x27;s print out the results:</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>id2aggregation = {<span class="hljs-number">0</span>: <span class="hljs-string">&quot;NONE&quot;</span>, <span class="hljs-number">1</span>: <span class="hljs-string">&quot;SUM&quot;</span>, <span class="hljs-number">2</span>: <span class="hljs-string">&quot;AVERAGE&quot;</span>, <span class="hljs-number">3</span>: <span class="hljs-string">&quot;COUNT&quot;</span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>aggregation_predictions_string = [id2aggregation[x] <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> predicted_aggregation_indices]

<span class="hljs-meta">&gt;&gt;&gt; </span>answers = []
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> coordinates <span class="hljs-keyword">in</span> predicted_answer_coordinates:
<span class="hljs-meta">... </span>    <span class="hljs-keyword">if</span> <span class="hljs-built_in">len</span>(coordinates) == <span class="hljs-number">1</span>:
<span class="hljs-meta">... </span>        <span class="hljs-comment"># only a single cell:</span>
<span class="hljs-meta">... </span>        answers.append(table.iat[coordinates[<span class="hljs-number">0</span>]])
<span class="hljs-meta">... </span>    <span class="hljs-keyword">else</span>:
<span class="hljs-meta">... </span>        <span class="hljs-comment"># multiple cells</span>
<span class="hljs-meta">... </span>        cell_values = []
<span class="hljs-meta">... </span>        <span class="hljs-keyword">for</span> coordinate <span class="hljs-keyword">in</span> coordinates:
<span class="hljs-meta">... </span>            cell_values.append(table.iat[coordinate])
<span class="hljs-meta">... </span>        answers.append(<span class="hljs-string">&quot;, &quot;</span>.join(cell_values))

<span class="hljs-meta">&gt;&gt;&gt; </span>display(table)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> query, answer, predicted_agg <span class="hljs-keyword">in</span> <span class="hljs-built_in">zip</span>(queries, answers, aggregation_predictions_string):
<span class="hljs-meta">... </span>    <span class="hljs-built_in">print</span>(query)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">if</span> predicted_agg == <span class="hljs-string">&quot;NONE&quot;</span>:
<span class="hljs-meta">... </span>        <span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted answer: &quot;</span> + answer)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">else</span>:
<span class="hljs-meta">... </span>        <span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted answer: &quot;</span> + predicted_agg + <span class="hljs-string">&quot; &gt; &quot;</span> + answer)
What <span class="hljs-keyword">is</span> the name of the first actor?
Predicted answer: Brad Pitt
How many movies has George Clooney played <span class="hljs-keyword">in</span>?
Predicted answer: COUNT &gt; <span class="hljs-number">69</span>
What <span class="hljs-keyword">is</span> the total number of movies?
Predicted answer: SUM &gt; <span class="hljs-number">87</span>, <span class="hljs-number">53</span>, <span class="hljs-number">69</span>`}}),{c(){l=o("p"),T=s("Here we explain how you can use "),d=o("a"),f=s("TFTapasForQuestionAnswering"),b=s(" for inference (i.e. making predictions on new data). For inference, only "),p=o("code"),g=s("input_ids"),A=s(", "),F=o("code"),H=s("attention_mask"),N=s(" and "),G=o("code"),ae=s("token_type_ids"),v=s(" (which you can obtain using "),R=o("a"),X=s("TapasTokenizer"),S=s(") have to be provided to the model to obtain the logits. Next, you can use the handy "),U=o("code"),O=s("~models.tapas.tokenization_tapas.convert_logits_to_predictions"),C=s(" method to convert these into predicted coordinates and optional aggregation indices."),W=c(),Y=o("p"),le=s("However, note that inference is "),me=o("strong"),Z=s("different"),ge=s(" depending on whether or not the setup is conversational. In a non-conversational set-up, inference can be done in parallel on all table-question pairs of a batch. Here\u2019s an example of that:"),ce=c(),y(ee.$$.fragment),this.h()},l(D){l=n(D,"P",{});var L=r(l);T=a(L,"Here we explain how you can use "),d=n(L,"A",{href:!0});var I=r(d);f=a(I,"TFTapasForQuestionAnswering"),I.forEach(t),b=a(L," for inference (i.e. making predictions on new data). For inference, only "),p=n(L,"CODE",{});var P=r(p);g=a(P,"input_ids"),P.forEach(t),A=a(L,", "),F=n(L,"CODE",{});var K=r(F);H=a(K,"attention_mask"),K.forEach(t),N=a(L," and "),G=n(L,"CODE",{});var B=r(G);ae=a(B,"token_type_ids"),B.forEach(t),v=a(L," (which you can obtain using "),R=n(L,"A",{href:!0});var ve=r(R);X=a(ve,"TapasTokenizer"),ve.forEach(t),S=a(L,") have to be provided to the model to obtain the logits. Next, you can use the handy "),U=n(L,"CODE",{});var ze=r(U);O=a(ze,"~models.tapas.tokenization_tapas.convert_logits_to_predictions"),ze.forEach(t),C=a(L," method to convert these into predicted coordinates and optional aggregation indices."),L.forEach(t),W=h(D),Y=n(D,"P",{});var he=r(Y);le=a(he,"However, note that inference is "),me=n(he,"STRONG",{});var fe=r(me);Z=a(fe,"different"),fe.forEach(t),ge=a(he," depending on whether or not the setup is conversational. In a non-conversational set-up, inference can be done in parallel on all table-question pairs of a batch. Here\u2019s an example of that:"),he.forEach(t),ce=h(D),k(ee.$$.fragment,D),this.h()},h(){m(d,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TFTapasForQuestionAnswering"),m(R,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer")},m(D,L){u(D,l,L),e(l,T),e(l,d),e(d,f),e(l,b),e(l,p),e(p,g),e(l,A),e(l,F),e(F,H),e(l,N),e(l,G),e(G,ae),e(l,v),e(l,R),e(R,X),e(l,S),e(l,U),e(U,O),e(l,C),u(D,W,L),u(D,Y,L),e(Y,le),e(Y,me),e(me,Z),e(Y,ge),u(D,ce,L),j(ee,D,L),_e=!0},p:At,i(D){_e||(q(ee.$$.fragment,D),_e=!0)},o(D){$(ee.$$.fragment,D),_e=!1},d(D){D&&t(l),D&&t(W),D&&t(Y),D&&t(ce),E(ee,D)}}}function rk(x){let l,T;return l=new vn({props:{$$slots:{default:[nk]},$$scope:{ctx:x}}}),{c(){y(l.$$.fragment)},l(d){k(l.$$.fragment,d)},m(d,f){j(l,d,f),T=!0},p(d,f){const b={};f&2&&(b.$$scope={dirty:f,ctx:d}),l.$set(b)},i(d){T||(q(l.$$.fragment,d),T=!0)},o(d){$(l.$$.fragment,d),T=!1},d(d){E(l,d)}}}function ik(x){let l,T,d,f,b;return f=new ht({props:{code:`from transformers import TapasModel, TapasConfig

# Initializing a default (SQA) Tapas configuration
configuration = TapasConfig()
# Initializing a model from the configuration
model = TapasModel(configuration)
# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TapasModel, TapasConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a default (SQA) Tapas configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = TapasConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasModel(configuration)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){l=o("p"),T=s("Example:"),d=c(),y(f.$$.fragment)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Example:"),g.forEach(t),d=h(p),k(f.$$.fragment,p)},m(p,g){u(p,l,g),e(l,T),u(p,d,g),j(f,p,g),b=!0},p:At,i(p){b||(q(f.$$.fragment,p),b=!0)},o(p){$(f.$$.fragment,p),b=!1},d(p){p&&t(l),p&&t(d),E(f,p)}}}function lk(x){let l,T,d,f,b;return{c(){l=o("p"),T=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=o("code"),f=s("Module"),b=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n(g,"CODE",{});var A=r(d);f=a(A,"Module"),A.forEach(t),b=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(t)},m(p,g){u(p,l,g),e(l,T),e(l,d),e(d,f),e(l,b)},d(p){p&&t(l)}}}function dk(x){let l,T,d,f,b;return f=new ht({props:{code:`from transformers import AutoTokenizer, TapasModel
import pandas as pd

tokenizer = AutoTokenizer.from_pretrained("google/tapas-base")
model = TapasModel.from_pretrained("google/tapas-base")

data = {
    "Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"],
    "Age": ["56", "45", "59"],
    "Number of movies": ["87", "53", "69"],
}
table = pd.DataFrame.from_dict(data)
queries = ["How many movies has George Clooney played in?", "How old is Brad Pitt?"]

inputs = tokenizer(table=table, queries=queries, padding="max_length", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TapasModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasModel.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)
<span class="hljs-meta">&gt;&gt;&gt; </span>queries = [<span class="hljs-string">&quot;How many movies has George Clooney played in?&quot;</span>, <span class="hljs-string">&quot;How old is Brad Pitt?&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(table=table, queries=queries, padding=<span class="hljs-string">&quot;max_length&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=o("p"),T=s("Examples:"),d=c(),y(f.$$.fragment)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Examples:"),g.forEach(t),d=h(p),k(f.$$.fragment,p)},m(p,g){u(p,l,g),e(l,T),u(p,d,g),j(f,p,g),b=!0},p:At,i(p){b||(q(f.$$.fragment,p),b=!0)},o(p){$(f.$$.fragment,p),b=!1},d(p){p&&t(l),p&&t(d),E(f,p)}}}function pk(x){let l,T,d,f,b;return{c(){l=o("p"),T=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=o("code"),f=s("Module"),b=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n(g,"CODE",{});var A=r(d);f=a(A,"Module"),A.forEach(t),b=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(t)},m(p,g){u(p,l,g),e(l,T),e(l,d),e(d,f),e(l,b)},d(p){p&&t(l)}}}function ck(x){let l,T,d,f,b;return f=new ht({props:{code:`from transformers import AutoTokenizer, TapasForMaskedLM
import pandas as pd

tokenizer = AutoTokenizer.from_pretrained("google/tapas-base")
model = TapasForMaskedLM.from_pretrained("google/tapas-base")

data = {
    "Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"],
    "Age": ["56", "45", "59"],
    "Number of movies": ["87", "53", "69"],
}
table = pd.DataFrame.from_dict(data)

inputs = tokenizer(
    table=table, queries="How many [MASK] has George [MASK] played in?", return_tensors="pt"
)
labels = tokenizer(
    table=table, queries="How many movies has George Clooney played in?", return_tensors="pt"
)["input_ids"]

outputs = model(**inputs, labels=labels)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TapasForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForMaskedLM.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    table=table, queries=<span class="hljs-string">&quot;How many [MASK] has George [MASK] played in?&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(
<span class="hljs-meta">... </span>    table=table, queries=<span class="hljs-string">&quot;How many movies has George Clooney played in?&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){l=o("p"),T=s("Examples:"),d=c(),y(f.$$.fragment)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Examples:"),g.forEach(t),d=h(p),k(f.$$.fragment,p)},m(p,g){u(p,l,g),e(l,T),u(p,d,g),j(f,p,g),b=!0},p:At,i(p){b||(q(f.$$.fragment,p),b=!0)},o(p){$(f.$$.fragment,p),b=!1},d(p){p&&t(l),p&&t(d),E(f,p)}}}function hk(x){let l,T,d,f,b;return{c(){l=o("p"),T=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=o("code"),f=s("Module"),b=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n(g,"CODE",{});var A=r(d);f=a(A,"Module"),A.forEach(t),b=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(t)},m(p,g){u(p,l,g),e(l,T),e(l,d),e(d,f),e(l,b)},d(p){p&&t(l)}}}function uk(x){let l,T,d,f,b;return f=new ht({props:{code:`from transformers import AutoTokenizer, TapasForSequenceClassification
import torch
import pandas as pd

tokenizer = AutoTokenizer.from_pretrained("google/tapas-base-finetuned-tabfact")
model = TapasForSequenceClassification.from_pretrained("google/tapas-base-finetuned-tabfact")

data = {
    "Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"],
    "Age": ["56", "45", "59"],
    "Number of movies": ["87", "53", "69"],
}
table = pd.DataFrame.from_dict(data)
queries = [
    "There is only one actor who is 45 years old",
    "There are 3 actors which played in more than 60 movies",
]

inputs = tokenizer(table=table, queries=queries, padding="max_length", return_tensors="pt")
labels = torch.tensor([1, 0])  # 1 means entailed, 0 means refuted

outputs = model(**inputs, labels=labels)
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TapasForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/tapas-base-finetuned-tabfact&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;google/tapas-base-finetuned-tabfact&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)
<span class="hljs-meta">&gt;&gt;&gt; </span>queries = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;There is only one actor who is 45 years old&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;There are 3 actors which played in more than 60 movies&quot;</span>,
<span class="hljs-meta">... </span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(table=table, queries=queries, padding=<span class="hljs-string">&quot;max_length&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>, <span class="hljs-number">0</span>])  <span class="hljs-comment"># 1 means entailed, 0 means refuted</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){l=o("p"),T=s("Examples:"),d=c(),y(f.$$.fragment)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Examples:"),g.forEach(t),d=h(p),k(f.$$.fragment,p)},m(p,g){u(p,l,g),e(l,T),u(p,d,g),j(f,p,g),b=!0},p:At,i(p){b||(q(f.$$.fragment,p),b=!0)},o(p){$(f.$$.fragment,p),b=!1},d(p){p&&t(l),p&&t(d),E(f,p)}}}function mk(x){let l,T,d,f,b;return{c(){l=o("p"),T=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=o("code"),f=s("Module"),b=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n(g,"CODE",{});var A=r(d);f=a(A,"Module"),A.forEach(t),b=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(t)},m(p,g){u(p,l,g),e(l,T),e(l,d),e(d,f),e(l,b)},d(p){p&&t(l)}}}function fk(x){let l,T,d,f,b;return f=new ht({props:{code:`from transformers import AutoTokenizer, TapasForQuestionAnswering
import pandas as pd

tokenizer = AutoTokenizer.from_pretrained("google/tapas-base-finetuned-wtq")
model = TapasForQuestionAnswering.from_pretrained("google/tapas-base-finetuned-wtq")

data = {
    "Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"],
    "Age": ["56", "45", "59"],
    "Number of movies": ["87", "53", "69"],
}
table = pd.DataFrame.from_dict(data)
queries = ["How many movies has George Clooney played in?", "How old is Brad Pitt?"]

inputs = tokenizer(table=table, queries=queries, padding="max_length", return_tensors="pt")
outputs = model(**inputs)

logits = outputs.logits
logits_aggregation = outputs.logits_aggregation`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TapasForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)
<span class="hljs-meta">&gt;&gt;&gt; </span>queries = [<span class="hljs-string">&quot;How many movies has George Clooney played in?&quot;</span>, <span class="hljs-string">&quot;How old is Brad Pitt?&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(table=table, queries=queries, padding=<span class="hljs-string">&quot;max_length&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span>logits_aggregation = outputs.logits_aggregation`}}),{c(){l=o("p"),T=s("Examples:"),d=c(),y(f.$$.fragment)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Examples:"),g.forEach(t),d=h(p),k(f.$$.fragment,p)},m(p,g){u(p,l,g),e(l,T),u(p,d,g),j(f,p,g),b=!0},p:At,i(p){b||(q(f.$$.fragment,p),b=!0)},o(p){$(f.$$.fragment,p),b=!1},d(p){p&&t(l),p&&t(d),E(f,p)}}}function gk(x){let l,T,d,f,b,p,g,A,F,H,N,G,ae,v,R,X,S,U,O,C,W,Y,le,me,Z,ge,ce,ee,_e,D,L,I,P,K,B,ve,ze,he,fe,Fe,se,ke,Te,Pe,Ce,je,Me,$e,pe,Se,ye,J,qe,V,We,oe,He,Ue;return{c(){l=o("p"),T=s("TensorFlow models and layers in "),d=o("code"),f=s("transformers"),b=s(" accept two formats as input:"),p=c(),g=o("ul"),A=o("li"),F=s("having all inputs as keyword arguments (like PyTorch models), or"),H=c(),N=o("li"),G=s("having all inputs as a list, tuple or dict in the first positional argument."),ae=c(),v=o("p"),R=s(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=o("code"),S=s("model.fit()"),U=s(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=o("code"),C=s("model.fit()"),W=s(` supports! If, however, you want to use the second
format outside of Keras methods like `),Y=o("code"),le=s("fit()"),me=s(" and "),Z=o("code"),ge=s("predict()"),ce=s(`, such as when creating your own layers or models with
the Keras `),ee=o("code"),_e=s("Functional"),D=s(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),L=c(),I=o("ul"),P=o("li"),K=s("a single Tensor with "),B=o("code"),ve=s("input_ids"),ze=s(" only and nothing else: "),he=o("code"),fe=s("model(input_ids)"),Fe=c(),se=o("li"),ke=s(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Te=o("code"),Pe=s("model([input_ids, attention_mask])"),Ce=s(" or "),je=o("code"),Me=s("model([input_ids, attention_mask, token_type_ids])"),$e=c(),pe=o("li"),Se=s(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ye=o("code"),J=s('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),qe=c(),V=o("p"),We=s(`Note that when creating models and layers with
`),oe=o("a"),He=s("subclassing"),Ue=s(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(w){l=n(w,"P",{});var M=r(l);T=a(M,"TensorFlow models and layers in "),d=n(M,"CODE",{});var Ve=r(d);f=a(Ve,"transformers"),Ve.forEach(t),b=a(M," accept two formats as input:"),M.forEach(t),p=h(w),g=n(w,"UL",{});var be=r(g);A=n(be,"LI",{});var Ye=r(A);F=a(Ye,"having all inputs as keyword arguments (like PyTorch models), or"),Ye.forEach(t),H=h(be),N=n(be,"LI",{});var Je=r(N);G=a(Je,"having all inputs as a list, tuple or dict in the first positional argument."),Je.forEach(t),be.forEach(t),ae=h(w),v=n(w,"P",{});var Q=r(v);R=a(Q,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=n(Q,"CODE",{});var Le=r(X);S=a(Le,"model.fit()"),Le.forEach(t),U=a(Q,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=n(Q,"CODE",{});var ot=r(O);C=a(ot,"model.fit()"),ot.forEach(t),W=a(Q,` supports! If, however, you want to use the second
format outside of Keras methods like `),Y=n(Q,"CODE",{});var Qe=r(Y);le=a(Qe,"fit()"),Qe.forEach(t),me=a(Q," and "),Z=n(Q,"CODE",{});var Ie=r(Z);ge=a(Ie,"predict()"),Ie.forEach(t),ce=a(Q,`, such as when creating your own layers or models with
the Keras `),ee=n(Q,"CODE",{});var Xe=r(ee);_e=a(Xe,"Functional"),Xe.forEach(t),D=a(Q,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),Q.forEach(t),L=h(w),I=n(w,"UL",{});var de=r(I);P=n(de,"LI",{});var Ee=r(P);K=a(Ee,"a single Tensor with "),B=n(Ee,"CODE",{});var Ze=r(B);ve=a(Ze,"input_ids"),Ze.forEach(t),ze=a(Ee," only and nothing else: "),he=n(Ee,"CODE",{});var xe=r(he);fe=a(xe,"model(input_ids)"),xe.forEach(t),Ee.forEach(t),Fe=h(de),se=n(de,"LI",{});var ne=r(se);ke=a(ne,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Te=n(ne,"CODE",{});var et=r(Te);Pe=a(et,"model([input_ids, attention_mask])"),et.forEach(t),Ce=a(ne," or "),je=n(ne,"CODE",{});var Be=r(je);Me=a(Be,"model([input_ids, attention_mask, token_type_ids])"),Be.forEach(t),ne.forEach(t),$e=h(de),pe=n(de,"LI",{});var re=r(pe);Se=a(re,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ye=n(re,"CODE",{});var Re=r(ye);J=a(Re,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Re.forEach(t),re.forEach(t),de.forEach(t),qe=h(w),V=n(w,"P",{});var Ae=r(V);We=a(Ae,`Note that when creating models and layers with
`),oe=n(Ae,"A",{href:!0,rel:!0});var tt=r(oe);He=a(tt,"subclassing"),tt.forEach(t),Ue=a(Ae,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Ae.forEach(t),this.h()},h(){m(oe,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),m(oe,"rel","nofollow")},m(w,M){u(w,l,M),e(l,T),e(l,d),e(d,f),e(l,b),u(w,p,M),u(w,g,M),e(g,A),e(A,F),e(g,H),e(g,N),e(N,G),u(w,ae,M),u(w,v,M),e(v,R),e(v,X),e(X,S),e(v,U),e(v,O),e(O,C),e(v,W),e(v,Y),e(Y,le),e(v,me),e(v,Z),e(Z,ge),e(v,ce),e(v,ee),e(ee,_e),e(v,D),u(w,L,M),u(w,I,M),e(I,P),e(P,K),e(P,B),e(B,ve),e(P,ze),e(P,he),e(he,fe),e(I,Fe),e(I,se),e(se,ke),e(se,Te),e(Te,Pe),e(se,Ce),e(se,je),e(je,Me),e(I,$e),e(I,pe),e(pe,Se),e(pe,ye),e(ye,J),u(w,qe,M),u(w,V,M),e(V,We),e(V,oe),e(oe,He),e(V,Ue)},d(w){w&&t(l),w&&t(p),w&&t(g),w&&t(ae),w&&t(v),w&&t(L),w&&t(I),w&&t(qe),w&&t(V)}}}function _k(x){let l,T,d,f,b;return{c(){l=o("p"),T=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=o("code"),f=s("Module"),b=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n(g,"CODE",{});var A=r(d);f=a(A,"Module"),A.forEach(t),b=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(t)},m(p,g){u(p,l,g),e(l,T),e(l,d),e(d,f),e(l,b)},d(p){p&&t(l)}}}function Tk(x){let l,T,d,f,b;return f=new ht({props:{code:`from transformers import AutoTokenizer, TapasModel
import pandas as pd

tokenizer = AutoTokenizer.from_pretrained("google/tapas-base")
model = TapasModel.from_pretrained("google/tapas-base")

data = {
    "Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"],
    "Age": ["56", "45", "59"],
    "Number of movies": ["87", "53", "69"],
}
table = pd.DataFrame.from_dict(data)
queries = ["How many movies has George Clooney played in?", "How old is Brad Pitt?"]

inputs = tokenizer(table=table, queries=queries, padding="max_length", return_tensors="tf")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TapasModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasModel.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)
<span class="hljs-meta">&gt;&gt;&gt; </span>queries = [<span class="hljs-string">&quot;How many movies has George Clooney played in?&quot;</span>, <span class="hljs-string">&quot;How old is Brad Pitt?&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(table=table, queries=queries, padding=<span class="hljs-string">&quot;max_length&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){l=o("p"),T=s("Examples:"),d=c(),y(f.$$.fragment)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Examples:"),g.forEach(t),d=h(p),k(f.$$.fragment,p)},m(p,g){u(p,l,g),e(l,T),u(p,d,g),j(f,p,g),b=!0},p:At,i(p){b||(q(f.$$.fragment,p),b=!0)},o(p){$(f.$$.fragment,p),b=!1},d(p){p&&t(l),p&&t(d),E(f,p)}}}function bk(x){let l,T,d,f,b,p,g,A,F,H,N,G,ae,v,R,X,S,U,O,C,W,Y,le,me,Z,ge,ce,ee,_e,D,L,I,P,K,B,ve,ze,he,fe,Fe,se,ke,Te,Pe,Ce,je,Me,$e,pe,Se,ye,J,qe,V,We,oe,He,Ue;return{c(){l=o("p"),T=s("TensorFlow models and layers in "),d=o("code"),f=s("transformers"),b=s(" accept two formats as input:"),p=c(),g=o("ul"),A=o("li"),F=s("having all inputs as keyword arguments (like PyTorch models), or"),H=c(),N=o("li"),G=s("having all inputs as a list, tuple or dict in the first positional argument."),ae=c(),v=o("p"),R=s(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=o("code"),S=s("model.fit()"),U=s(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=o("code"),C=s("model.fit()"),W=s(` supports! If, however, you want to use the second
format outside of Keras methods like `),Y=o("code"),le=s("fit()"),me=s(" and "),Z=o("code"),ge=s("predict()"),ce=s(`, such as when creating your own layers or models with
the Keras `),ee=o("code"),_e=s("Functional"),D=s(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),L=c(),I=o("ul"),P=o("li"),K=s("a single Tensor with "),B=o("code"),ve=s("input_ids"),ze=s(" only and nothing else: "),he=o("code"),fe=s("model(input_ids)"),Fe=c(),se=o("li"),ke=s(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Te=o("code"),Pe=s("model([input_ids, attention_mask])"),Ce=s(" or "),je=o("code"),Me=s("model([input_ids, attention_mask, token_type_ids])"),$e=c(),pe=o("li"),Se=s(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ye=o("code"),J=s('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),qe=c(),V=o("p"),We=s(`Note that when creating models and layers with
`),oe=o("a"),He=s("subclassing"),Ue=s(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(w){l=n(w,"P",{});var M=r(l);T=a(M,"TensorFlow models and layers in "),d=n(M,"CODE",{});var Ve=r(d);f=a(Ve,"transformers"),Ve.forEach(t),b=a(M," accept two formats as input:"),M.forEach(t),p=h(w),g=n(w,"UL",{});var be=r(g);A=n(be,"LI",{});var Ye=r(A);F=a(Ye,"having all inputs as keyword arguments (like PyTorch models), or"),Ye.forEach(t),H=h(be),N=n(be,"LI",{});var Je=r(N);G=a(Je,"having all inputs as a list, tuple or dict in the first positional argument."),Je.forEach(t),be.forEach(t),ae=h(w),v=n(w,"P",{});var Q=r(v);R=a(Q,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=n(Q,"CODE",{});var Le=r(X);S=a(Le,"model.fit()"),Le.forEach(t),U=a(Q,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=n(Q,"CODE",{});var ot=r(O);C=a(ot,"model.fit()"),ot.forEach(t),W=a(Q,` supports! If, however, you want to use the second
format outside of Keras methods like `),Y=n(Q,"CODE",{});var Qe=r(Y);le=a(Qe,"fit()"),Qe.forEach(t),me=a(Q," and "),Z=n(Q,"CODE",{});var Ie=r(Z);ge=a(Ie,"predict()"),Ie.forEach(t),ce=a(Q,`, such as when creating your own layers or models with
the Keras `),ee=n(Q,"CODE",{});var Xe=r(ee);_e=a(Xe,"Functional"),Xe.forEach(t),D=a(Q,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),Q.forEach(t),L=h(w),I=n(w,"UL",{});var de=r(I);P=n(de,"LI",{});var Ee=r(P);K=a(Ee,"a single Tensor with "),B=n(Ee,"CODE",{});var Ze=r(B);ve=a(Ze,"input_ids"),Ze.forEach(t),ze=a(Ee," only and nothing else: "),he=n(Ee,"CODE",{});var xe=r(he);fe=a(xe,"model(input_ids)"),xe.forEach(t),Ee.forEach(t),Fe=h(de),se=n(de,"LI",{});var ne=r(se);ke=a(ne,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Te=n(ne,"CODE",{});var et=r(Te);Pe=a(et,"model([input_ids, attention_mask])"),et.forEach(t),Ce=a(ne," or "),je=n(ne,"CODE",{});var Be=r(je);Me=a(Be,"model([input_ids, attention_mask, token_type_ids])"),Be.forEach(t),ne.forEach(t),$e=h(de),pe=n(de,"LI",{});var re=r(pe);Se=a(re,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ye=n(re,"CODE",{});var Re=r(ye);J=a(Re,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Re.forEach(t),re.forEach(t),de.forEach(t),qe=h(w),V=n(w,"P",{});var Ae=r(V);We=a(Ae,`Note that when creating models and layers with
`),oe=n(Ae,"A",{href:!0,rel:!0});var tt=r(oe);He=a(tt,"subclassing"),tt.forEach(t),Ue=a(Ae,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Ae.forEach(t),this.h()},h(){m(oe,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),m(oe,"rel","nofollow")},m(w,M){u(w,l,M),e(l,T),e(l,d),e(d,f),e(l,b),u(w,p,M),u(w,g,M),e(g,A),e(A,F),e(g,H),e(g,N),e(N,G),u(w,ae,M),u(w,v,M),e(v,R),e(v,X),e(X,S),e(v,U),e(v,O),e(O,C),e(v,W),e(v,Y),e(Y,le),e(v,me),e(v,Z),e(Z,ge),e(v,ce),e(v,ee),e(ee,_e),e(v,D),u(w,L,M),u(w,I,M),e(I,P),e(P,K),e(P,B),e(B,ve),e(P,ze),e(P,he),e(he,fe),e(I,Fe),e(I,se),e(se,ke),e(se,Te),e(Te,Pe),e(se,Ce),e(se,je),e(je,Me),e(I,$e),e(I,pe),e(pe,Se),e(pe,ye),e(ye,J),u(w,qe,M),u(w,V,M),e(V,We),e(V,oe),e(oe,He),e(V,Ue)},d(w){w&&t(l),w&&t(p),w&&t(g),w&&t(ae),w&&t(v),w&&t(L),w&&t(I),w&&t(qe),w&&t(V)}}}function wk(x){let l,T,d,f,b;return{c(){l=o("p"),T=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=o("code"),f=s("Module"),b=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n(g,"CODE",{});var A=r(d);f=a(A,"Module"),A.forEach(t),b=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(t)},m(p,g){u(p,l,g),e(l,T),e(l,d),e(d,f),e(l,b)},d(p){p&&t(l)}}}function vk(x){let l,T,d,f,b;return f=new ht({props:{code:`from transformers import AutoTokenizer, TapasForMaskedLM
import pandas as pd

tokenizer = AutoTokenizer.from_pretrained("google/tapas-base")
model = TapasForMaskedLM.from_pretrained("google/tapas-base")

data = {
    "Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"],
    "Age": ["56", "45", "59"],
    "Number of movies": ["87", "53", "69"],
}
table = pd.DataFrame.from_dict(data)

inputs = tokenizer(
    table=table, queries="How many [MASK] has George [MASK] played in?", return_tensors="tf"
)
labels = tokenizer(
    table=table, queries="How many movies has George Clooney played in?", return_tensors="tf"
)["input_ids"]

outputs = model(**inputs, labels=labels)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TapasForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForMaskedLM.from_pretrained(<span class="hljs-string">&quot;google/tapas-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    table=table, queries=<span class="hljs-string">&quot;How many [MASK] has George [MASK] played in?&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(
<span class="hljs-meta">... </span>    table=table, queries=<span class="hljs-string">&quot;How many movies has George Clooney played in?&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){l=o("p"),T=s("Examples:"),d=c(),y(f.$$.fragment)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Examples:"),g.forEach(t),d=h(p),k(f.$$.fragment,p)},m(p,g){u(p,l,g),e(l,T),u(p,d,g),j(f,p,g),b=!0},p:At,i(p){b||(q(f.$$.fragment,p),b=!0)},o(p){$(f.$$.fragment,p),b=!1},d(p){p&&t(l),p&&t(d),E(f,p)}}}function yk(x){let l,T,d,f,b,p,g,A,F,H,N,G,ae,v,R,X,S,U,O,C,W,Y,le,me,Z,ge,ce,ee,_e,D,L,I,P,K,B,ve,ze,he,fe,Fe,se,ke,Te,Pe,Ce,je,Me,$e,pe,Se,ye,J,qe,V,We,oe,He,Ue;return{c(){l=o("p"),T=s("TensorFlow models and layers in "),d=o("code"),f=s("transformers"),b=s(" accept two formats as input:"),p=c(),g=o("ul"),A=o("li"),F=s("having all inputs as keyword arguments (like PyTorch models), or"),H=c(),N=o("li"),G=s("having all inputs as a list, tuple or dict in the first positional argument."),ae=c(),v=o("p"),R=s(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=o("code"),S=s("model.fit()"),U=s(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=o("code"),C=s("model.fit()"),W=s(` supports! If, however, you want to use the second
format outside of Keras methods like `),Y=o("code"),le=s("fit()"),me=s(" and "),Z=o("code"),ge=s("predict()"),ce=s(`, such as when creating your own layers or models with
the Keras `),ee=o("code"),_e=s("Functional"),D=s(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),L=c(),I=o("ul"),P=o("li"),K=s("a single Tensor with "),B=o("code"),ve=s("input_ids"),ze=s(" only and nothing else: "),he=o("code"),fe=s("model(input_ids)"),Fe=c(),se=o("li"),ke=s(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Te=o("code"),Pe=s("model([input_ids, attention_mask])"),Ce=s(" or "),je=o("code"),Me=s("model([input_ids, attention_mask, token_type_ids])"),$e=c(),pe=o("li"),Se=s(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ye=o("code"),J=s('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),qe=c(),V=o("p"),We=s(`Note that when creating models and layers with
`),oe=o("a"),He=s("subclassing"),Ue=s(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(w){l=n(w,"P",{});var M=r(l);T=a(M,"TensorFlow models and layers in "),d=n(M,"CODE",{});var Ve=r(d);f=a(Ve,"transformers"),Ve.forEach(t),b=a(M," accept two formats as input:"),M.forEach(t),p=h(w),g=n(w,"UL",{});var be=r(g);A=n(be,"LI",{});var Ye=r(A);F=a(Ye,"having all inputs as keyword arguments (like PyTorch models), or"),Ye.forEach(t),H=h(be),N=n(be,"LI",{});var Je=r(N);G=a(Je,"having all inputs as a list, tuple or dict in the first positional argument."),Je.forEach(t),be.forEach(t),ae=h(w),v=n(w,"P",{});var Q=r(v);R=a(Q,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=n(Q,"CODE",{});var Le=r(X);S=a(Le,"model.fit()"),Le.forEach(t),U=a(Q,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=n(Q,"CODE",{});var ot=r(O);C=a(ot,"model.fit()"),ot.forEach(t),W=a(Q,` supports! If, however, you want to use the second
format outside of Keras methods like `),Y=n(Q,"CODE",{});var Qe=r(Y);le=a(Qe,"fit()"),Qe.forEach(t),me=a(Q," and "),Z=n(Q,"CODE",{});var Ie=r(Z);ge=a(Ie,"predict()"),Ie.forEach(t),ce=a(Q,`, such as when creating your own layers or models with
the Keras `),ee=n(Q,"CODE",{});var Xe=r(ee);_e=a(Xe,"Functional"),Xe.forEach(t),D=a(Q,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),Q.forEach(t),L=h(w),I=n(w,"UL",{});var de=r(I);P=n(de,"LI",{});var Ee=r(P);K=a(Ee,"a single Tensor with "),B=n(Ee,"CODE",{});var Ze=r(B);ve=a(Ze,"input_ids"),Ze.forEach(t),ze=a(Ee," only and nothing else: "),he=n(Ee,"CODE",{});var xe=r(he);fe=a(xe,"model(input_ids)"),xe.forEach(t),Ee.forEach(t),Fe=h(de),se=n(de,"LI",{});var ne=r(se);ke=a(ne,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Te=n(ne,"CODE",{});var et=r(Te);Pe=a(et,"model([input_ids, attention_mask])"),et.forEach(t),Ce=a(ne," or "),je=n(ne,"CODE",{});var Be=r(je);Me=a(Be,"model([input_ids, attention_mask, token_type_ids])"),Be.forEach(t),ne.forEach(t),$e=h(de),pe=n(de,"LI",{});var re=r(pe);Se=a(re,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ye=n(re,"CODE",{});var Re=r(ye);J=a(Re,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Re.forEach(t),re.forEach(t),de.forEach(t),qe=h(w),V=n(w,"P",{});var Ae=r(V);We=a(Ae,`Note that when creating models and layers with
`),oe=n(Ae,"A",{href:!0,rel:!0});var tt=r(oe);He=a(tt,"subclassing"),tt.forEach(t),Ue=a(Ae,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Ae.forEach(t),this.h()},h(){m(oe,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),m(oe,"rel","nofollow")},m(w,M){u(w,l,M),e(l,T),e(l,d),e(d,f),e(l,b),u(w,p,M),u(w,g,M),e(g,A),e(A,F),e(g,H),e(g,N),e(N,G),u(w,ae,M),u(w,v,M),e(v,R),e(v,X),e(X,S),e(v,U),e(v,O),e(O,C),e(v,W),e(v,Y),e(Y,le),e(v,me),e(v,Z),e(Z,ge),e(v,ce),e(v,ee),e(ee,_e),e(v,D),u(w,L,M),u(w,I,M),e(I,P),e(P,K),e(P,B),e(B,ve),e(P,ze),e(P,he),e(he,fe),e(I,Fe),e(I,se),e(se,ke),e(se,Te),e(Te,Pe),e(se,Ce),e(se,je),e(je,Me),e(I,$e),e(I,pe),e(pe,Se),e(pe,ye),e(ye,J),u(w,qe,M),u(w,V,M),e(V,We),e(V,oe),e(oe,He),e(V,Ue)},d(w){w&&t(l),w&&t(p),w&&t(g),w&&t(ae),w&&t(v),w&&t(L),w&&t(I),w&&t(qe),w&&t(V)}}}function kk(x){let l,T,d,f,b;return{c(){l=o("p"),T=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=o("code"),f=s("Module"),b=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n(g,"CODE",{});var A=r(d);f=a(A,"Module"),A.forEach(t),b=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(t)},m(p,g){u(p,l,g),e(l,T),e(l,d),e(d,f),e(l,b)},d(p){p&&t(l)}}}function jk(x){let l,T,d,f,b;return f=new ht({props:{code:`from transformers import AutoTokenizer, TapasForSequenceClassification
import tensorflow as tf
import pandas as pd

tokenizer = AutoTokenizer.from_pretrained("google/tapas-base-finetuned-tabfact")
model = TapasForSequenceClassification.from_pretrained("google/tapas-base-finetuned-tabfact")

data = {
    "Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"],
    "Age": ["56", "45", "59"],
    "Number of movies": ["87", "53", "69"],
}
table = pd.DataFrame.from_dict(data)
queries = [
    "There is only one actor who is 45 years old",
    "There are 3 actors which played in more than 60 movies",
]

inputs = tokenizer(table=table, queries=queries, padding="max_length", return_tensors="tf")
labels = tf.convert_to_tensor([1, 0])  # 1 means entailed, 0 means refuted

outputs = model(**inputs, labels=labels)
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TapasForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/tapas-base-finetuned-tabfact&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;google/tapas-base-finetuned-tabfact&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)
<span class="hljs-meta">&gt;&gt;&gt; </span>queries = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;There is only one actor who is 45 years old&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;There are 3 actors which played in more than 60 movies&quot;</span>,
<span class="hljs-meta">... </span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(table=table, queries=queries, padding=<span class="hljs-string">&quot;max_length&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.convert_to_tensor([<span class="hljs-number">1</span>, <span class="hljs-number">0</span>])  <span class="hljs-comment"># 1 means entailed, 0 means refuted</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){l=o("p"),T=s("Examples:"),d=c(),y(f.$$.fragment)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Examples:"),g.forEach(t),d=h(p),k(f.$$.fragment,p)},m(p,g){u(p,l,g),e(l,T),u(p,d,g),j(f,p,g),b=!0},p:At,i(p){b||(q(f.$$.fragment,p),b=!0)},o(p){$(f.$$.fragment,p),b=!1},d(p){p&&t(l),p&&t(d),E(f,p)}}}function qk(x){let l,T,d,f,b,p,g,A,F,H,N,G,ae,v,R,X,S,U,O,C,W,Y,le,me,Z,ge,ce,ee,_e,D,L,I,P,K,B,ve,ze,he,fe,Fe,se,ke,Te,Pe,Ce,je,Me,$e,pe,Se,ye,J,qe,V,We,oe,He,Ue;return{c(){l=o("p"),T=s("TensorFlow models and layers in "),d=o("code"),f=s("transformers"),b=s(" accept two formats as input:"),p=c(),g=o("ul"),A=o("li"),F=s("having all inputs as keyword arguments (like PyTorch models), or"),H=c(),N=o("li"),G=s("having all inputs as a list, tuple or dict in the first positional argument."),ae=c(),v=o("p"),R=s(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=o("code"),S=s("model.fit()"),U=s(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=o("code"),C=s("model.fit()"),W=s(` supports! If, however, you want to use the second
format outside of Keras methods like `),Y=o("code"),le=s("fit()"),me=s(" and "),Z=o("code"),ge=s("predict()"),ce=s(`, such as when creating your own layers or models with
the Keras `),ee=o("code"),_e=s("Functional"),D=s(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),L=c(),I=o("ul"),P=o("li"),K=s("a single Tensor with "),B=o("code"),ve=s("input_ids"),ze=s(" only and nothing else: "),he=o("code"),fe=s("model(input_ids)"),Fe=c(),se=o("li"),ke=s(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Te=o("code"),Pe=s("model([input_ids, attention_mask])"),Ce=s(" or "),je=o("code"),Me=s("model([input_ids, attention_mask, token_type_ids])"),$e=c(),pe=o("li"),Se=s(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ye=o("code"),J=s('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),qe=c(),V=o("p"),We=s(`Note that when creating models and layers with
`),oe=o("a"),He=s("subclassing"),Ue=s(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(w){l=n(w,"P",{});var M=r(l);T=a(M,"TensorFlow models and layers in "),d=n(M,"CODE",{});var Ve=r(d);f=a(Ve,"transformers"),Ve.forEach(t),b=a(M," accept two formats as input:"),M.forEach(t),p=h(w),g=n(w,"UL",{});var be=r(g);A=n(be,"LI",{});var Ye=r(A);F=a(Ye,"having all inputs as keyword arguments (like PyTorch models), or"),Ye.forEach(t),H=h(be),N=n(be,"LI",{});var Je=r(N);G=a(Je,"having all inputs as a list, tuple or dict in the first positional argument."),Je.forEach(t),be.forEach(t),ae=h(w),v=n(w,"P",{});var Q=r(v);R=a(Q,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=n(Q,"CODE",{});var Le=r(X);S=a(Le,"model.fit()"),Le.forEach(t),U=a(Q,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=n(Q,"CODE",{});var ot=r(O);C=a(ot,"model.fit()"),ot.forEach(t),W=a(Q,` supports! If, however, you want to use the second
format outside of Keras methods like `),Y=n(Q,"CODE",{});var Qe=r(Y);le=a(Qe,"fit()"),Qe.forEach(t),me=a(Q," and "),Z=n(Q,"CODE",{});var Ie=r(Z);ge=a(Ie,"predict()"),Ie.forEach(t),ce=a(Q,`, such as when creating your own layers or models with
the Keras `),ee=n(Q,"CODE",{});var Xe=r(ee);_e=a(Xe,"Functional"),Xe.forEach(t),D=a(Q,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),Q.forEach(t),L=h(w),I=n(w,"UL",{});var de=r(I);P=n(de,"LI",{});var Ee=r(P);K=a(Ee,"a single Tensor with "),B=n(Ee,"CODE",{});var Ze=r(B);ve=a(Ze,"input_ids"),Ze.forEach(t),ze=a(Ee," only and nothing else: "),he=n(Ee,"CODE",{});var xe=r(he);fe=a(xe,"model(input_ids)"),xe.forEach(t),Ee.forEach(t),Fe=h(de),se=n(de,"LI",{});var ne=r(se);ke=a(ne,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Te=n(ne,"CODE",{});var et=r(Te);Pe=a(et,"model([input_ids, attention_mask])"),et.forEach(t),Ce=a(ne," or "),je=n(ne,"CODE",{});var Be=r(je);Me=a(Be,"model([input_ids, attention_mask, token_type_ids])"),Be.forEach(t),ne.forEach(t),$e=h(de),pe=n(de,"LI",{});var re=r(pe);Se=a(re,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ye=n(re,"CODE",{});var Re=r(ye);J=a(Re,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Re.forEach(t),re.forEach(t),de.forEach(t),qe=h(w),V=n(w,"P",{});var Ae=r(V);We=a(Ae,`Note that when creating models and layers with
`),oe=n(Ae,"A",{href:!0,rel:!0});var tt=r(oe);He=a(tt,"subclassing"),tt.forEach(t),Ue=a(Ae,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Ae.forEach(t),this.h()},h(){m(oe,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),m(oe,"rel","nofollow")},m(w,M){u(w,l,M),e(l,T),e(l,d),e(d,f),e(l,b),u(w,p,M),u(w,g,M),e(g,A),e(A,F),e(g,H),e(g,N),e(N,G),u(w,ae,M),u(w,v,M),e(v,R),e(v,X),e(X,S),e(v,U),e(v,O),e(O,C),e(v,W),e(v,Y),e(Y,le),e(v,me),e(v,Z),e(Z,ge),e(v,ce),e(v,ee),e(ee,_e),e(v,D),u(w,L,M),u(w,I,M),e(I,P),e(P,K),e(P,B),e(B,ve),e(P,ze),e(P,he),e(he,fe),e(I,Fe),e(I,se),e(se,ke),e(se,Te),e(Te,Pe),e(se,Ce),e(se,je),e(je,Me),e(I,$e),e(I,pe),e(pe,Se),e(pe,ye),e(ye,J),u(w,qe,M),u(w,V,M),e(V,We),e(V,oe),e(oe,He),e(V,Ue)},d(w){w&&t(l),w&&t(p),w&&t(g),w&&t(ae),w&&t(v),w&&t(L),w&&t(I),w&&t(qe),w&&t(V)}}}function $k(x){let l,T,d,f,b;return{c(){l=o("p"),T=s("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=o("code"),f=s("Module"),b=s(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n(g,"CODE",{});var A=r(d);f=a(A,"Module"),A.forEach(t),b=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(t)},m(p,g){u(p,l,g),e(l,T),e(l,d),e(d,f),e(l,b)},d(p){p&&t(l)}}}function Ek(x){let l,T,d,f,b;return f=new ht({props:{code:`from transformers import AutoTokenizer, TapasForQuestionAnswering
import pandas as pd

tokenizer = AutoTokenizer.from_pretrained("google/tapas-base-finetuned-wtq")
model = TapasForQuestionAnswering.from_pretrained("google/tapas-base-finetuned-wtq")

data = {
    "Actors": ["Brad Pitt", "Leonardo Di Caprio", "George Clooney"],
    "Age": ["56", "45", "59"],
    "Number of movies": ["87", "53", "69"],
}
table = pd.DataFrame.from_dict(data)
queries = ["How many movies has George Clooney played in?", "How old is Brad Pitt?"]

inputs = tokenizer(table=table, queries=queries, padding="max_length", return_tensors="tf")
outputs = model(**inputs)

logits = outputs.logits
logits_aggregation = outputs.logits_aggregation`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TapasForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TapasForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>data = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Actors&quot;</span>: [<span class="hljs-string">&quot;Brad Pitt&quot;</span>, <span class="hljs-string">&quot;Leonardo Di Caprio&quot;</span>, <span class="hljs-string">&quot;George Clooney&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>table = pd.DataFrame.from_dict(data)
<span class="hljs-meta">&gt;&gt;&gt; </span>queries = [<span class="hljs-string">&quot;How many movies has George Clooney played in?&quot;</span>, <span class="hljs-string">&quot;How old is Brad Pitt?&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(table=table, queries=queries, padding=<span class="hljs-string">&quot;max_length&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span>logits_aggregation = outputs.logits_aggregation`}}),{c(){l=o("p"),T=s("Examples:"),d=c(),y(f.$$.fragment)},l(p){l=n(p,"P",{});var g=r(l);T=a(g,"Examples:"),g.forEach(t),d=h(p),k(f.$$.fragment,p)},m(p,g){u(p,l,g),e(l,T),u(p,d,g),j(f,p,g),b=!0},p:At,i(p){b||(q(f.$$.fragment,p),b=!0)},o(p){$(f.$$.fragment,p),b=!1},d(p){p&&t(l),p&&t(d),E(f,p)}}}function Ak(x){let l,T,d,f,b,p,g,A,F,H,N,G,ae,v,R,X,S,U,O,C,W,Y,le,me,Z,ge,ce,ee,_e,D,L,I,P,K,B,ve,ze,he,fe,Fe,se,ke,Te,Pe,Ce,je,Me,$e,pe,Se,ye,J,qe,V,We,oe,He,Ue,w,M,Ve,be,Ye,Je,Q,Le,ot,Qe,Ie,Xe,de,Ee,Ze,xe,ne,et,Be,re,Re,Ae,tt,Mt,St,Ws,Ot,bs,ts,Dt,ws,ut,Oe,Hs,Nt,ie,bt,ss,Us,Lt,ns,Bs,Qt,It,Rs,Wt,rs,Gs,Ht,is,Ks,Ut,Vs,st,Bt,ls,Ys,Rt,ds,Js,ps,lt,cs,De,hs,wt,Xs,Gt,Kt,Zs,ea,dt,ta,us,ms,gt,Vt,z,te,ka,sa,ja,ha,Yt,_t,aa,vt,qa,oa,$a,ua,nt,fs,vs,pt,Ea,ma,ys,na,gs,fa,we,Aa,ks,Fa,za,ga,Ft,ra,_s,xa,Ne,Ca,ia,Pa,Ma,Sa,ue,Oa,la,Da,Na,_a,js,La,Ta,Ge,da,Jt,pa,rl,Vc,Yc,il,ll,Jc,Xc,dl,pl,Zc,eh,Qa,Ia,cl,th,sh,hl,ah,oh,ul,nh,rh,Wa,ml,ih,lh,fl,dh,ph,gl,ch,hh,Ha,_l,uh,mh,Tl,fh,gh,bl,_h,mp,wo,fp,vo,Th,yn,bh,wh,gp,yo,vh,kn,yh,kh,_p,Vr,wl,jh,Tp,ko,qh,jn,$h,Eh,bp,rt,Yr,vl,Ah,Fh,zh,Jr,yl,xh,Ch,Ph,Xr,kl,Mh,Sh,Oh,Zr,jl,Dh,Nh,Lh,ei,ql,Qh,Ih,Wh,ti,$l,Hh,Uh,Bh,si,El,Rh,Gh,Kh,ai,Al,Vh,Yh,Jh,oi,Fl,Xh,Zh,wp,zt,eu,qn,tu,su,$n,au,ou,zl,nu,ru,xl,iu,lu,Cl,du,pu,vp,ni,Pl,cu,yp,jo,kp,Ke,hu,Ml,uu,mu,Sl,fu,gu,Ol,_u,Tu,Dl,bu,wu,Nl,vu,yu,Ll,ku,ju,ri,qu,$u,En,Eu,Au,An,Fu,zu,jp,ii,xu,qp,qo,$p,Ua,$o,Ql,Fn,Cu,Il,Pu,Ep,Eo,Ap,xt,Mu,Wl,Su,Ou,Hl,Du,Nu,Ul,Lu,Qu,zn,Iu,Wu,xn,Hu,Uu,Fp,Ba,Ao,Bl,Cn,Bu,Rl,Ru,zp,Fo,Gl,li,Gu,Ku,Kl,di,Vu,xp,Ra,zo,Vl,Pn,Yu,Yl,Ju,Cp,Ga,Mn,Xu,Sn,Zu,pi,em,tm,Pp,Ka,xo,Jl,On,sm,Xl,am,Mp,Xt,Dn,om,Va,nm,ci,rm,im,Nn,lm,dm,pm,Ya,cm,Zl,hm,um,hi,mm,fm,gm,Ln,_m,Qn,Tm,bm,wm,Co,Sp,Ja,Po,ed,In,vm,td,ym,Op,ct,Wn,km,sd,jm,qm,at,$m,ui,Em,Am,mi,Fm,zm,ad,xm,Cm,od,Pm,Mm,nd,Sm,Om,rd,Dm,Nm,id,Lm,Qm,ld,Im,Wm,dd,Hm,Um,Bm,yt,pd,Rm,Gm,cd,Km,Vm,hd,Ym,Jm,ud,Xm,Zm,md,ef,tf,fd,sf,af,gd,of,nf,fi,gi,rf,lf,df,Mo,Hn,pf,_d,cf,hf,ba,Un,uf,Bn,mf,_i,ff,gf,_f,Rn,Tf,Gn,bf,wf,vf,Ti,Kn,Dp,Xa,So,Td,Vn,yf,bd,kf,Np,kt,Yn,jf,Jn,qf,bi,$f,Ef,Af,Xn,Ff,Zn,zf,xf,Cf,er,Pf,wi,Mf,Sf,Of,tr,Df,sr,Nf,Lf,Qf,qs,ar,If,Za,Wf,vi,Hf,Uf,wd,Bf,Rf,Gf,Oo,Kf,Do,Lp,eo,No,vd,or,Vf,yd,Yf,Qp,Ts,nr,Jf,to,Xf,kd,Zf,eg,yi,tg,sg,ag,rr,og,ir,ng,rg,ig,$s,lr,lg,so,dg,ki,pg,cg,jd,hg,ug,mg,Lo,fg,Qo,Ip,ao,Io,qd,dr,gg,$d,_g,Wp,Zt,pr,Tg,Ed,bg,wg,cr,vg,ji,yg,kg,jg,hr,qg,ur,$g,Eg,Ag,Es,mr,Fg,oo,zg,qi,xg,Cg,Ad,Pg,Mg,Sg,Wo,Og,Ho,Hp,no,Uo,Fd,fr,Dg,zd,Ng,Up,es,gr,Lg,ro,Qg,xd,Ig,Wg,Cd,Hg,Ug,Bg,_r,Rg,$i,Gg,Kg,Vg,Tr,Yg,br,Jg,Xg,Zg,As,wr,e_,io,t_,Ei,s_,a_,Pd,o_,n_,r_,Bo,i_,Ro,Bp,lo,Go,Md,vr,l_,Sd,d_,Rp,jt,yr,p_,Od,c_,h_,kr,u_,Ai,m_,f_,g_,jr,__,qr,T_,b_,w_,Ko,v_,Fs,$r,y_,po,k_,Fi,j_,q_,Dd,$_,E_,A_,Vo,F_,Yo,Gp,co,Jo,Nd,Er,z_,Ld,x_,Kp,qt,Ar,C_,Fr,P_,Qd,M_,S_,O_,zr,D_,zi,N_,L_,Q_,xr,I_,Cr,W_,H_,U_,Xo,B_,zs,Pr,R_,ho,G_,xi,K_,V_,Id,Y_,J_,X_,Zo,Z_,en,Vp,uo,tn,Wd,Mr,eT,Hd,tT,Yp,$t,Sr,sT,Ud,aT,oT,Or,nT,Ci,rT,iT,lT,Dr,dT,Nr,pT,cT,hT,sn,uT,xs,Lr,mT,mo,fT,Pi,gT,_T,Bd,TT,bT,wT,an,vT,on,Jp,fo,nn,Rd,Qr,yT,Gd,kT,Xp,Et,Ir,jT,go,qT,Kd,$T,ET,Vd,AT,FT,zT,Wr,xT,Mi,CT,PT,MT,Hr,ST,Ur,OT,DT,NT,rn,LT,Cs,Br,QT,_o,IT,Si,WT,HT,Yd,UT,BT,RT,ln,GT,dn,Zp;return p=new Pt({}),v=new Pt({}),vt=new Pt({}),wo=new Kc({props:{pytorch:!0,tensorflow:!0,jax:!1,$$slots:{tensorflow:[Ky],pytorch:[Ry]},$$scope:{ctx:x}}}),jo=new Kc({props:{pytorch:!0,tensorflow:!0,jax:!1,$$slots:{tensorflow:[Xy],pytorch:[Yy]},$$scope:{ctx:x}}}),qo=new Kc({props:{pytorch:!0,tensorflow:!0,jax:!1,$$slots:{tensorflow:[sk],pytorch:[ek]},$$scope:{ctx:x}}}),Fn=new Pt({}),Eo=new Kc({props:{pytorch:!0,tensorflow:!0,jax:!1,$$slots:{tensorflow:[rk],pytorch:[ok]},$$scope:{ctx:x}}}),Cn=new Pt({}),Pn=new Pt({}),Mn=new it({props:{name:"class transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput",anchor:"transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput",parameters:[{name:"loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"logits",val:": FloatTensor = None"},{name:"logits_aggregation",val:": FloatTensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"}],parametersDescription:[{anchor:"transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput.loss",description:`<strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> (and possibly <code>answer</code>, <code>aggregation_labels</code>, <code>numeric_values</code> and <code>numeric_values_scale</code> are provided)) &#x2014;
Total loss as the sum of the hierarchical cell selection log-likelihood loss and (optionally) the
semi-supervised regression loss and (optionally) supervised loss for aggregations.`,name:"loss"},{anchor:"transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput.logits",description:`<strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Prediction scores of the cell selection head, for every token.`,name:"logits"},{anchor:"transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput.logits_aggregation",description:`<strong>logits_aggregation</strong> (<code>torch.FloatTensor</code>, <em>optional</em>, of shape <code>(batch_size, num_aggregation_labels)</code>) &#x2014;
Prediction scores of the aggregation head, for every aggregation operator.`,name:"logits_aggregation"},{anchor:"transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states of the model at the output of each layer
plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Attentions weights after the attention softmax, used to compute the weighted average in
the self-attention heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tapas.py#L91"}}),On=new Pt({}),Dn=new it({props:{name:"class transformers.TapasConfig",anchor:"transformers.TapasConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 1024"},{name:"type_vocab_sizes",val:" = [3, 256, 256, 2, 256, 256, 10]"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 0"},{name:"positive_label_weight",val:" = 10.0"},{name:"num_aggregation_labels",val:" = 0"},{name:"aggregation_loss_weight",val:" = 1.0"},{name:"use_answer_as_supervision",val:" = None"},{name:"answer_loss_importance",val:" = 1.0"},{name:"use_normalized_answer_loss",val:" = False"},{name:"huber_loss_delta",val:" = None"},{name:"temperature",val:" = 1.0"},{name:"aggregation_temperature",val:" = 1.0"},{name:"use_gumbel_for_cells",val:" = False"},{name:"use_gumbel_for_aggregation",val:" = False"},{name:"average_approximation_function",val:" = 'ratio'"},{name:"cell_selection_preference",val:" = None"},{name:"answer_loss_cutoff",val:" = None"},{name:"max_num_rows",val:" = 64"},{name:"max_num_columns",val:" = 32"},{name:"average_logits_per_cell",val:" = False"},{name:"select_one_column",val:" = True"},{name:"allow_empty_column_selection",val:" = False"},{name:"init_cell_selection_weights_to_zero",val:" = False"},{name:"reset_position_index_per_cell",val:" = True"},{name:"disable_per_token_loss",val:" = False"},{name:"aggregation_labels",val:" = None"},{name:"no_aggregation_label_index",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TapasConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the TAPAS model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasModel">TapasModel</a>.`,name:"vocab_size"},{anchor:"transformers.TapasConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.TapasConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.TapasConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.TapasConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.TapasConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;swish&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.TapasConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.TapasConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.TapasConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.TapasConfig.type_vocab_sizes",description:`<strong>type_vocab_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 256, 256, 2, 256, 256, 10]</code>) &#x2014;
The vocabulary sizes of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasModel">TapasModel</a>.`,name:"type_vocab_sizes"},{anchor:"transformers.TapasConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.TapasConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.TapasConfig.positive_label_weight",description:`<strong>positive_label_weight</strong> (<code>float</code>, <em>optional</em>, defaults to 10.0) &#x2014;
Weight for positive labels.`,name:"positive_label_weight"},{anchor:"transformers.TapasConfig.num_aggregation_labels",description:`<strong>num_aggregation_labels</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
The number of aggregation operators to predict.`,name:"num_aggregation_labels"},{anchor:"transformers.TapasConfig.aggregation_loss_weight",description:`<strong>aggregation_loss_weight</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
Importance weight for the aggregation loss.`,name:"aggregation_loss_weight"},{anchor:"transformers.TapasConfig.use_answer_as_supervision",description:`<strong>use_answer_as_supervision</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to use the answer as the only supervision for aggregation examples.`,name:"use_answer_as_supervision"},{anchor:"transformers.TapasConfig.answer_loss_importance",description:`<strong>answer_loss_importance</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
Importance weight for the regression loss.`,name:"answer_loss_importance"},{anchor:"transformers.TapasConfig.use_normalized_answer_loss",description:`<strong>use_normalized_answer_loss</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to normalize the answer loss by the maximum of the predicted and expected value.`,name:"use_normalized_answer_loss"},{anchor:"transformers.TapasConfig.huber_loss_delta",description:`<strong>huber_loss_delta</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Delta parameter used to calculate the regression loss.`,name:"huber_loss_delta"},{anchor:"transformers.TapasConfig.temperature",description:`<strong>temperature</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
Value used to control (OR change) the skewness of cell logits probabilities.`,name:"temperature"},{anchor:"transformers.TapasConfig.aggregation_temperature",description:`<strong>aggregation_temperature</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
Scales aggregation logits to control the skewness of probabilities.`,name:"aggregation_temperature"},{anchor:"transformers.TapasConfig.use_gumbel_for_cells",description:`<strong>use_gumbel_for_cells</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to apply Gumbel-Softmax to cell selection.`,name:"use_gumbel_for_cells"},{anchor:"transformers.TapasConfig.use_gumbel_for_aggregation",description:`<strong>use_gumbel_for_aggregation</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to apply Gumbel-Softmax to aggregation selection.`,name:"use_gumbel_for_aggregation"},{anchor:"transformers.TapasConfig.average_approximation_function",description:`<strong>average_approximation_function</strong> (<code>string</code>, <em>optional</em>, defaults to <code>&quot;ratio&quot;</code>) &#x2014;
Method to calculate the expected average of cells in the weak supervision case. One of <code>&quot;ratio&quot;</code>,
<code>&quot;first_order&quot;</code> or <code>&quot;second_order&quot;</code>.`,name:"average_approximation_function"},{anchor:"transformers.TapasConfig.cell_selection_preference",description:`<strong>cell_selection_preference</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Preference for cell selection in ambiguous cases. Only applicable in case of weak supervision for
aggregation (WTQ, WikiSQL). If the total mass of the aggregation probabilities (excluding the &#x201C;NONE&#x201D;
operator) is higher than this hyperparameter, then aggregation is predicted for an example.`,name:"cell_selection_preference"},{anchor:"transformers.TapasConfig.answer_loss_cutoff",description:`<strong>answer_loss_cutoff</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Ignore examples with answer loss larger than cutoff.`,name:"answer_loss_cutoff"},{anchor:"transformers.TapasConfig.max_num_rows",description:`<strong>max_num_rows</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Maximum number of rows.`,name:"max_num_rows"},{anchor:"transformers.TapasConfig.max_num_columns",description:`<strong>max_num_columns</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Maximum number of columns.`,name:"max_num_columns"},{anchor:"transformers.TapasConfig.average_logits_per_cell",description:`<strong>average_logits_per_cell</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to average logits per cell.`,name:"average_logits_per_cell"},{anchor:"transformers.TapasConfig.select_one_column",description:`<strong>select_one_column</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to constrain the model to only select cells from a single column.`,name:"select_one_column"},{anchor:"transformers.TapasConfig.allow_empty_column_selection",description:`<strong>allow_empty_column_selection</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to allow not to select any column.`,name:"allow_empty_column_selection"},{anchor:"transformers.TapasConfig.init_cell_selection_weights_to_zero",description:`<strong>init_cell_selection_weights_to_zero</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to initialize cell selection weights to 0 so that the initial probabilities are 50%.`,name:"init_cell_selection_weights_to_zero"},{anchor:"transformers.TapasConfig.reset_position_index_per_cell",description:`<strong>reset_position_index_per_cell</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to restart position indexes at every cell (i.e. use relative position embeddings).`,name:"reset_position_index_per_cell"},{anchor:"transformers.TapasConfig.disable_per_token_loss",description:`<strong>disable_per_token_loss</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to disable any (strong or weak) supervision on cells.`,name:"disable_per_token_loss"},{anchor:"transformers.TapasConfig.aggregation_labels",description:`<strong>aggregation_labels</strong> (<code>Dict[int, label]</code>, <em>optional</em>) &#x2014;
The aggregation labels used to aggregate the results. For example, the WTQ models have the following
aggregation labels: <code>{0: &quot;NONE&quot;, 1: &quot;SUM&quot;, 2: &quot;AVERAGE&quot;, 3: &quot;COUNT&quot;}</code>`,name:"aggregation_labels"},{anchor:"transformers.TapasConfig.no_aggregation_label_index",description:`<strong>no_aggregation_label_index</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If the aggregation labels are defined and one of these labels represents &#x201C;No aggregation&#x201D;, this should be
set to its index. For example, the WTQ models have the &#x201C;NONE&#x201D; aggregation label at index 0, so that value
should be set to 0 for these models.`,name:"no_aggregation_label_index"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/configuration_tapas.py#L45"}}),Co=new bo({props:{anchor:"transformers.TapasConfig.example",$$slots:{default:[ik]},$$scope:{ctx:x}}}),In=new Pt({}),Wn=new it({props:{name:"class transformers.TapasTokenizer",anchor:"transformers.TapasTokenizer",parameters:[{name:"vocab_file",val:""},{name:"do_lower_case",val:" = True"},{name:"do_basic_tokenize",val:" = True"},{name:"never_split",val:" = None"},{name:"unk_token",val:" = '[UNK]'"},{name:"sep_token",val:" = '[SEP]'"},{name:"pad_token",val:" = '[PAD]'"},{name:"cls_token",val:" = '[CLS]'"},{name:"mask_token",val:" = '[MASK]'"},{name:"empty_token",val:" = '[EMPTY]'"},{name:"tokenize_chinese_chars",val:" = True"},{name:"strip_accents",val:" = None"},{name:"cell_trim_length",val:": int = -1"},{name:"max_column_id",val:": int = None"},{name:"max_row_id",val:": int = None"},{name:"strip_column_names",val:": bool = False"},{name:"update_answer_coordinates",val:": bool = False"},{name:"min_question_length",val:" = None"},{name:"max_question_length",val:" = None"},{name:"model_max_length",val:": int = 512"},{name:"additional_special_tokens",val:": typing.Optional[typing.List[str]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TapasTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
File containing the vocabulary.`,name:"vocab_file"},{anchor:"transformers.TapasTokenizer.do_lower_case",description:`<strong>do_lower_case</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to lowercase the input when tokenizing.`,name:"do_lower_case"},{anchor:"transformers.TapasTokenizer.do_basic_tokenize",description:`<strong>do_basic_tokenize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to do basic tokenization before WordPiece.`,name:"do_basic_tokenize"},{anchor:"transformers.TapasTokenizer.never_split",description:`<strong>never_split</strong> (<code>Iterable</code>, <em>optional</em>) &#x2014;
Collection of tokens which will never be split during tokenization. Only has an effect when
<code>do_basic_tokenize=True</code>`,name:"never_split"},{anchor:"transformers.TapasTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[UNK]&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.TapasTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.TapasTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[PAD]&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.TapasTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.TapasTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[MASK]&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.TapasTokenizer.empty_token",description:`<strong>empty_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[EMPTY]&quot;</code>) &#x2014;
The token used for empty cell values in a table. Empty cell values include &quot;&quot;, &#x201C;n/a&#x201D;, &#x201C;nan&#x201D; and &#x201D;?&#x201C;.`,name:"empty_token"},{anchor:"transformers.TapasTokenizer.tokenize_chinese_chars",description:`<strong>tokenize_chinese_chars</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to tokenize Chinese characters. This should likely be deactivated for Japanese (see this
<a href="https://github.com/huggingface/transformers/issues/328" rel="nofollow">issue</a>).`,name:"tokenize_chinese_chars"},{anchor:"transformers.TapasTokenizer.strip_accents",description:`<strong>strip_accents</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to strip all accents. If this option is not specified, then it will be determined by the
value for <code>lowercase</code> (as in the original BERT).`,name:"strip_accents"},{anchor:"transformers.TapasTokenizer.cell_trim_length",description:`<strong>cell_trim_length</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
If &gt; 0: Trim cells so that the length is &lt;= this value. Also disables further cell trimming, should thus be
used with <code>truncation</code> set to <code>True</code>.`,name:"cell_trim_length"},{anchor:"transformers.TapasTokenizer.max_column_id",description:`<strong>max_column_id</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Max column id to extract.`,name:"max_column_id"},{anchor:"transformers.TapasTokenizer.max_row_id",description:`<strong>max_row_id</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Max row id to extract.`,name:"max_row_id"},{anchor:"transformers.TapasTokenizer.strip_column_names",description:`<strong>strip_column_names</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to add empty strings instead of column names.`,name:"strip_column_names"},{anchor:"transformers.TapasTokenizer.update_answer_coordinates",description:`<strong>update_answer_coordinates</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to recompute the answer coordinates from the answer text.`,name:"update_answer_coordinates"},{anchor:"transformers.TapasTokenizer.min_question_length",description:`<strong>min_question_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Minimum length of each question in terms of tokens (will be skipped otherwise).`,name:"min_question_length"},{anchor:"transformers.TapasTokenizer.max_question_length",description:`<strong>max_question_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of each question in terms of tokens (will be skipped otherwise).`,name:"max_question_length"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/tokenization_tapas.py#L236"}}),Hn=new it({props:{name:"__call__",anchor:"transformers.TapasTokenizer.__call__",parameters:[{name:"table",val:": pd.DataFrame"},{name:"queries",val:": typing.Union[str, typing.List[str], typing.List[int], typing.List[typing.List[str]], typing.List[typing.List[int]], NoneType] = None"},{name:"answer_coordinates",val:": typing.Union[typing.List[typing.Tuple], typing.List[typing.List[typing.Tuple]], NoneType] = None"},{name:"answer_text",val:": typing.Union[typing.List[str], typing.List[typing.List[str]], NoneType] = None"},{name:"add_special_tokens",val:": bool = True"},{name:"padding",val:": typing.Union[bool, str, transformers.utils.generic.PaddingStrategy] = False"},{name:"truncation",val:": typing.Union[bool, str, transformers.models.tapas.tokenization_tapas.TapasTruncationStrategy] = False"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"return_token_type_ids",val:": typing.Optional[bool] = None"},{name:"return_attention_mask",val:": typing.Optional[bool] = None"},{name:"return_overflowing_tokens",val:": bool = False"},{name:"return_special_tokens_mask",val:": bool = False"},{name:"return_offsets_mapping",val:": bool = False"},{name:"return_length",val:": bool = False"},{name:"verbose",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TapasTokenizer.__call__.table",description:`<strong>table</strong> (<code>pd.DataFrame</code>) &#x2014;
Table containing tabular data. Note that all cell values must be text. Use <em>.astype(str)</em> on a Pandas
dataframe to convert it to string.`,name:"table"},{anchor:"transformers.TapasTokenizer.__call__.queries",description:`<strong>queries</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Question or batch of questions related to a table to be encoded. Note that in case of a batch, all
questions must refer to the <strong>same</strong> table.`,name:"queries"},{anchor:"transformers.TapasTokenizer.__call__.answer_coordinates",description:`<strong>answer_coordinates</strong> (<code>List[Tuple]</code> or <code>List[List[Tuple]]</code>, <em>optional</em>) &#x2014;
Answer coordinates of each table-question pair in the batch. In case only a single table-question pair
is provided, then the answer_coordinates must be a single list of one or more tuples. Each tuple must
be a (row_index, column_index) pair. The first data row (not the column header row) has index 0. The
first column has index 0. In case a batch of table-question pairs is provided, then the
answer_coordinates must be a list of lists of tuples (each list corresponding to a single
table-question pair).`,name:"answer_coordinates"},{anchor:"transformers.TapasTokenizer.__call__.answer_text",description:`<strong>answer_text</strong> (<code>List[str]</code> or <code>List[List[str]]</code>, <em>optional</em>) &#x2014;
Answer text of each table-question pair in the batch. In case only a single table-question pair is
provided, then the answer_text must be a single list of one or more strings. Each string must be the
answer text of a corresponding answer coordinate. In case a batch of table-question pairs is provided,
then the answer_coordinates must be a list of lists of strings (each list corresponding to a single
table-question pair).`,name:"answer_text"},{anchor:"transformers.TapasTokenizer.__call__.add_special_tokens",description:`<strong>add_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to encode the sequences with the special tokens relative to their model.`,name:"add_special_tokens"},{anchor:"transformers.TapasTokenizer.__call__.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_22444/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls padding. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code>: Pad to the longest sequence in the batch (or no padding if only a single
sequence if provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code> (default): No padding (i.e., can output a batch with sequences of different
lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.TapasTokenizer.__call__.truncation",description:`<strong>truncation</strong> (<code>bool</code>, <code>str</code> or <code>TapasTruncationStrategy</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls truncation. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;drop_rows_to_fit&apos;</code>: Truncate to a maximum length specified with the argument <code>max_length</code>
or to the maximum acceptable input length for the model if that argument is not provided. This will
truncate row by row, removing rows from the table.</li>
<li><code>False</code> or <code>&apos;do_not_truncate&apos;</code> (default): No truncation (i.e., can output batch with sequence lengths
greater than the model maximum admissible input size).</li>
</ul>`,name:"truncation"},{anchor:"transformers.TapasTokenizer.__call__.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Controls the maximum length to use by one of the truncation/padding parameters.</p>
<p>If left unset or set to <code>None</code>, this will use the predefined model maximum length if a maximum length
is required by one of the truncation/padding parameters. If the model has no specific maximum input
length (like XLNet) truncation/padding to a maximum length will be deactivated.`,name:"max_length"},{anchor:"transformers.TapasTokenizer.__call__.is_split_into_words",description:`<strong>is_split_into_words</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the input is already pre-tokenized (e.g., split into words). If set to <code>True</code>, the
tokenizer assumes the input is already split into words (for instance, by splitting it on whitespace)
which it will tokenize. This is useful for NER or token classification.`,name:"is_split_into_words"},{anchor:"transformers.TapasTokenizer.__call__.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value. This is especially useful to enable
the use of Tensor Cores on NVIDIA hardware with compute capability <code>&gt;= 7.5</code> (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.TapasTokenizer.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <a href="/docs/transformers/pr_22444/en/internal/file_utils#transformers.TensorType">TensorType</a>, <em>optional</em>) &#x2014;
If set, will return tensors instead of list of python integers. Acceptable values are:</p>
<ul>
<li><code>&apos;tf&apos;</code>: Return TensorFlow <code>tf.constant</code> objects.</li>
<li><code>&apos;pt&apos;</code>: Return PyTorch <code>torch.Tensor</code> objects.</li>
<li><code>&apos;np&apos;</code>: Return Numpy <code>np.ndarray</code> objects.</li>
</ul>`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/tokenization_tapas.py#L575"}}),Un=new it({props:{name:"convert_logits_to_predictions",anchor:"transformers.TapasTokenizer.convert_logits_to_predictions",parameters:[{name:"data",val:""},{name:"logits",val:""},{name:"logits_agg",val:" = None"},{name:"cell_classification_threshold",val:" = 0.5"}],parametersDescription:[{anchor:"transformers.TapasTokenizer.convert_logits_to_predictions.data",description:`<strong>data</strong> (<code>dict</code>) &#x2014;
Dictionary mapping features to actual values. Should be created using <a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer">TapasTokenizer</a>.`,name:"data"},{anchor:"transformers.TapasTokenizer.convert_logits_to_predictions.logits",description:`<strong>logits</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Tensor containing the logits at the token level.`,name:"logits"},{anchor:"transformers.TapasTokenizer.convert_logits_to_predictions.logits_agg",description:`<strong>logits_agg</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_aggregation_labels)</code>, <em>optional</em>) &#x2014;
Tensor containing the aggregation logits.`,name:"logits_agg"},{anchor:"transformers.TapasTokenizer.convert_logits_to_predictions.cell_classification_threshold",description:`<strong>cell_classification_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Threshold to be used for cell selection. All table cells for which their probability is larger than
this threshold will be selected.`,name:"cell_classification_threshold"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/tokenization_tapas.py#L1938",returnDescription:`
<ul>
<li>predicted_answer_coordinates (<code>List[List[[tuple]]</code> of length <code>batch_size</code>): Predicted answer coordinates
as a list of lists of tuples. Each element in the list contains the predicted answer coordinates of a
single example in the batch, as a list of tuples. Each tuple is a cell, i.e. (row index, column index).</li>
<li>predicted_aggregation_indices (<code>List[int]</code>of length <code>batch_size</code>, <em>optional</em>, returned when
<code>logits_aggregation</code> is provided): Predicted aggregation operator indices of the aggregation head.</li>
</ul>
`,returnType:`
<p><code>tuple</code> comprising various elements depending on the inputs</p>
`}}),Kn=new it({props:{name:"save_vocabulary",anchor:"transformers.TapasTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/tokenization_tapas.py#L443"}}),Vn=new Pt({}),Yn=new it({props:{name:"class transformers.TapasModel",anchor:"transformers.TapasModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.TapasModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tapas.py#L841"}}),ar=new it({props:{name:"forward",anchor:"transformers.TapasModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.TapasModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TapasModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TapasModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length, 7)</code>, <em>optional</em>) &#x2014;
Token indices that encode tabular structure. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See this
class for more info.</p>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TapasModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. If
<code>reset_position_index_per_cell</code> of <a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a> is set to <code>True</code>, relative position embeddings will be
used. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TapasModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>: - 1
indicates the head is <strong>not masked</strong>, - 0 indicates the head is <strong>masked</strong>.`,name:"head_mask"},{anchor:"transformers.TapasModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TapasModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TapasModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TapasModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22444/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tapas.py#L878",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig"
>TapasConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Oo=new Is({props:{$$slots:{default:[lk]},$$scope:{ctx:x}}}),Do=new bo({props:{anchor:"transformers.TapasModel.forward.example",$$slots:{default:[dk]},$$scope:{ctx:x}}}),or=new Pt({}),nr=new it({props:{name:"class transformers.TapasForMaskedLM",anchor:"transformers.TapasForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.TapasForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tapas.py#L993"}}),lr=new it({props:{name:"forward",anchor:"transformers.TapasForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TapasForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TapasForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TapasForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length, 7)</code>, <em>optional</em>) &#x2014;
Token indices that encode tabular structure. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See this
class for more info.</p>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TapasForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. If
<code>reset_position_index_per_cell</code> of <a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a> is set to <code>True</code>, relative position embeddings will be
used. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TapasForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>: - 1
indicates the head is <strong>not masked</strong>, - 0 indicates the head is <strong>masked</strong>.`,name:"head_mask"},{anchor:"transformers.TapasForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TapasForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TapasForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TapasForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22444/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TapasForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tapas.py#L1013",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig"
>TapasConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Lo=new Is({props:{$$slots:{default:[pk]},$$scope:{ctx:x}}}),Qo=new bo({props:{anchor:"transformers.TapasForMaskedLM.forward.example",$$slots:{default:[ck]},$$scope:{ctx:x}}}),dr=new Pt({}),pr=new it({props:{name:"class transformers.TapasForSequenceClassification",anchor:"transformers.TapasForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.TapasForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tapas.py#L1454"}}),mr=new it({props:{name:"forward",anchor:"transformers.TapasForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.TapasForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TapasForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TapasForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length, 7)</code>, <em>optional</em>) &#x2014;
Token indices that encode tabular structure. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See this
class for more info.</p>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TapasForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. If
<code>reset_position_index_per_cell</code> of <a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a> is set to <code>True</code>, relative position embeddings will be
used. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TapasForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>: - 1
indicates the head is <strong>not masked</strong>, - 0 indicates the head is <strong>masked</strong>.`,name:"head_mask"},{anchor:"transformers.TapasForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TapasForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TapasForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TapasForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22444/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TapasForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy). Note: this is called
&#x201C;classification_class_index&#x201D; in the original implementation.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tapas.py#L1466",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig"
>TapasConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Wo=new Is({props:{$$slots:{default:[hk]},$$scope:{ctx:x}}}),Ho=new bo({props:{anchor:"transformers.TapasForSequenceClassification.forward.example",$$slots:{default:[uk]},$$scope:{ctx:x}}}),fr=new Pt({}),gr=new it({props:{name:"class transformers.TapasForQuestionAnswering",anchor:"transformers.TapasForQuestionAnswering",parameters:[{name:"config",val:": TapasConfig"}],parametersDescription:[{anchor:"transformers.TapasForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tapas.py#L1109"}}),wr=new it({props:{name:"forward",anchor:"transformers.TapasForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"table_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"aggregation_labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"float_answer",val:": typing.Optional[torch.FloatTensor] = None"},{name:"numeric_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"numeric_values_scale",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.TapasForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TapasForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TapasForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length, 7)</code>, <em>optional</em>) &#x2014;
Token indices that encode tabular structure. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See this
class for more info.</p>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TapasForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. If
<code>reset_position_index_per_cell</code> of <a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a> is set to <code>True</code>, relative position embeddings will be
used. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TapasForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>: - 1
indicates the head is <strong>not masked</strong>, - 0 indicates the head is <strong>masked</strong>.`,name:"head_mask"},{anchor:"transformers.TapasForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TapasForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TapasForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TapasForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22444/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TapasForQuestionAnswering.forward.table_mask",description:`<strong>table_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, seq_length)</code>, <em>optional</em>) &#x2014;
Mask for the table. Indicates which tokens belong to the table (1). Question tokens, table headers and
padding are 0.`,name:"table_mask"},{anchor:"transformers.TapasForQuestionAnswering.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, seq_length)</code>, <em>optional</em>) &#x2014;
Labels per token for computing the hierarchical cell selection loss. This encodes the positions of the
answer appearing in the table. Can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>.</p>
<ul>
<li>1 for tokens that are <strong>part of the answer</strong>,</li>
<li>0 for tokens that are <strong>not part of the answer</strong>.</li>
</ul>`,name:"labels"},{anchor:"transformers.TapasForQuestionAnswering.forward.aggregation_labels",description:`<strong>aggregation_labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>) &#x2014;
Aggregation function index for every example in the batch for computing the aggregation loss. Indices
should be in <code>[0, ..., config.num_aggregation_labels - 1]</code>. Only required in case of strong supervision for
aggregation (WikiSQL-supervised).`,name:"aggregation_labels"},{anchor:"transformers.TapasForQuestionAnswering.forward.float_answer",description:`<strong>float_answer</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>) &#x2014;
Float answer for every example in the batch. Set to <em>float(&#x2018;nan&#x2019;)</em> for cell selection questions. Only
required in case of weak supervision (WTQ) to calculate the aggregate mask and regression loss.`,name:"float_answer"},{anchor:"transformers.TapasForQuestionAnswering.forward.numeric_values",description:`<strong>numeric_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, seq_length)</code>, <em>optional</em>) &#x2014;
Numeric values of every token, NaN for tokens which are not numeric values. Can be obtained using
<a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. Only required in case of weak supervision for aggregation (WTQ) to calculate the
regression loss.`,name:"numeric_values"},{anchor:"transformers.TapasForQuestionAnswering.forward.numeric_values_scale",description:`<strong>numeric_values_scale</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, seq_length)</code>, <em>optional</em>) &#x2014;
Scale of the numeric values of every token. Can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. Only required in case
of weak supervision for aggregation (WTQ) to calculate the regression loss.`,name:"numeric_values_scale"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tapas.py#L1144",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput"
>transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig"
>TapasConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> (and possibly <code>answer</code>, <code>aggregation_labels</code>, <code>numeric_values</code> and <code>numeric_values_scale</code> are provided)) \u2014 Total loss as the sum of the hierarchical cell selection log-likelihood loss and (optionally) the
semi-supervised regression loss and (optionally) supervised loss for aggregations.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Prediction scores of the cell selection head, for every token.</li>
<li><strong>logits_aggregation</strong> (<code>torch.FloatTensor</code>, <em>optional</em>, of shape <code>(batch_size, num_aggregation_labels)</code>) \u2014 Prediction scores of the aggregation head, for every aggregation operator.</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states of the model at the output of each layer
plus the initial embedding outputs.</li>
<li><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Attentions weights after the attention softmax, used to compute the weighted average in
the self-attention heads.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput"
>transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Bo=new Is({props:{$$slots:{default:[mk]},$$scope:{ctx:x}}}),Ro=new bo({props:{anchor:"transformers.TapasForQuestionAnswering.forward.example",$$slots:{default:[fk]},$$scope:{ctx:x}}}),vr=new Pt({}),yr=new it({props:{name:"class transformers.TFTapasModel",anchor:"transformers.TFTapasModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFTapasModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tf_tapas.py#L985"}}),Ko=new Is({props:{$$slots:{default:[gk]},$$scope:{ctx:x}}}),$r=new it({props:{name:"call",anchor:"transformers.TFTapasModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFTapasModel.call.input_ids",description:`<strong>input_ids</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFTapasModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFTapasModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, 7)</code>, <em>optional</em>) &#x2014;
Token indices that encode tabular structure. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See this
class for more info.</p>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFTapasModel.call.position_ids",description:`<strong>position_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. If
<code>reset_position_index_per_cell</code> of <a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a> is set to <code>True</code>, relative position embeddings will be
used. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFTapasModel.call.head_mask",description:`<strong>head_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFTapasModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFTapasModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFTapasModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFTapasModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22444/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFTapasModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to \`False&#x201C;) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tf_tapas.py#L991",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig"
>TapasConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Vo=new Is({props:{$$slots:{default:[_k]},$$scope:{ctx:x}}}),Yo=new bo({props:{anchor:"transformers.TFTapasModel.call.example",$$slots:{default:[Tk]},$$scope:{ctx:x}}}),Er=new Pt({}),Ar=new it({props:{name:"class transformers.TFTapasForMaskedLM",anchor:"transformers.TFTapasForMaskedLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFTapasForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tf_tapas.py#L1060"}}),Xo=new Is({props:{$$slots:{default:[bk]},$$scope:{ctx:x}}}),Pr=new it({props:{name:"call",anchor:"transformers.TFTapasForMaskedLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFTapasForMaskedLM.call.input_ids",description:`<strong>input_ids</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFTapasForMaskedLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFTapasForMaskedLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, 7)</code>, <em>optional</em>) &#x2014;
Token indices that encode tabular structure. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See this
class for more info.</p>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFTapasForMaskedLM.call.position_ids",description:`<strong>position_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. If
<code>reset_position_index_per_cell</code> of <a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a> is set to <code>True</code>, relative position embeddings will be
used. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFTapasForMaskedLM.call.head_mask",description:`<strong>head_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFTapasForMaskedLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFTapasForMaskedLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFTapasForMaskedLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFTapasForMaskedLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22444/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFTapasForMaskedLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to \`False&#x201C;) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFTapasForMaskedLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tf_tapas.py#L1076",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig"
>TapasConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Zo=new Is({props:{$$slots:{default:[wk]},$$scope:{ctx:x}}}),en=new bo({props:{anchor:"transformers.TFTapasForMaskedLM.call.example",$$slots:{default:[vk]},$$scope:{ctx:x}}}),Mr=new Pt({}),Sr=new it({props:{name:"class transformers.TFTapasForSequenceClassification",anchor:"transformers.TFTapasForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFTapasForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tf_tapas.py#L1602"}}),sn=new Is({props:{$$slots:{default:[yk]},$$scope:{ctx:x}}}),Lr=new it({props:{name:"call",anchor:"transformers.TFTapasForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFTapasForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFTapasForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFTapasForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length, 7)</code>, <em>optional</em>) &#x2014;
Token indices that encode tabular structure. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See this
class for more info.</p>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFTapasForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. If
<code>reset_position_index_per_cell</code> of <a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a> is set to <code>True</code>, relative position embeddings will be
used. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFTapasForSequenceClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFTapasForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFTapasForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFTapasForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFTapasForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22444/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFTapasForSequenceClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to \`False&#x201C;) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFTapasForSequenceClassification.call.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy). Note: this is called
&#x201C;classification_class_index&#x201D; in the original implementation.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tf_tapas.py#L1613",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig"
>TapasConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22444/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),an=new Is({props:{$$slots:{default:[kk]},$$scope:{ctx:x}}}),on=new bo({props:{anchor:"transformers.TFTapasForSequenceClassification.call.example",$$slots:{default:[jk]},$$scope:{ctx:x}}}),Qr=new Pt({}),Ir=new it({props:{name:"class transformers.TFTapasForQuestionAnswering",anchor:"transformers.TFTapasForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFTapasForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tf_tapas.py#L1266"}}),rn=new Is({props:{$$slots:{default:[qk]},$$scope:{ctx:x}}}),Br=new it({props:{name:"call",anchor:"transformers.TFTapasForQuestionAnswering.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"table_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"aggregation_labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"float_answer",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"numeric_values",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"numeric_values_scale",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFTapasForQuestionAnswering.call.input_ids",description:`<strong>input_ids</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22444/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFTapasForQuestionAnswering.call.attention_mask",description:`<strong>attention_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFTapasForQuestionAnswering.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, 7)</code>, <em>optional</em>) &#x2014;
Token indices that encode tabular structure. Indices can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See this
class for more info.</p>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFTapasForQuestionAnswering.call.position_ids",description:`<strong>position_ids</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. If
<code>reset_position_index_per_cell</code> of <a href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig">TapasConfig</a> is set to <code>True</code>, relative position embeddings will be
used. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFTapasForQuestionAnswering.call.head_mask",description:`<strong>head_mask</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFTapasForQuestionAnswering.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>np.ndarray</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFTapasForQuestionAnswering.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFTapasForQuestionAnswering.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFTapasForQuestionAnswering.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22444/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFTapasForQuestionAnswering.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to \`False&#x201C;) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFTapasForQuestionAnswering.call.table_mask",description:`<strong>table_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, seq_length)</code>, <em>optional</em>) &#x2014;
Mask for the table. Indicates which tokens belong to the table (1). Question tokens, table headers and
padding are 0.`,name:"table_mask"},{anchor:"transformers.TFTapasForQuestionAnswering.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, seq_length)</code>, <em>optional</em>) &#x2014;
Labels per token for computing the hierarchical cell selection loss. This encodes the positions of the
answer appearing in the table. Can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>.</p>
<ul>
<li>1 for tokens that are <strong>part of the answer</strong>,</li>
<li>0 for tokens that are <strong>not part of the answer</strong>.</li>
</ul>`,name:"labels"},{anchor:"transformers.TFTapasForQuestionAnswering.call.aggregation_labels",description:`<strong>aggregation_labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>) &#x2014;
Aggregation function index for every example in the batch for computing the aggregation loss. Indices
should be in <code>[0, ..., config.num_aggregation_labels - 1]</code>. Only required in case of strong supervision for
aggregation (WikiSQL-supervised).`,name:"aggregation_labels"},{anchor:"transformers.TFTapasForQuestionAnswering.call.float_answer",description:`<strong>float_answer</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>) &#x2014;
Float answer for every example in the batch. Set to <em>float(&#x2018;nan&#x2019;)</em> for cell selection questions. Only
required in case of weak supervision (WTQ) to calculate the aggregate mask and regression loss.`,name:"float_answer"},{anchor:"transformers.TFTapasForQuestionAnswering.call.numeric_values",description:`<strong>numeric_values</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, seq_length)</code>, <em>optional</em>) &#x2014;
Numeric values of every token, NaN for tokens which are not numeric values. Can be obtained using
<a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. Only required in case of weak supervision for aggregation (WTQ) to calculate the
regression loss.`,name:"numeric_values"},{anchor:"transformers.TFTapasForQuestionAnswering.call.numeric_values_scale",description:`<strong>numeric_values_scale</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, seq_length)</code>, <em>optional</em>) &#x2014;
Scale of the numeric values of every token. Can be obtained using <a href="/docs/transformers/pr_22444/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. Only required in case
of weak supervision for aggregation (WTQ) to calculate the regression loss.`,name:"numeric_values_scale"}],source:"https://github.com/huggingface/transformers/blob/vr_22444/src/transformers/models/tapas/modeling_tf_tapas.py#L1288",returnDescription:`
<p>A <code>transformers.models.tapas.modeling_tf_tapas.TFTableQuestionAnsweringOutput</code> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig"
>TapasConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> (and possibly <code>answer</code>, <code>aggregation_labels</code>, <code>numeric_values</code> and <code>numeric_values_scale</code> are provided)) \u2014 Total loss as the sum of the hierarchical cell selection log-likelihood loss and (optionally) the
semi-supervised regression loss and (optionally) supervised loss for aggregations.</li>
<li><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Prediction scores of the cell selection head, for every token.</li>
<li><strong>logits_aggregation</strong> (<code>tf.Tensor</code>, <em>optional</em>, of shape <code>(batch_size, num_aggregation_labels)</code>) \u2014 Prediction scores of the aggregation head, for every aggregation operator.</li>
<li><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states of the model at the output of each layer plus
the initial embedding outputs.</li>
<li><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Attentions weights after the attention softmax, used to compute the weighted average in
the self-attention heads.</li>
</ul>
`,returnType:`
<p><code>transformers.models.tapas.modeling_tf_tapas.TFTableQuestionAnsweringOutput</code> or <code>tuple(tf.Tensor)</code></p>
`}}),ln=new Is({props:{$$slots:{default:[$k]},$$scope:{ctx:x}}}),dn=new bo({props:{anchor:"transformers.TFTapasForQuestionAnswering.call.example",$$slots:{default:[Ek]},$$scope:{ctx:x}}}),{c(){l=o("meta"),T=c(),d=o("h1"),f=o("a"),b=o("span"),y(p.$$.fragment),g=c(),A=o("span"),F=s("TAPAS"),H=c(),N=o("h2"),G=o("a"),ae=o("span"),y(v.$$.fragment),R=c(),X=o("span"),S=s("Overview"),U=c(),O=o("p"),C=s("The TAPAS model was proposed in "),W=o("a"),Y=s("TAPAS: Weakly Supervised Table Parsing via Pre-training"),le=s(`
by Jonathan Herzig, Pawe\u0142 Krzysztof Nowak, Thomas M\xFCller, Francesco Piccinno and Julian Martin Eisenschlos. It\u2019s a BERT-based model specifically
designed (and pre-trained) for answering questions about tabular data. Compared to BERT, TAPAS uses relative position embeddings and has 7
token types that encode tabular structure. TAPAS is pre-trained on the masked language modeling (MLM) objective on a large dataset comprising
millions of tables from English Wikipedia and corresponding texts.`),me=c(),Z=o("p"),ge=s("For question answering, TAPAS has 2 heads on top: a cell selection head and an aggregation head, for (optionally) performing aggregations (such as counting or summing) among selected cells. TAPAS has been fine-tuned on several datasets:"),ce=c(),ee=o("ul"),_e=o("li"),D=o("a"),L=s("SQA"),I=s(" (Sequential Question Answering by Microsoft)"),P=c(),K=o("li"),B=o("a"),ve=s("WTQ"),ze=s(" (Wiki Table Questions by Stanford University)"),he=c(),fe=o("li"),Fe=o("a"),se=s("WikiSQL"),ke=s(" (by Salesforce)."),Te=c(),Pe=o("p"),Ce=s("It achieves state-of-the-art on both SQA and WTQ, while having comparable performance to SOTA on WikiSQL, with a much simpler architecture."),je=c(),Me=o("p"),$e=s("The abstract from the paper is the following:"),pe=c(),Se=o("p"),ye=o("em"),J=s("Answering natural language questions over tables is usually seen as a semantic parsing task. To alleviate the collection cost of full logical forms, one popular approach focuses on weak supervision consisting of denotations instead of logical forms. However, training semantic parsers from weak supervision poses difficulties, and in addition, the generated logical forms are only used as an intermediate step prior to retrieving the denotation. In this paper, we present TAPAS, an approach to question answering over tables without generating logical forms. TAPAS trains from weak supervision, and predicts the denotation by selecting table cells and optionally applying a corresponding aggregation operator to such selection. TAPAS extends BERT\u2019s architecture to encode tables as input, initializes from an effective joint pre-training of text segments and tables crawled from Wikipedia, and is trained end-to-end. We experiment with three different semantic parsing datasets, and find that TAPAS outperforms or rivals semantic parsing models by improving state-of-the-art accuracy on SQA from 55.1 to 67.2 and performing on par with the state-of-the-art on WIKISQL and WIKITQ, but with a simpler model architecture. We additionally find that transfer learning, which is trivial in our setting, from WIKISQL to WIKITQ, yields 48.7 accuracy, 4.2 points above the state-of-the-art."),qe=c(),V=o("p"),We=s("In addition, the authors have further pre-trained TAPAS to recognize "),oe=o("strong"),He=s("table entailment"),Ue=s(", by creating a balanced dataset of millions of automatically created training examples which are learned in an intermediate step prior to fine-tuning. The authors of TAPAS call this further pre-training intermediate pre-training (since TAPAS is first pre-trained on MLM, and then on another dataset). They found that intermediate pre-training further improves performance on SQA, achieving a new state-of-the-art as well as state-of-the-art on "),w=o("a"),M=s("TabFact"),Ve=s(", a large-scale dataset with 16k Wikipedia tables for table entailment (a binary classification task). For more details, see their follow-up paper: "),be=o("a"),Ye=s("Understanding tables with intermediate pre-training"),Je=s(" by Julian Martin Eisenschlos, Syrine Krichene and Thomas M\xFCller."),Q=c(),Le=o("img"),Qe=c(),Ie=o("small"),Xe=s("TAPAS architecture. Taken from the "),de=o("a"),Ee=s("original blog post"),Ze=s("."),xe=c(),ne=o("p"),et=s("This model was contributed by "),Be=o("a"),re=s("nielsr"),Re=s(". The Tensorflow version of this model was contributed by "),Ae=o("a"),tt=s("kamalkraj"),Mt=s(". The original code can be found "),St=o("a"),Ws=s("here"),Ot=s("."),bs=c(),ts=o("p"),Dt=s("Tips:"),ws=c(),ut=o("ul"),Oe=o("li"),Hs=s("TAPAS is a model that uses relative position embeddings by default (restarting the position embeddings at every cell of the table). Note that this is something that was added after the publication of the original TAPAS paper. According to the authors, this usually results in a slightly better performance, and allows you to encode longer sequences without running out of embeddings. This is reflected in the "),Nt=o("code"),ie=s("reset_position_index_per_cell"),bt=s(" parameter of "),ss=o("a"),Us=s("TapasConfig"),Lt=s(", which is set to "),ns=o("code"),Bs=s("True"),Qt=s(" by default. The default versions of the models available on the "),It=o("a"),Rs=s("hub"),Wt=s(" all use relative position embeddings. You can still use the ones with absolute position embeddings by passing in an additional argument "),rs=o("code"),Gs=s('revision="no_reset"'),Ht=s(" when calling the "),is=o("code"),Ks=s("from_pretrained()"),Ut=s(" method. Note that it\u2019s usually advised to pad the inputs on the right rather than the left."),Vs=c(),st=o("li"),Bt=s("TAPAS is based on BERT, so "),ls=o("code"),Ys=s("TAPAS-base"),Rt=s(" for example corresponds to a "),ds=o("code"),Js=s("BERT-base"),ps=s(" architecture. Of course, "),lt=o("code"),cs=s("TAPAS-large"),De=s(" will result in the best performance (the results reported in the paper are from "),hs=o("code"),wt=s("TAPAS-large"),Xs=s("). Results of the various sized models are shown on the "),Gt=o("a"),Kt=s("original Github repository"),Zs=s("."),ea=c(),dt=o("li"),ta=s("TAPAS has checkpoints fine-tuned on SQA, which are capable of answering questions related to a table in a conversational set-up. This means that you can ask follow-up questions such as \u201Cwhat is his age?\u201D related to the previous question. Note that the forward pass of TAPAS is a bit different in case of a conversational set-up: in that case, you have to feed every table-question pair one by one to the model, such that the "),us=o("code"),ms=s("prev_labels"),gt=s(" token type ids can be overwritten by the predicted "),Vt=o("code"),z=s("labels"),te=s(" of the model to the previous question. See \u201CUsage\u201D section for more info."),ka=c(),sa=o("li"),ja=s("TAPAS is similar to BERT and therefore relies on the masked language modeling (MLM) objective. It is therefore efficient at predicting masked tokens and at NLU in general, but is not optimal for text generation. Models trained with a causal language modeling (CLM) objective are better in that regard. Note that TAPAS can be used as an encoder in the EncoderDecoderModel framework, to combine it with an autoregressive text decoder such as GPT-2."),ha=c(),Yt=o("h2"),_t=o("a"),aa=o("span"),y(vt.$$.fragment),qa=c(),oa=o("span"),$a=s("Usage: fine-tuning"),ua=c(),nt=o("p"),fs=s("Here we explain how you can fine-tune "),vs=o("a"),pt=s("TapasForQuestionAnswering"),Ea=s(" on your own dataset."),ma=c(),ys=o("p"),na=o("strong"),gs=s("STEP 1: Choose one of the 3 ways in which you can use TAPAS - or experiment"),fa=c(),we=o("p"),Aa=s("Basically, there are 3 different ways in which one can fine-tune "),ks=o("a"),Fa=s("TapasForQuestionAnswering"),za=s(", corresponding to the different datasets on which Tapas was fine-tuned:"),ga=c(),Ft=o("ol"),ra=o("li"),_s=s("SQA: if you\u2019re interested in asking follow-up questions related to a table, in a conversational set-up. For example if you first ask \u201Cwhat\u2019s the name of the first actor?\u201D then you can ask a follow-up question such as \u201Chow old is he?\u201C. Here, questions do not involve any aggregation (all questions are cell selection questions)."),xa=c(),Ne=o("li"),Ca=s("WTQ: if you\u2019re not interested in asking questions in a conversational set-up, but rather just asking questions related to a table, which might involve aggregation, such as counting a number of rows, summing up cell values or averaging cell values. You can then for example ask \u201Cwhat\u2019s the total number of goals Cristiano Ronaldo made in his career?\u201C. This case is also called "),ia=o("strong"),Pa=s("weak supervision"),Ma=s(", since the model itself must learn the appropriate aggregation operator (SUM/COUNT/AVERAGE/NONE) given only the answer to the question as supervision."),Sa=c(),ue=o("li"),Oa=s("WikiSQL-supervised: this dataset is based on WikiSQL with the model being given the ground truth aggregation operator during training. This is also called "),la=o("strong"),Da=s("strong supervision"),Na=s(". Here, learning the appropriate aggregation operator is much easier."),_a=c(),js=o("p"),La=s("To summarize:"),Ta=c(),Ge=o("table"),da=o("thead"),Jt=o("tr"),pa=o("th"),rl=o("strong"),Vc=s("Task"),Yc=c(),il=o("th"),ll=o("strong"),Jc=s("Example dataset"),Xc=c(),dl=o("th"),pl=o("strong"),Zc=s("Description"),eh=c(),Qa=o("tbody"),Ia=o("tr"),cl=o("td"),th=s("Conversational"),sh=c(),hl=o("td"),ah=s("SQA"),oh=c(),ul=o("td"),nh=s("Conversational, only cell selection questions"),rh=c(),Wa=o("tr"),ml=o("td"),ih=s("Weak supervision for aggregation"),lh=c(),fl=o("td"),dh=s("WTQ"),ph=c(),gl=o("td"),ch=s("Questions might involve aggregation, and the model must learn this given only the answer as supervision"),hh=c(),Ha=o("tr"),_l=o("td"),uh=s("Strong supervision for aggregation"),mh=c(),Tl=o("td"),fh=s("WikiSQL-supervised"),gh=c(),bl=o("td"),_h=s("Questions might involve aggregation, and the model must learn this given the gold aggregation operator"),mp=c(),y(wo.$$.fragment),fp=c(),vo=o("p"),Th=s("What you can also do is start from an already fine-tuned checkpoint. A note here is that the already fine-tuned checkpoint on WTQ has some issues due to the L2-loss which is somewhat brittle. See "),yn=o("a"),bh=s("here"),wh=s(" for more info."),gp=c(),yo=o("p"),vh=s("For a list of all pre-trained and fine-tuned TAPAS checkpoints available on HuggingFace\u2019s  hub, see "),kn=o("a"),yh=s("here"),kh=s("."),_p=c(),Vr=o("p"),wl=o("strong"),jh=s("STEP 2: Prepare your data in the SQA format"),Tp=c(),ko=o("p"),qh=s("Second, no matter what you picked above, you should prepare your dataset in the "),jn=o("a"),$h=s("SQA"),Eh=s(" format. This format is a TSV/CSV file with the following columns:"),bp=c(),rt=o("ul"),Yr=o("li"),vl=o("code"),Ah=s("id"),Fh=s(": optional, id of the table-question pair, for bookkeeping purposes."),zh=c(),Jr=o("li"),yl=o("code"),xh=s("annotator"),Ch=s(": optional, id of the person who annotated the table-question pair, for bookkeeping purposes."),Ph=c(),Xr=o("li"),kl=o("code"),Mh=s("position"),Sh=s(": integer indicating if the question is the first, second, third,\u2026 related to the table. Only required in case of conversational setup (SQA). You don\u2019t need this column in case you\u2019re going for WTQ/WikiSQL-supervised."),Oh=c(),Zr=o("li"),jl=o("code"),Dh=s("question"),Nh=s(": string"),Lh=c(),ei=o("li"),ql=o("code"),Qh=s("table_file"),Ih=s(": string, name of a csv file containing the tabular data"),Wh=c(),ti=o("li"),$l=o("code"),Hh=s("answer_coordinates"),Uh=s(": list of one or more tuples (each tuple being a cell coordinate, i.e. row, column pair that is part of the answer)"),Bh=c(),si=o("li"),El=o("code"),Rh=s("answer_text"),Gh=s(": list of one or more strings (each string being a cell value that is part of the answer)"),Kh=c(),ai=o("li"),Al=o("code"),Vh=s("aggregation_label"),Yh=s(": index of the aggregation operator. Only required in case of strong supervision for aggregation (the WikiSQL-supervised case)"),Jh=c(),oi=o("li"),Fl=o("code"),Xh=s("float_answer"),Zh=s(": the float answer to the question, if there is one (np.nan if there isn\u2019t). Only required in case of weak supervision for aggregation (such as WTQ and WikiSQL)"),wp=c(),zt=o("p"),eu=s("The tables themselves should be present in a folder, each table being a separate csv file. Note that the authors of the TAPAS algorithm used conversion scripts with some automated logic to convert the other datasets (WTQ, WikiSQL) into the SQA format. The author explains this "),qn=o("a"),tu=s("here"),su=s(". A conversion of this script that works with HuggingFace\u2019s implementation can be found "),$n=o("a"),au=s("here"),ou=s(". Interestingly, these conversion scripts are not perfect (the "),zl=o("code"),nu=s("answer_coordinates"),ru=s(" and "),xl=o("code"),iu=s("float_answer"),lu=s(" fields are populated based on the "),Cl=o("code"),du=s("answer_text"),pu=s("), meaning that WTQ and WikiSQL results could actually be improved."),vp=c(),ni=o("p"),Pl=o("strong"),cu=s("STEP 3: Convert your data into tensors using TapasTokenizer"),yp=c(),y(jo.$$.fragment),kp=c(),Ke=o("p"),hu=s("Note that here, we encode each table-question pair independently. This is fine as long as your dataset is "),Ml=o("strong"),uu=s("not conversational"),mu=s(". In case your dataset involves conversational questions (such as in SQA), then you should first group together the "),Sl=o("code"),fu=s("queries"),gu=s(", "),Ol=o("code"),_u=s("answer_coordinates"),Tu=s(" and "),Dl=o("code"),bu=s("answer_text"),wu=s(" per table (in the order of their "),Nl=o("code"),vu=s("position"),yu=s(`
index) and batch encode each table with its questions. This will make sure that the `),Ll=o("code"),ku=s("prev_labels"),ju=s(" token types (see docs of "),ri=o("a"),qu=s("TapasTokenizer"),$u=s(") are set correctly. See "),En=o("a"),Eu=s("this notebook"),Au=s(" for more info. See "),An=o("a"),Fu=s("this notebook"),zu=s(" for more info regarding using the TensorFlow model."),jp=c(),ii=o("p"),xu=s("**STEP 4: Train (fine-tune) the model"),qp=c(),y(qo.$$.fragment),$p=c(),Ua=o("h2"),$o=o("a"),Ql=o("span"),y(Fn.$$.fragment),Cu=c(),Il=o("span"),Pu=s("Usage: inference"),Ep=c(),y(Eo.$$.fragment),Ap=c(),xt=o("p"),Mu=s("In case of a conversational set-up, then each table-question pair must be provided "),Wl=o("strong"),Su=s("sequentially"),Ou=s(" to the model, such that the "),Hl=o("code"),Du=s("prev_labels"),Nu=s(" token types can be overwritten by the predicted "),Ul=o("code"),Lu=s("labels"),Qu=s(" of the previous table-question pair. Again, more info can be found in "),zn=o("a"),Iu=s("this notebook"),Wu=s(" (for PyTorch) and "),xn=o("a"),Hu=s("this notebook"),Uu=s(" (for TensorFlow)."),Fp=c(),Ba=o("h2"),Ao=o("a"),Bl=o("span"),y(Cn.$$.fragment),Bu=c(),Rl=o("span"),Ru=s("Documentation resources"),zp=c(),Fo=o("ul"),Gl=o("li"),li=o("a"),Gu=s("Text classification task guide"),Ku=c(),Kl=o("li"),di=o("a"),Vu=s("Masked language modeling task guide"),xp=c(),Ra=o("h2"),zo=o("a"),Vl=o("span"),y(Pn.$$.fragment),Yu=c(),Yl=o("span"),Ju=s("TAPAS specific outputs"),Cp=c(),Ga=o("div"),y(Mn.$$.fragment),Xu=c(),Sn=o("p"),Zu=s("Output type of "),pi=o("a"),em=s("TapasForQuestionAnswering"),tm=s("."),Pp=c(),Ka=o("h2"),xo=o("a"),Jl=o("span"),y(On.$$.fragment),sm=c(),Xl=o("span"),am=s("TapasConfig"),Mp=c(),Xt=o("div"),y(Dn.$$.fragment),om=c(),Va=o("p"),nm=s("This is the configuration class to store the configuration of a "),ci=o("a"),rm=s("TapasModel"),im=s(`. It is used to instantiate a TAPAS
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the TAPAS
`),Nn=o("a"),lm=s("google/tapas-base-finetuned-sqa"),dm=s(" architecture."),pm=c(),Ya=o("p"),cm=s("Configuration objects inherit from "),Zl=o("code"),hm=s("PreTrainedConfig"),um=s(` and can be used to control the model outputs. Read the
documentation from `),hi=o("a"),mm=s("PretrainedConfig"),fm=s(" for more information."),gm=c(),Ln=o("p"),_m=s(`Hyperparameters additional to BERT are taken from run_task_main.py and hparam_utils.py of the original
implementation. Original implementation available at `),Qn=o("a"),Tm=s("https://github.com/google-research/tapas/tree/master"),bm=s("."),wm=c(),y(Co.$$.fragment),Sp=c(),Ja=o("h2"),Po=o("a"),ed=o("span"),y(In.$$.fragment),vm=c(),td=o("span"),ym=s("TapasTokenizer"),Op=c(),ct=o("div"),y(Wn.$$.fragment),km=c(),sd=o("p"),jm=s(`Construct a TAPAS tokenizer. Based on WordPiece. Flattens a table and one or more related sentences to be used by
TAPAS models.`),qm=c(),at=o("p"),$m=s("This tokenizer inherits from "),ui=o("a"),Em=s("PreTrainedTokenizer"),Am=s(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods. `),mi=o("a"),Fm=s("TapasTokenizer"),zm=s(` creates several token type ids to
encode tabular structure. To be more precise, it adds 7 token type ids, in the following order: `),ad=o("code"),xm=s("segment_ids"),Cm=s(`,
`),od=o("code"),Pm=s("column_ids"),Mm=s(", "),nd=o("code"),Sm=s("row_ids"),Om=s(", "),rd=o("code"),Dm=s("prev_labels"),Nm=s(", "),id=o("code"),Lm=s("column_ranks"),Qm=s(", "),ld=o("code"),Im=s("inv_column_ranks"),Wm=s(" and "),dd=o("code"),Hm=s("numeric_relations"),Um=s(":"),Bm=c(),yt=o("ul"),pd=o("li"),Rm=s(`segment_ids: indicate whether a token belongs to the question (0) or the table (1). 0 for special tokens and
padding.`),Gm=c(),cd=o("li"),Km=s(`column_ids: indicate to which column of the table a token belongs (starting from 1). Is 0 for all question
tokens, special tokens and padding.`),Vm=c(),hd=o("li"),Ym=s(`row_ids: indicate to which row of the table a token belongs (starting from 1). Is 0 for all question tokens,
special tokens and padding. Tokens of column headers are also 0.`),Jm=c(),ud=o("li"),Xm=s(`prev_labels: indicate whether a token was (part of) an answer to the previous question (1) or not (0). Useful in
a conversational setup (such as SQA).`),Zm=c(),md=o("li"),ef=s(`column_ranks: indicate the rank of a table token relative to a column, if applicable. For example, if you have a
column \u201Cnumber of movies\u201D with values 87, 53 and 69, then the column ranks of these tokens are 3, 1 and 2
respectively. 0 for all question tokens, special tokens and padding.`),tf=c(),fd=o("li"),sf=s(`inv_column_ranks: indicate the inverse rank of a table token relative to a column, if applicable. For example, if
you have a column \u201Cnumber of movies\u201D with values 87, 53 and 69, then the inverse column ranks of these tokens are
1, 3 and 2 respectively. 0 for all question tokens, special tokens and padding.`),af=c(),gd=o("li"),of=s(`numeric_relations: indicate numeric relations between the question and the tokens of the table. 0 for all
question tokens, special tokens and padding.`),nf=c(),fi=o("p"),gi=o("a"),rf=s("TapasTokenizer"),lf=s(` runs end-to-end tokenization on a table and associated sentences: punctuation splitting and
wordpiece.`),df=c(),Mo=o("div"),y(Hn.$$.fragment),pf=c(),_d=o("p"),cf=s("Main method to tokenize and prepare for the model one or several sequence(s) related to a table."),hf=c(),ba=o("div"),y(Un.$$.fragment),uf=c(),Bn=o("p"),mf=s("Converts logits of "),_i=o("a"),ff=s("TapasForQuestionAnswering"),gf=s(` to actual predicted answer coordinates and optional
aggregation indices.`),_f=c(),Rn=o("p"),Tf=s(`The original implementation, on which this function is based, can be found
`),Gn=o("a"),bf=s("here"),wf=s("."),vf=c(),Ti=o("div"),y(Kn.$$.fragment),Dp=c(),Xa=o("h2"),So=o("a"),Td=o("span"),y(Vn.$$.fragment),yf=c(),bd=o("span"),kf=s("TapasModel"),Np=c(),kt=o("div"),y(Yn.$$.fragment),jf=c(),Jn=o("p"),qf=s(`The bare Tapas Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),bi=o("a"),$f=s("PreTrainedModel"),Ef=s(`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Af=c(),Xn=o("p"),Ff=s("This model is also a PyTorch "),Zn=o("a"),zf=s("torch.nn.Module"),xf=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Cf=c(),er=o("p"),Pf=s("This class is a small change compared to "),wi=o("a"),Mf=s("BertModel"),Sf=s(", taking into account the additional token type ids."),Of=c(),tr=o("p"),Df=s(`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),sr=o("a"),Nf=s(`Attention is
all you need`),Lf=s(` by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit,
Llion Jones, Aidan N. Gomez, Lukasz Kaiser and Illia Polosukhin.`),Qf=c(),qs=o("div"),y(ar.$$.fragment),If=c(),Za=o("p"),Wf=s("The "),vi=o("a"),Hf=s("TapasModel"),Uf=s(" forward method, overrides the "),wd=o("code"),Bf=s("__call__"),Rf=s(" special method."),Gf=c(),y(Oo.$$.fragment),Kf=c(),y(Do.$$.fragment),Lp=c(),eo=o("h2"),No=o("a"),vd=o("span"),y(or.$$.fragment),Vf=c(),yd=o("span"),Yf=s("TapasForMaskedLM"),Qp=c(),Ts=o("div"),y(nr.$$.fragment),Jf=c(),to=o("p"),Xf=s("Tapas Model with a "),kd=o("code"),Zf=s("language modeling"),eg=s(` head on top.
This model inherits from `),yi=o("a"),tg=s("PreTrainedModel"),sg=s(`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ag=c(),rr=o("p"),og=s("This model is also a PyTorch "),ir=o("a"),ng=s("torch.nn.Module"),rg=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ig=c(),$s=o("div"),y(lr.$$.fragment),lg=c(),so=o("p"),dg=s("The "),ki=o("a"),pg=s("TapasForMaskedLM"),cg=s(" forward method, overrides the "),jd=o("code"),hg=s("__call__"),ug=s(" special method."),mg=c(),y(Lo.$$.fragment),fg=c(),y(Qo.$$.fragment),Ip=c(),ao=o("h2"),Io=o("a"),qd=o("span"),y(dr.$$.fragment),gg=c(),$d=o("span"),_g=s("TapasForSequenceClassification"),Wp=c(),Zt=o("div"),y(pr.$$.fragment),Tg=c(),Ed=o("p"),bg=s(`Tapas Model with a sequence classification head on top (a linear layer on top of the pooled output), e.g. for table
entailment tasks, such as TabFact (Chen et al., 2020).`),wg=c(),cr=o("p"),vg=s("This model inherits from "),ji=o("a"),yg=s("PreTrainedModel"),kg=s(`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),jg=c(),hr=o("p"),qg=s("This model is also a PyTorch "),ur=o("a"),$g=s("torch.nn.Module"),Eg=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ag=c(),Es=o("div"),y(mr.$$.fragment),Fg=c(),oo=o("p"),zg=s("The "),qi=o("a"),xg=s("TapasForSequenceClassification"),Cg=s(" forward method, overrides the "),Ad=o("code"),Pg=s("__call__"),Mg=s(" special method."),Sg=c(),y(Wo.$$.fragment),Og=c(),y(Ho.$$.fragment),Hp=c(),no=o("h2"),Uo=o("a"),Fd=o("span"),y(fr.$$.fragment),Dg=c(),zd=o("span"),Ng=s("TapasForQuestionAnswering"),Up=c(),es=o("div"),y(gr.$$.fragment),Lg=c(),ro=o("p"),Qg=s(`Tapas Model with a cell selection head and optional aggregation head on top for question-answering tasks on tables
(linear layers on top of the hidden-states output to compute `),xd=o("code"),Ig=s("logits"),Wg=s(" and optional "),Cd=o("code"),Hg=s("logits_aggregation"),Ug=s(`), e.g. for
SQA, WTQ or WikiSQL-supervised tasks.`),Bg=c(),_r=o("p"),Rg=s("This model inherits from "),$i=o("a"),Gg=s("PreTrainedModel"),Kg=s(`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Vg=c(),Tr=o("p"),Yg=s("This model is also a PyTorch "),br=o("a"),Jg=s("torch.nn.Module"),Xg=s(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Zg=c(),As=o("div"),y(wr.$$.fragment),e_=c(),io=o("p"),t_=s("The "),Ei=o("a"),s_=s("TapasForQuestionAnswering"),a_=s(" forward method, overrides the "),Pd=o("code"),o_=s("__call__"),n_=s(" special method."),r_=c(),y(Bo.$$.fragment),i_=c(),y(Ro.$$.fragment),Bp=c(),lo=o("h2"),Go=o("a"),Md=o("span"),y(vr.$$.fragment),l_=c(),Sd=o("span"),d_=s("TFTapasModel"),Rp=c(),jt=o("div"),y(yr.$$.fragment),p_=c(),Od=o("p"),c_=s("The bare Tapas Model transformer outputting raw hidden-states without any specific head on top."),h_=c(),kr=o("p"),u_=s("This model inherits from "),Ai=o("a"),m_=s("TFPreTrainedModel"),f_=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),g_=c(),jr=o("p"),__=s("This model is also a "),qr=o("a"),T_=s("tf.keras.Model"),b_=s(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),w_=c(),y(Ko.$$.fragment),v_=c(),Fs=o("div"),y($r.$$.fragment),y_=c(),po=o("p"),k_=s("The "),Fi=o("a"),j_=s("TFTapasModel"),q_=s(" forward method, overrides the "),Dd=o("code"),$_=s("__call__"),E_=s(" special method."),A_=c(),y(Vo.$$.fragment),F_=c(),y(Yo.$$.fragment),Gp=c(),co=o("h2"),Jo=o("a"),Nd=o("span"),y(Er.$$.fragment),z_=c(),Ld=o("span"),x_=s("TFTapasForMaskedLM"),Kp=c(),qt=o("div"),y(Ar.$$.fragment),C_=c(),Fr=o("p"),P_=s("Tapas Model with a "),Qd=o("code"),M_=s("language modeling"),S_=s(" head on top."),O_=c(),zr=o("p"),D_=s("This model inherits from "),zi=o("a"),N_=s("TFPreTrainedModel"),L_=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Q_=c(),xr=o("p"),I_=s("This model is also a "),Cr=o("a"),W_=s("tf.keras.Model"),H_=s(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),U_=c(),y(Xo.$$.fragment),B_=c(),zs=o("div"),y(Pr.$$.fragment),R_=c(),ho=o("p"),G_=s("The "),xi=o("a"),K_=s("TFTapasForMaskedLM"),V_=s(" forward method, overrides the "),Id=o("code"),Y_=s("__call__"),J_=s(" special method."),X_=c(),y(Zo.$$.fragment),Z_=c(),y(en.$$.fragment),Vp=c(),uo=o("h2"),tn=o("a"),Wd=o("span"),y(Mr.$$.fragment),eT=c(),Hd=o("span"),tT=s("TFTapasForSequenceClassification"),Yp=c(),$t=o("div"),y(Sr.$$.fragment),sT=c(),Ud=o("p"),aT=s(`Tapas Model with a sequence classification head on top (a linear layer on top of the pooled output), e.g. for table
entailment tasks, such as TabFact (Chen et al., 2020).`),oT=c(),Or=o("p"),nT=s("This model inherits from "),Ci=o("a"),rT=s("TFPreTrainedModel"),iT=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),lT=c(),Dr=o("p"),dT=s("This model is also a "),Nr=o("a"),pT=s("tf.keras.Model"),cT=s(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),hT=c(),y(sn.$$.fragment),uT=c(),xs=o("div"),y(Lr.$$.fragment),mT=c(),mo=o("p"),fT=s("The "),Pi=o("a"),gT=s("TFTapasForSequenceClassification"),_T=s(" forward method, overrides the "),Bd=o("code"),TT=s("__call__"),bT=s(" special method."),wT=c(),y(an.$$.fragment),vT=c(),y(on.$$.fragment),Jp=c(),fo=o("h2"),nn=o("a"),Rd=o("span"),y(Qr.$$.fragment),yT=c(),Gd=o("span"),kT=s("TFTapasForQuestionAnswering"),Xp=c(),Et=o("div"),y(Ir.$$.fragment),jT=c(),go=o("p"),qT=s(`Tapas Model with a cell selection head and optional aggregation head on top for question-answering tasks on tables
(linear layers on top of the hidden-states output to compute `),Kd=o("code"),$T=s("logits"),ET=s(" and optional "),Vd=o("code"),AT=s("logits_aggregation"),FT=s(`), e.g. for
SQA, WTQ or WikiSQL-supervised tasks.`),zT=c(),Wr=o("p"),xT=s("This model inherits from "),Mi=o("a"),CT=s("TFPreTrainedModel"),PT=s(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),MT=c(),Hr=o("p"),ST=s("This model is also a "),Ur=o("a"),OT=s("tf.keras.Model"),DT=s(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),NT=c(),y(rn.$$.fragment),LT=c(),Cs=o("div"),y(Br.$$.fragment),QT=c(),_o=o("p"),IT=s("The "),Si=o("a"),WT=s("TFTapasForQuestionAnswering"),HT=s(" forward method, overrides the "),Yd=o("code"),UT=s("__call__"),BT=s(" special method."),RT=c(),y(ln.$$.fragment),GT=c(),y(dn.$$.fragment),this.h()},l(i){const _=Wy('[data-svelte="svelte-1phssyn"]',document.head);l=n(_,"META",{name:!0,content:!0}),_.forEach(t),T=h(i),d=n(i,"H1",{class:!0});var Rr=r(d);f=n(Rr,"A",{id:!0,class:!0,href:!0});var Jd=r(f);b=n(Jd,"SPAN",{});var Xd=r(b);k(p.$$.fragment,Xd),Xd.forEach(t),Jd.forEach(t),g=h(Rr),A=n(Rr,"SPAN",{});var Zd=r(A);F=a(Zd,"TAPAS"),Zd.forEach(t),Rr.forEach(t),H=h(i),N=n(i,"H2",{class:!0});var Gr=r(N);G=n(Gr,"A",{id:!0,class:!0,href:!0});var ep=r(G);ae=n(ep,"SPAN",{});var tp=r(ae);k(v.$$.fragment,tp),tp.forEach(t),ep.forEach(t),R=h(Gr),X=n(Gr,"SPAN",{});var sp=r(X);S=a(sp,"Overview"),sp.forEach(t),Gr.forEach(t),U=h(i),O=n(i,"P",{});var Kr=r(O);C=a(Kr,"The TAPAS model was proposed in "),W=n(Kr,"A",{href:!0,rel:!0});var ap=r(W);Y=a(ap,"TAPAS: Weakly Supervised Table Parsing via Pre-training"),ap.forEach(t),le=a(Kr,`
by Jonathan Herzig, Pawe\u0142 Krzysztof Nowak, Thomas M\xFCller, Francesco Piccinno and Julian Martin Eisenschlos. It\u2019s a BERT-based model specifically
designed (and pre-trained) for answering questions about tabular data. Compared to BERT, TAPAS uses relative position embeddings and has 7
token types that encode tabular structure. TAPAS is pre-trained on the masked language modeling (MLM) objective on a large dataset comprising
millions of tables from English Wikipedia and corresponding texts.`),Kr.forEach(t),me=h(i),Z=n(i,"P",{});var op=r(Z);ge=a(op,"For question answering, TAPAS has 2 heads on top: a cell selection head and an aggregation head, for (optionally) performing aggregations (such as counting or summing) among selected cells. TAPAS has been fine-tuned on several datasets:"),op.forEach(t),ce=h(i),ee=n(i,"UL",{});var To=r(ee);_e=n(To,"LI",{});var Oi=r(_e);D=n(Oi,"A",{href:!0,rel:!0});var np=r(D);L=a(np,"SQA"),np.forEach(t),I=a(Oi," (Sequential Question Answering by Microsoft)"),Oi.forEach(t),P=h(To),K=n(To,"LI",{});var Di=r(K);B=n(Di,"A",{href:!0,rel:!0});var rp=r(B);ve=a(rp,"WTQ"),rp.forEach(t),ze=a(Di," (Wiki Table Questions by Stanford University)"),Di.forEach(t),he=h(To),fe=n(To,"LI",{});var Ni=r(fe);Fe=n(Ni,"A",{href:!0,rel:!0});var ip=r(Fe);se=a(ip,"WikiSQL"),ip.forEach(t),ke=a(Ni," (by Salesforce)."),Ni.forEach(t),To.forEach(t),Te=h(i),Pe=n(i,"P",{});var lp=r(Pe);Ce=a(lp,"It achieves state-of-the-art on both SQA and WTQ, while having comparable performance to SOTA on WikiSQL, with a much simpler architecture."),lp.forEach(t),je=h(i),Me=n(i,"P",{});var dp=r(Me);$e=a(dp,"The abstract from the paper is the following:"),dp.forEach(t),pe=h(i),Se=n(i,"P",{});var pp=r(Se);ye=n(pp,"EM",{});var cp=r(ye);J=a(cp,"Answering natural language questions over tables is usually seen as a semantic parsing task. To alleviate the collection cost of full logical forms, one popular approach focuses on weak supervision consisting of denotations instead of logical forms. However, training semantic parsers from weak supervision poses difficulties, and in addition, the generated logical forms are only used as an intermediate step prior to retrieving the denotation. In this paper, we present TAPAS, an approach to question answering over tables without generating logical forms. TAPAS trains from weak supervision, and predicts the denotation by selecting table cells and optionally applying a corresponding aggregation operator to such selection. TAPAS extends BERT\u2019s architecture to encode tables as input, initializes from an effective joint pre-training of text segments and tables crawled from Wikipedia, and is trained end-to-end. We experiment with three different semantic parsing datasets, and find that TAPAS outperforms or rivals semantic parsing models by improving state-of-the-art accuracy on SQA from 55.1 to 67.2 and performing on par with the state-of-the-art on WIKISQL and WIKITQ, but with a simpler model architecture. We additionally find that transfer learning, which is trivial in our setting, from WIKISQL to WIKITQ, yields 48.7 accuracy, 4.2 points above the state-of-the-art."),cp.forEach(t),pp.forEach(t),qe=h(i),V=n(i,"P",{});var ca=r(V);We=a(ca,"In addition, the authors have further pre-trained TAPAS to recognize "),oe=n(ca,"STRONG",{});var hp=r(oe);He=a(hp,"table entailment"),hp.forEach(t),Ue=a(ca,", by creating a balanced dataset of millions of automatically created training examples which are learned in an intermediate step prior to fine-tuning. The authors of TAPAS call this further pre-training intermediate pre-training (since TAPAS is first pre-trained on MLM, and then on another dataset). They found that intermediate pre-training further improves performance on SQA, achieving a new state-of-the-art as well as state-of-the-art on "),w=n(ca,"A",{href:!0,rel:!0});var up=r(w);M=a(up,"TabFact"),up.forEach(t),Ve=a(ca,", a large-scale dataset with 16k Wikipedia tables for table entailment (a binary classification task). For more details, see their follow-up paper: "),be=n(ca,"A",{href:!0,rel:!0});var ob=r(be);Ye=a(ob,"Understanding tables with intermediate pre-training"),ob.forEach(t),Je=a(ca," by Julian Martin Eisenschlos, Syrine Krichene and Thomas M\xFCller."),ca.forEach(t),Q=h(i),Le=n(i,"IMG",{src:!0,alt:!0,width:!0}),Qe=h(i),Ie=n(i,"SMALL",{});var ec=r(Ie);Xe=a(ec,"TAPAS architecture. Taken from the "),de=n(ec,"A",{href:!0});var nb=r(de);Ee=a(nb,"original blog post"),nb.forEach(t),Ze=a(ec,"."),ec.forEach(t),xe=h(i),ne=n(i,"P",{});var pn=r(ne);et=a(pn,"This model was contributed by "),Be=n(pn,"A",{href:!0,rel:!0});var rb=r(Be);re=a(rb,"nielsr"),rb.forEach(t),Re=a(pn,". The Tensorflow version of this model was contributed by "),Ae=n(pn,"A",{href:!0,rel:!0});var ib=r(Ae);tt=a(ib,"kamalkraj"),ib.forEach(t),Mt=a(pn,". The original code can be found "),St=n(pn,"A",{href:!0,rel:!0});var lb=r(St);Ws=a(lb,"here"),lb.forEach(t),Ot=a(pn,"."),pn.forEach(t),bs=h(i),ts=n(i,"P",{});var db=r(ts);Dt=a(db,"Tips:"),db.forEach(t),ws=h(i),ut=n(i,"UL",{});var cn=r(ut);Oe=n(cn,"LI",{});var as=r(Oe);Hs=a(as,"TAPAS is a model that uses relative position embeddings by default (restarting the position embeddings at every cell of the table). Note that this is something that was added after the publication of the original TAPAS paper. According to the authors, this usually results in a slightly better performance, and allows you to encode longer sequences without running out of embeddings. This is reflected in the "),Nt=n(as,"CODE",{});var pb=r(Nt);ie=a(pb,"reset_position_index_per_cell"),pb.forEach(t),bt=a(as," parameter of "),ss=n(as,"A",{href:!0});var cb=r(ss);Us=a(cb,"TapasConfig"),cb.forEach(t),Lt=a(as,", which is set to "),ns=n(as,"CODE",{});var hb=r(ns);Bs=a(hb,"True"),hb.forEach(t),Qt=a(as," by default. The default versions of the models available on the "),It=n(as,"A",{href:!0,rel:!0});var ub=r(It);Rs=a(ub,"hub"),ub.forEach(t),Wt=a(as," all use relative position embeddings. You can still use the ones with absolute position embeddings by passing in an additional argument "),rs=n(as,"CODE",{});var mb=r(rs);Gs=a(mb,'revision="no_reset"'),mb.forEach(t),Ht=a(as," when calling the "),is=n(as,"CODE",{});var fb=r(is);Ks=a(fb,"from_pretrained()"),fb.forEach(t),Ut=a(as," method. Note that it\u2019s usually advised to pad the inputs on the right rather than the left."),as.forEach(t),Vs=h(cn),st=n(cn,"LI",{});var Ps=r(st);Bt=a(Ps,"TAPAS is based on BERT, so "),ls=n(Ps,"CODE",{});var gb=r(ls);Ys=a(gb,"TAPAS-base"),gb.forEach(t),Rt=a(Ps," for example corresponds to a "),ds=n(Ps,"CODE",{});var _b=r(ds);Js=a(_b,"BERT-base"),_b.forEach(t),ps=a(Ps," architecture. Of course, "),lt=n(Ps,"CODE",{});var Tb=r(lt);cs=a(Tb,"TAPAS-large"),Tb.forEach(t),De=a(Ps," will result in the best performance (the results reported in the paper are from "),hs=n(Ps,"CODE",{});var bb=r(hs);wt=a(bb,"TAPAS-large"),bb.forEach(t),Xs=a(Ps,"). Results of the various sized models are shown on the "),Gt=n(Ps,"A",{href:!0,rel:!0});var wb=r(Gt);Kt=a(wb,"original Github repository"),wb.forEach(t),Zs=a(Ps,"."),Ps.forEach(t),ea=h(cn),dt=n(cn,"LI",{});var Li=r(dt);ta=a(Li,"TAPAS has checkpoints fine-tuned on SQA, which are capable of answering questions related to a table in a conversational set-up. This means that you can ask follow-up questions such as \u201Cwhat is his age?\u201D related to the previous question. Note that the forward pass of TAPAS is a bit different in case of a conversational set-up: in that case, you have to feed every table-question pair one by one to the model, such that the "),us=n(Li,"CODE",{});var vb=r(us);ms=a(vb,"prev_labels"),vb.forEach(t),gt=a(Li," token type ids can be overwritten by the predicted "),Vt=n(Li,"CODE",{});var yb=r(Vt);z=a(yb,"labels"),yb.forEach(t),te=a(Li," of the model to the previous question. See \u201CUsage\u201D section for more info."),Li.forEach(t),ka=h(cn),sa=n(cn,"LI",{});var kb=r(sa);ja=a(kb,"TAPAS is similar to BERT and therefore relies on the masked language modeling (MLM) objective. It is therefore efficient at predicting masked tokens and at NLU in general, but is not optimal for text generation. Models trained with a causal language modeling (CLM) objective are better in that regard. Note that TAPAS can be used as an encoder in the EncoderDecoderModel framework, to combine it with an autoregressive text decoder such as GPT-2."),kb.forEach(t),cn.forEach(t),ha=h(i),Yt=n(i,"H2",{class:!0});var tc=r(Yt);_t=n(tc,"A",{id:!0,class:!0,href:!0});var jb=r(_t);aa=n(jb,"SPAN",{});var qb=r(aa);k(vt.$$.fragment,qb),qb.forEach(t),jb.forEach(t),qa=h(tc),oa=n(tc,"SPAN",{});var $b=r(oa);$a=a($b,"Usage: fine-tuning"),$b.forEach(t),tc.forEach(t),ua=h(i),nt=n(i,"P",{});var sc=r(nt);fs=a(sc,"Here we explain how you can fine-tune "),vs=n(sc,"A",{href:!0});var Eb=r(vs);pt=a(Eb,"TapasForQuestionAnswering"),Eb.forEach(t),Ea=a(sc," on your own dataset."),sc.forEach(t),ma=h(i),ys=n(i,"P",{});var Ab=r(ys);na=n(Ab,"STRONG",{});var Fb=r(na);gs=a(Fb,"STEP 1: Choose one of the 3 ways in which you can use TAPAS - or experiment"),Fb.forEach(t),Ab.forEach(t),fa=h(i),we=n(i,"P",{});var ac=r(we);Aa=a(ac,"Basically, there are 3 different ways in which one can fine-tune "),ks=n(ac,"A",{href:!0});var zb=r(ks);Fa=a(zb,"TapasForQuestionAnswering"),zb.forEach(t),za=a(ac,", corresponding to the different datasets on which Tapas was fine-tuned:"),ac.forEach(t),ga=h(i),Ft=n(i,"OL",{});var Qi=r(Ft);ra=n(Qi,"LI",{});var xb=r(ra);_s=a(xb,"SQA: if you\u2019re interested in asking follow-up questions related to a table, in a conversational set-up. For example if you first ask \u201Cwhat\u2019s the name of the first actor?\u201D then you can ask a follow-up question such as \u201Chow old is he?\u201C. Here, questions do not involve any aggregation (all questions are cell selection questions)."),xb.forEach(t),xa=h(Qi),Ne=n(Qi,"LI",{});var oc=r(Ne);Ca=a(oc,"WTQ: if you\u2019re not interested in asking questions in a conversational set-up, but rather just asking questions related to a table, which might involve aggregation, such as counting a number of rows, summing up cell values or averaging cell values. You can then for example ask \u201Cwhat\u2019s the total number of goals Cristiano Ronaldo made in his career?\u201C. This case is also called "),ia=n(oc,"STRONG",{});var Cb=r(ia);Pa=a(Cb,"weak supervision"),Cb.forEach(t),Ma=a(oc,", since the model itself must learn the appropriate aggregation operator (SUM/COUNT/AVERAGE/NONE) given only the answer to the question as supervision."),oc.forEach(t),Sa=h(Qi),ue=n(Qi,"LI",{});var nc=r(ue);Oa=a(nc,"WikiSQL-supervised: this dataset is based on WikiSQL with the model being given the ground truth aggregation operator during training. This is also called "),la=n(nc,"STRONG",{});var Pb=r(la);Da=a(Pb,"strong supervision"),Pb.forEach(t),Na=a(nc,". Here, learning the appropriate aggregation operator is much easier."),nc.forEach(t),Qi.forEach(t),_a=h(i),js=n(i,"P",{});var Mb=r(js);La=a(Mb,"To summarize:"),Mb.forEach(t),Ta=h(i),Ge=n(i,"TABLE",{});var rc=r(Ge);da=n(rc,"THEAD",{});var Sb=r(da);Jt=n(Sb,"TR",{});var Ii=r(Jt);pa=n(Ii,"TH",{});var Ob=r(pa);rl=n(Ob,"STRONG",{});var Db=r(rl);Vc=a(Db,"Task"),Db.forEach(t),Ob.forEach(t),Yc=h(Ii),il=n(Ii,"TH",{});var Nb=r(il);ll=n(Nb,"STRONG",{});var Lb=r(ll);Jc=a(Lb,"Example dataset"),Lb.forEach(t),Nb.forEach(t),Xc=h(Ii),dl=n(Ii,"TH",{});var Qb=r(dl);pl=n(Qb,"STRONG",{});var Ib=r(pl);Zc=a(Ib,"Description"),Ib.forEach(t),Qb.forEach(t),Ii.forEach(t),Sb.forEach(t),eh=h(rc),Qa=n(rc,"TBODY",{});var Wi=r(Qa);Ia=n(Wi,"TR",{});var Hi=r(Ia);cl=n(Hi,"TD",{});var Wb=r(cl);th=a(Wb,"Conversational"),Wb.forEach(t),sh=h(Hi),hl=n(Hi,"TD",{});var Hb=r(hl);ah=a(Hb,"SQA"),Hb.forEach(t),oh=h(Hi),ul=n(Hi,"TD",{});var Ub=r(ul);nh=a(Ub,"Conversational, only cell selection questions"),Ub.forEach(t),Hi.forEach(t),rh=h(Wi),Wa=n(Wi,"TR",{});var Ui=r(Wa);ml=n(Ui,"TD",{});var Bb=r(ml);ih=a(Bb,"Weak supervision for aggregation"),Bb.forEach(t),lh=h(Ui),fl=n(Ui,"TD",{});var Rb=r(fl);dh=a(Rb,"WTQ"),Rb.forEach(t),ph=h(Ui),gl=n(Ui,"TD",{});var Gb=r(gl);ch=a(Gb,"Questions might involve aggregation, and the model must learn this given only the answer as supervision"),Gb.forEach(t),Ui.forEach(t),hh=h(Wi),Ha=n(Wi,"TR",{});var Bi=r(Ha);_l=n(Bi,"TD",{});var Kb=r(_l);uh=a(Kb,"Strong supervision for aggregation"),Kb.forEach(t),mh=h(Bi),Tl=n(Bi,"TD",{});var Vb=r(Tl);fh=a(Vb,"WikiSQL-supervised"),Vb.forEach(t),gh=h(Bi),bl=n(Bi,"TD",{});var Yb=r(bl);_h=a(Yb,"Questions might involve aggregation, and the model must learn this given the gold aggregation operator"),Yb.forEach(t),Bi.forEach(t),Wi.forEach(t),rc.forEach(t),mp=h(i),k(wo.$$.fragment,i),fp=h(i),vo=n(i,"P",{});var ic=r(vo);Th=a(ic,"What you can also do is start from an already fine-tuned checkpoint. A note here is that the already fine-tuned checkpoint on WTQ has some issues due to the L2-loss which is somewhat brittle. See "),yn=n(ic,"A",{href:!0,rel:!0});var Jb=r(yn);bh=a(Jb,"here"),Jb.forEach(t),wh=a(ic," for more info."),ic.forEach(t),gp=h(i),yo=n(i,"P",{});var lc=r(yo);vh=a(lc,"For a list of all pre-trained and fine-tuned TAPAS checkpoints available on HuggingFace\u2019s  hub, see "),kn=n(lc,"A",{href:!0,rel:!0});var Xb=r(kn);yh=a(Xb,"here"),Xb.forEach(t),kh=a(lc,"."),lc.forEach(t),_p=h(i),Vr=n(i,"P",{});var Zb=r(Vr);wl=n(Zb,"STRONG",{});var ew=r(wl);jh=a(ew,"STEP 2: Prepare your data in the SQA format"),ew.forEach(t),Zb.forEach(t),Tp=h(i),ko=n(i,"P",{});var dc=r(ko);qh=a(dc,"Second, no matter what you picked above, you should prepare your dataset in the "),jn=n(dc,"A",{href:!0,rel:!0});var tw=r(jn);$h=a(tw,"SQA"),tw.forEach(t),Eh=a(dc," format. This format is a TSV/CSV file with the following columns:"),dc.forEach(t),bp=h(i),rt=n(i,"UL",{});var Tt=r(rt);Yr=n(Tt,"LI",{});var KT=r(Yr);vl=n(KT,"CODE",{});var sw=r(vl);Ah=a(sw,"id"),sw.forEach(t),Fh=a(KT,": optional, id of the table-question pair, for bookkeeping purposes."),KT.forEach(t),zh=h(Tt),Jr=n(Tt,"LI",{});var VT=r(Jr);yl=n(VT,"CODE",{});var aw=r(yl);xh=a(aw,"annotator"),aw.forEach(t),Ch=a(VT,": optional, id of the person who annotated the table-question pair, for bookkeeping purposes."),VT.forEach(t),Ph=h(Tt),Xr=n(Tt,"LI",{});var YT=r(Xr);kl=n(YT,"CODE",{});var ow=r(kl);Mh=a(ow,"position"),ow.forEach(t),Sh=a(YT,": integer indicating if the question is the first, second, third,\u2026 related to the table. Only required in case of conversational setup (SQA). You don\u2019t need this column in case you\u2019re going for WTQ/WikiSQL-supervised."),YT.forEach(t),Oh=h(Tt),Zr=n(Tt,"LI",{});var JT=r(Zr);jl=n(JT,"CODE",{});var nw=r(jl);Dh=a(nw,"question"),nw.forEach(t),Nh=a(JT,": string"),JT.forEach(t),Lh=h(Tt),ei=n(Tt,"LI",{});var XT=r(ei);ql=n(XT,"CODE",{});var rw=r(ql);Qh=a(rw,"table_file"),rw.forEach(t),Ih=a(XT,": string, name of a csv file containing the tabular data"),XT.forEach(t),Wh=h(Tt),ti=n(Tt,"LI",{});var ZT=r(ti);$l=n(ZT,"CODE",{});var iw=r($l);Hh=a(iw,"answer_coordinates"),iw.forEach(t),Uh=a(ZT,": list of one or more tuples (each tuple being a cell coordinate, i.e. row, column pair that is part of the answer)"),ZT.forEach(t),Bh=h(Tt),si=n(Tt,"LI",{});var eb=r(si);El=n(eb,"CODE",{});var lw=r(El);Rh=a(lw,"answer_text"),lw.forEach(t),Gh=a(eb,": list of one or more strings (each string being a cell value that is part of the answer)"),eb.forEach(t),Kh=h(Tt),ai=n(Tt,"LI",{});var tb=r(ai);Al=n(tb,"CODE",{});var dw=r(Al);Vh=a(dw,"aggregation_label"),dw.forEach(t),Yh=a(tb,": index of the aggregation operator. Only required in case of strong supervision for aggregation (the WikiSQL-supervised case)"),tb.forEach(t),Jh=h(Tt),oi=n(Tt,"LI",{});var sb=r(oi);Fl=n(sb,"CODE",{});var pw=r(Fl);Xh=a(pw,"float_answer"),pw.forEach(t),Zh=a(sb,": the float answer to the question, if there is one (np.nan if there isn\u2019t). Only required in case of weak supervision for aggregation (such as WTQ and WikiSQL)"),sb.forEach(t),Tt.forEach(t),wp=h(i),zt=n(i,"P",{});var Ms=r(zt);eu=a(Ms,"The tables themselves should be present in a folder, each table being a separate csv file. Note that the authors of the TAPAS algorithm used conversion scripts with some automated logic to convert the other datasets (WTQ, WikiSQL) into the SQA format. The author explains this "),qn=n(Ms,"A",{href:!0,rel:!0});var cw=r(qn);tu=a(cw,"here"),cw.forEach(t),su=a(Ms,". A conversion of this script that works with HuggingFace\u2019s implementation can be found "),$n=n(Ms,"A",{href:!0,rel:!0});var hw=r($n);au=a(hw,"here"),hw.forEach(t),ou=a(Ms,". Interestingly, these conversion scripts are not perfect (the "),zl=n(Ms,"CODE",{});var uw=r(zl);nu=a(uw,"answer_coordinates"),uw.forEach(t),ru=a(Ms," and "),xl=n(Ms,"CODE",{});var mw=r(xl);iu=a(mw,"float_answer"),mw.forEach(t),lu=a(Ms," fields are populated based on the "),Cl=n(Ms,"CODE",{});var fw=r(Cl);du=a(fw,"answer_text"),fw.forEach(t),pu=a(Ms,"), meaning that WTQ and WikiSQL results could actually be improved."),Ms.forEach(t),vp=h(i),ni=n(i,"P",{});var gw=r(ni);Pl=n(gw,"STRONG",{});var _w=r(Pl);cu=a(_w,"STEP 3: Convert your data into tensors using TapasTokenizer"),_w.forEach(t),gw.forEach(t),yp=h(i),k(jo.$$.fragment,i),kp=h(i),Ke=n(i,"P",{});var mt=r(Ke);hu=a(mt,"Note that here, we encode each table-question pair independently. This is fine as long as your dataset is "),Ml=n(mt,"STRONG",{});var Tw=r(Ml);uu=a(Tw,"not conversational"),Tw.forEach(t),mu=a(mt,". In case your dataset involves conversational questions (such as in SQA), then you should first group together the "),Sl=n(mt,"CODE",{});var bw=r(Sl);fu=a(bw,"queries"),bw.forEach(t),gu=a(mt,", "),Ol=n(mt,"CODE",{});var ww=r(Ol);_u=a(ww,"answer_coordinates"),ww.forEach(t),Tu=a(mt," and "),Dl=n(mt,"CODE",{});var vw=r(Dl);bu=a(vw,"answer_text"),vw.forEach(t),wu=a(mt," per table (in the order of their "),Nl=n(mt,"CODE",{});var yw=r(Nl);vu=a(yw,"position"),yw.forEach(t),yu=a(mt,`
index) and batch encode each table with its questions. This will make sure that the `),Ll=n(mt,"CODE",{});var kw=r(Ll);ku=a(kw,"prev_labels"),kw.forEach(t),ju=a(mt," token types (see docs of "),ri=n(mt,"A",{href:!0});var jw=r(ri);qu=a(jw,"TapasTokenizer"),jw.forEach(t),$u=a(mt,") are set correctly. See "),En=n(mt,"A",{href:!0,rel:!0});var qw=r(En);Eu=a(qw,"this notebook"),qw.forEach(t),Au=a(mt," for more info. See "),An=n(mt,"A",{href:!0,rel:!0});var $w=r(An);Fu=a($w,"this notebook"),$w.forEach(t),zu=a(mt," for more info regarding using the TensorFlow model."),mt.forEach(t),jp=h(i),ii=n(i,"P",{});var Ew=r(ii);xu=a(Ew,"**STEP 4: Train (fine-tune) the model"),Ew.forEach(t),qp=h(i),k(qo.$$.fragment,i),$p=h(i),Ua=n(i,"H2",{class:!0});var pc=r(Ua);$o=n(pc,"A",{id:!0,class:!0,href:!0});var Aw=r($o);Ql=n(Aw,"SPAN",{});var Fw=r(Ql);k(Fn.$$.fragment,Fw),Fw.forEach(t),Aw.forEach(t),Cu=h(pc),Il=n(pc,"SPAN",{});var zw=r(Il);Pu=a(zw,"Usage: inference"),zw.forEach(t),pc.forEach(t),Ep=h(i),k(Eo.$$.fragment,i),Ap=h(i),xt=n(i,"P",{});var Ss=r(xt);Mu=a(Ss,"In case of a conversational set-up, then each table-question pair must be provided "),Wl=n(Ss,"STRONG",{});var xw=r(Wl);Su=a(xw,"sequentially"),xw.forEach(t),Ou=a(Ss," to the model, such that the "),Hl=n(Ss,"CODE",{});var Cw=r(Hl);Du=a(Cw,"prev_labels"),Cw.forEach(t),Nu=a(Ss," token types can be overwritten by the predicted "),Ul=n(Ss,"CODE",{});var Pw=r(Ul);Lu=a(Pw,"labels"),Pw.forEach(t),Qu=a(Ss," of the previous table-question pair. Again, more info can be found in "),zn=n(Ss,"A",{href:!0,rel:!0});var Mw=r(zn);Iu=a(Mw,"this notebook"),Mw.forEach(t),Wu=a(Ss," (for PyTorch) and "),xn=n(Ss,"A",{href:!0,rel:!0});var Sw=r(xn);Hu=a(Sw,"this notebook"),Sw.forEach(t),Uu=a(Ss," (for TensorFlow)."),Ss.forEach(t),Fp=h(i),Ba=n(i,"H2",{class:!0});var cc=r(Ba);Ao=n(cc,"A",{id:!0,class:!0,href:!0});var Ow=r(Ao);Bl=n(Ow,"SPAN",{});var Dw=r(Bl);k(Cn.$$.fragment,Dw),Dw.forEach(t),Ow.forEach(t),Bu=h(cc),Rl=n(cc,"SPAN",{});var Nw=r(Rl);Ru=a(Nw,"Documentation resources"),Nw.forEach(t),cc.forEach(t),zp=h(i),Fo=n(i,"UL",{});var hc=r(Fo);Gl=n(hc,"LI",{});var Lw=r(Gl);li=n(Lw,"A",{href:!0});var Qw=r(li);Gu=a(Qw,"Text classification task guide"),Qw.forEach(t),Lw.forEach(t),Ku=h(hc),Kl=n(hc,"LI",{});var Iw=r(Kl);di=n(Iw,"A",{href:!0});var Ww=r(di);Vu=a(Ww,"Masked language modeling task guide"),Ww.forEach(t),Iw.forEach(t),hc.forEach(t),xp=h(i),Ra=n(i,"H2",{class:!0});var uc=r(Ra);zo=n(uc,"A",{id:!0,class:!0,href:!0});var Hw=r(zo);Vl=n(Hw,"SPAN",{});var Uw=r(Vl);k(Pn.$$.fragment,Uw),Uw.forEach(t),Hw.forEach(t),Yu=h(uc),Yl=n(uc,"SPAN",{});var Bw=r(Yl);Ju=a(Bw,"TAPAS specific outputs"),Bw.forEach(t),uc.forEach(t),Cp=h(i),Ga=n(i,"DIV",{class:!0});var mc=r(Ga);k(Mn.$$.fragment,mc),Xu=h(mc),Sn=n(mc,"P",{});var fc=r(Sn);Zu=a(fc,"Output type of "),pi=n(fc,"A",{href:!0});var Rw=r(pi);em=a(Rw,"TapasForQuestionAnswering"),Rw.forEach(t),tm=a(fc,"."),fc.forEach(t),mc.forEach(t),Pp=h(i),Ka=n(i,"H2",{class:!0});var gc=r(Ka);xo=n(gc,"A",{id:!0,class:!0,href:!0});var Gw=r(xo);Jl=n(Gw,"SPAN",{});var Kw=r(Jl);k(On.$$.fragment,Kw),Kw.forEach(t),Gw.forEach(t),sm=h(gc),Xl=n(gc,"SPAN",{});var Vw=r(Xl);am=a(Vw,"TapasConfig"),Vw.forEach(t),gc.forEach(t),Mp=h(i),Xt=n(i,"DIV",{class:!0});var wa=r(Xt);k(Dn.$$.fragment,wa),om=h(wa),Va=n(wa,"P",{});var Ri=r(Va);nm=a(Ri,"This is the configuration class to store the configuration of a "),ci=n(Ri,"A",{href:!0});var Yw=r(ci);rm=a(Yw,"TapasModel"),Yw.forEach(t),im=a(Ri,`. It is used to instantiate a TAPAS
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the TAPAS
`),Nn=n(Ri,"A",{href:!0,rel:!0});var Jw=r(Nn);lm=a(Jw,"google/tapas-base-finetuned-sqa"),Jw.forEach(t),dm=a(Ri," architecture."),Ri.forEach(t),pm=h(wa),Ya=n(wa,"P",{});var Gi=r(Ya);cm=a(Gi,"Configuration objects inherit from "),Zl=n(Gi,"CODE",{});var Xw=r(Zl);hm=a(Xw,"PreTrainedConfig"),Xw.forEach(t),um=a(Gi,` and can be used to control the model outputs. Read the
documentation from `),hi=n(Gi,"A",{href:!0});var Zw=r(hi);mm=a(Zw,"PretrainedConfig"),Zw.forEach(t),fm=a(Gi," for more information."),Gi.forEach(t),gm=h(wa),Ln=n(wa,"P",{});var _c=r(Ln);_m=a(_c,`Hyperparameters additional to BERT are taken from run_task_main.py and hparam_utils.py of the original
implementation. Original implementation available at `),Qn=n(_c,"A",{href:!0,rel:!0});var ev=r(Qn);Tm=a(ev,"https://github.com/google-research/tapas/tree/master"),ev.forEach(t),bm=a(_c,"."),_c.forEach(t),wm=h(wa),k(Co.$$.fragment,wa),wa.forEach(t),Sp=h(i),Ja=n(i,"H2",{class:!0});var Tc=r(Ja);Po=n(Tc,"A",{id:!0,class:!0,href:!0});var tv=r(Po);ed=n(tv,"SPAN",{});var sv=r(ed);k(In.$$.fragment,sv),sv.forEach(t),tv.forEach(t),vm=h(Tc),td=n(Tc,"SPAN",{});var av=r(td);ym=a(av,"TapasTokenizer"),av.forEach(t),Tc.forEach(t),Op=h(i),ct=n(i,"DIV",{class:!0});var Ct=r(ct);k(Wn.$$.fragment,Ct),km=h(Ct),sd=n(Ct,"P",{});var ov=r(sd);jm=a(ov,`Construct a TAPAS tokenizer. Based on WordPiece. Flattens a table and one or more related sentences to be used by
TAPAS models.`),ov.forEach(t),qm=h(Ct),at=n(Ct,"P",{});var ft=r(at);$m=a(ft,"This tokenizer inherits from "),ui=n(ft,"A",{href:!0});var nv=r(ui);Em=a(nv,"PreTrainedTokenizer"),nv.forEach(t),Am=a(ft,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods. `),mi=n(ft,"A",{href:!0});var rv=r(mi);Fm=a(rv,"TapasTokenizer"),rv.forEach(t),zm=a(ft,` creates several token type ids to
encode tabular structure. To be more precise, it adds 7 token type ids, in the following order: `),ad=n(ft,"CODE",{});var iv=r(ad);xm=a(iv,"segment_ids"),iv.forEach(t),Cm=a(ft,`,
`),od=n(ft,"CODE",{});var lv=r(od);Pm=a(lv,"column_ids"),lv.forEach(t),Mm=a(ft,", "),nd=n(ft,"CODE",{});var dv=r(nd);Sm=a(dv,"row_ids"),dv.forEach(t),Om=a(ft,", "),rd=n(ft,"CODE",{});var pv=r(rd);Dm=a(pv,"prev_labels"),pv.forEach(t),Nm=a(ft,", "),id=n(ft,"CODE",{});var cv=r(id);Lm=a(cv,"column_ranks"),cv.forEach(t),Qm=a(ft,", "),ld=n(ft,"CODE",{});var hv=r(ld);Im=a(hv,"inv_column_ranks"),hv.forEach(t),Wm=a(ft," and "),dd=n(ft,"CODE",{});var uv=r(dd);Hm=a(uv,"numeric_relations"),uv.forEach(t),Um=a(ft,":"),ft.forEach(t),Bm=h(Ct),yt=n(Ct,"UL",{});var os=r(yt);pd=n(os,"LI",{});var mv=r(pd);Rm=a(mv,`segment_ids: indicate whether a token belongs to the question (0) or the table (1). 0 for special tokens and
padding.`),mv.forEach(t),Gm=h(os),cd=n(os,"LI",{});var fv=r(cd);Km=a(fv,`column_ids: indicate to which column of the table a token belongs (starting from 1). Is 0 for all question
tokens, special tokens and padding.`),fv.forEach(t),Vm=h(os),hd=n(os,"LI",{});var gv=r(hd);Ym=a(gv,`row_ids: indicate to which row of the table a token belongs (starting from 1). Is 0 for all question tokens,
special tokens and padding. Tokens of column headers are also 0.`),gv.forEach(t),Jm=h(os),ud=n(os,"LI",{});var _v=r(ud);Xm=a(_v,`prev_labels: indicate whether a token was (part of) an answer to the previous question (1) or not (0). Useful in
a conversational setup (such as SQA).`),_v.forEach(t),Zm=h(os),md=n(os,"LI",{});var Tv=r(md);ef=a(Tv,`column_ranks: indicate the rank of a table token relative to a column, if applicable. For example, if you have a
column \u201Cnumber of movies\u201D with values 87, 53 and 69, then the column ranks of these tokens are 3, 1 and 2
respectively. 0 for all question tokens, special tokens and padding.`),Tv.forEach(t),tf=h(os),fd=n(os,"LI",{});var bv=r(fd);sf=a(bv,`inv_column_ranks: indicate the inverse rank of a table token relative to a column, if applicable. For example, if
you have a column \u201Cnumber of movies\u201D with values 87, 53 and 69, then the inverse column ranks of these tokens are
1, 3 and 2 respectively. 0 for all question tokens, special tokens and padding.`),bv.forEach(t),af=h(os),gd=n(os,"LI",{});var wv=r(gd);of=a(wv,`numeric_relations: indicate numeric relations between the question and the tokens of the table. 0 for all
question tokens, special tokens and padding.`),wv.forEach(t),os.forEach(t),nf=h(Ct),fi=n(Ct,"P",{});var ab=r(fi);gi=n(ab,"A",{href:!0});var vv=r(gi);rf=a(vv,"TapasTokenizer"),vv.forEach(t),lf=a(ab,` runs end-to-end tokenization on a table and associated sentences: punctuation splitting and
wordpiece.`),ab.forEach(t),df=h(Ct),Mo=n(Ct,"DIV",{class:!0});var bc=r(Mo);k(Hn.$$.fragment,bc),pf=h(bc),_d=n(bc,"P",{});var yv=r(_d);cf=a(yv,"Main method to tokenize and prepare for the model one or several sequence(s) related to a table."),yv.forEach(t),bc.forEach(t),hf=h(Ct),ba=n(Ct,"DIV",{class:!0});var Ki=r(ba);k(Un.$$.fragment,Ki),uf=h(Ki),Bn=n(Ki,"P",{});var wc=r(Bn);mf=a(wc,"Converts logits of "),_i=n(wc,"A",{href:!0});var kv=r(_i);ff=a(kv,"TapasForQuestionAnswering"),kv.forEach(t),gf=a(wc,` to actual predicted answer coordinates and optional
aggregation indices.`),wc.forEach(t),_f=h(Ki),Rn=n(Ki,"P",{});var vc=r(Rn);Tf=a(vc,`The original implementation, on which this function is based, can be found
`),Gn=n(vc,"A",{href:!0,rel:!0});var jv=r(Gn);bf=a(jv,"here"),jv.forEach(t),wf=a(vc,"."),vc.forEach(t),Ki.forEach(t),vf=h(Ct),Ti=n(Ct,"DIV",{class:!0});var qv=r(Ti);k(Kn.$$.fragment,qv),qv.forEach(t),Ct.forEach(t),Dp=h(i),Xa=n(i,"H2",{class:!0});var yc=r(Xa);So=n(yc,"A",{id:!0,class:!0,href:!0});var $v=r(So);Td=n($v,"SPAN",{});var Ev=r(Td);k(Vn.$$.fragment,Ev),Ev.forEach(t),$v.forEach(t),yf=h(yc),bd=n(yc,"SPAN",{});var Av=r(bd);kf=a(Av,"TapasModel"),Av.forEach(t),yc.forEach(t),Np=h(i),kt=n(i,"DIV",{class:!0});var Os=r(kt);k(Yn.$$.fragment,Os),jf=h(Os),Jn=n(Os,"P",{});var kc=r(Jn);qf=a(kc,`The bare Tapas Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),bi=n(kc,"A",{href:!0});var Fv=r(bi);$f=a(Fv,"PreTrainedModel"),Fv.forEach(t),Ef=a(kc,`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),kc.forEach(t),Af=h(Os),Xn=n(Os,"P",{});var jc=r(Xn);Ff=a(jc,"This model is also a PyTorch "),Zn=n(jc,"A",{href:!0,rel:!0});var zv=r(Zn);zf=a(zv,"torch.nn.Module"),zv.forEach(t),xf=a(jc,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),jc.forEach(t),Cf=h(Os),er=n(Os,"P",{});var qc=r(er);Pf=a(qc,"This class is a small change compared to "),wi=n(qc,"A",{href:!0});var xv=r(wi);Mf=a(xv,"BertModel"),xv.forEach(t),Sf=a(qc,", taking into account the additional token type ids."),qc.forEach(t),Of=h(Os),tr=n(Os,"P",{});var $c=r(tr);Df=a($c,`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),sr=n($c,"A",{href:!0,rel:!0});var Cv=r(sr);Nf=a(Cv,`Attention is
all you need`),Cv.forEach(t),Lf=a($c,` by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit,
Llion Jones, Aidan N. Gomez, Lukasz Kaiser and Illia Polosukhin.`),$c.forEach(t),Qf=h(Os),qs=n(Os,"DIV",{class:!0});var hn=r(qs);k(ar.$$.fragment,hn),If=h(hn),Za=n(hn,"P",{});var Vi=r(Za);Wf=a(Vi,"The "),vi=n(Vi,"A",{href:!0});var Pv=r(vi);Hf=a(Pv,"TapasModel"),Pv.forEach(t),Uf=a(Vi," forward method, overrides the "),wd=n(Vi,"CODE",{});var Mv=r(wd);Bf=a(Mv,"__call__"),Mv.forEach(t),Rf=a(Vi," special method."),Vi.forEach(t),Gf=h(hn),k(Oo.$$.fragment,hn),Kf=h(hn),k(Do.$$.fragment,hn),hn.forEach(t),Os.forEach(t),Lp=h(i),eo=n(i,"H2",{class:!0});var Ec=r(eo);No=n(Ec,"A",{id:!0,class:!0,href:!0});var Sv=r(No);vd=n(Sv,"SPAN",{});var Ov=r(vd);k(or.$$.fragment,Ov),Ov.forEach(t),Sv.forEach(t),Vf=h(Ec),yd=n(Ec,"SPAN",{});var Dv=r(yd);Yf=a(Dv,"TapasForMaskedLM"),Dv.forEach(t),Ec.forEach(t),Qp=h(i),Ts=n(i,"DIV",{class:!0});var un=r(Ts);k(nr.$$.fragment,un),Jf=h(un),to=n(un,"P",{});var Yi=r(to);Xf=a(Yi,"Tapas Model with a "),kd=n(Yi,"CODE",{});var Nv=r(kd);Zf=a(Nv,"language modeling"),Nv.forEach(t),eg=a(Yi,` head on top.
This model inherits from `),yi=n(Yi,"A",{href:!0});var Lv=r(yi);tg=a(Lv,"PreTrainedModel"),Lv.forEach(t),sg=a(Yi,`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Yi.forEach(t),ag=h(un),rr=n(un,"P",{});var Ac=r(rr);og=a(Ac,"This model is also a PyTorch "),ir=n(Ac,"A",{href:!0,rel:!0});var Qv=r(ir);ng=a(Qv,"torch.nn.Module"),Qv.forEach(t),rg=a(Ac,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ac.forEach(t),ig=h(un),$s=n(un,"DIV",{class:!0});var mn=r($s);k(lr.$$.fragment,mn),lg=h(mn),so=n(mn,"P",{});var Ji=r(so);dg=a(Ji,"The "),ki=n(Ji,"A",{href:!0});var Iv=r(ki);pg=a(Iv,"TapasForMaskedLM"),Iv.forEach(t),cg=a(Ji," forward method, overrides the "),jd=n(Ji,"CODE",{});var Wv=r(jd);hg=a(Wv,"__call__"),Wv.forEach(t),ug=a(Ji," special method."),Ji.forEach(t),mg=h(mn),k(Lo.$$.fragment,mn),fg=h(mn),k(Qo.$$.fragment,mn),mn.forEach(t),un.forEach(t),Ip=h(i),ao=n(i,"H2",{class:!0});var Fc=r(ao);Io=n(Fc,"A",{id:!0,class:!0,href:!0});var Hv=r(Io);qd=n(Hv,"SPAN",{});var Uv=r(qd);k(dr.$$.fragment,Uv),Uv.forEach(t),Hv.forEach(t),gg=h(Fc),$d=n(Fc,"SPAN",{});var Bv=r($d);_g=a(Bv,"TapasForSequenceClassification"),Bv.forEach(t),Fc.forEach(t),Wp=h(i),Zt=n(i,"DIV",{class:!0});var va=r(Zt);k(pr.$$.fragment,va),Tg=h(va),Ed=n(va,"P",{});var Rv=r(Ed);bg=a(Rv,`Tapas Model with a sequence classification head on top (a linear layer on top of the pooled output), e.g. for table
entailment tasks, such as TabFact (Chen et al., 2020).`),Rv.forEach(t),wg=h(va),cr=n(va,"P",{});var zc=r(cr);vg=a(zc,"This model inherits from "),ji=n(zc,"A",{href:!0});var Gv=r(ji);yg=a(Gv,"PreTrainedModel"),Gv.forEach(t),kg=a(zc,`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),zc.forEach(t),jg=h(va),hr=n(va,"P",{});var xc=r(hr);qg=a(xc,"This model is also a PyTorch "),ur=n(xc,"A",{href:!0,rel:!0});var Kv=r(ur);$g=a(Kv,"torch.nn.Module"),Kv.forEach(t),Eg=a(xc,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),xc.forEach(t),Ag=h(va),Es=n(va,"DIV",{class:!0});var fn=r(Es);k(mr.$$.fragment,fn),Fg=h(fn),oo=n(fn,"P",{});var Xi=r(oo);zg=a(Xi,"The "),qi=n(Xi,"A",{href:!0});var Vv=r(qi);xg=a(Vv,"TapasForSequenceClassification"),Vv.forEach(t),Cg=a(Xi," forward method, overrides the "),Ad=n(Xi,"CODE",{});var Yv=r(Ad);Pg=a(Yv,"__call__"),Yv.forEach(t),Mg=a(Xi," special method."),Xi.forEach(t),Sg=h(fn),k(Wo.$$.fragment,fn),Og=h(fn),k(Ho.$$.fragment,fn),fn.forEach(t),va.forEach(t),Hp=h(i),no=n(i,"H2",{class:!0});var Cc=r(no);Uo=n(Cc,"A",{id:!0,class:!0,href:!0});var Jv=r(Uo);Fd=n(Jv,"SPAN",{});var Xv=r(Fd);k(fr.$$.fragment,Xv),Xv.forEach(t),Jv.forEach(t),Dg=h(Cc),zd=n(Cc,"SPAN",{});var Zv=r(zd);Ng=a(Zv,"TapasForQuestionAnswering"),Zv.forEach(t),Cc.forEach(t),Up=h(i),es=n(i,"DIV",{class:!0});var ya=r(es);k(gr.$$.fragment,ya),Lg=h(ya),ro=n(ya,"P",{});var Zi=r(ro);Qg=a(Zi,`Tapas Model with a cell selection head and optional aggregation head on top for question-answering tasks on tables
(linear layers on top of the hidden-states output to compute `),xd=n(Zi,"CODE",{});var ey=r(xd);Ig=a(ey,"logits"),ey.forEach(t),Wg=a(Zi," and optional "),Cd=n(Zi,"CODE",{});var ty=r(Cd);Hg=a(ty,"logits_aggregation"),ty.forEach(t),Ug=a(Zi,`), e.g. for
SQA, WTQ or WikiSQL-supervised tasks.`),Zi.forEach(t),Bg=h(ya),_r=n(ya,"P",{});var Pc=r(_r);Rg=a(Pc,"This model inherits from "),$i=n(Pc,"A",{href:!0});var sy=r($i);Gg=a(sy,"PreTrainedModel"),sy.forEach(t),Kg=a(Pc,`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Pc.forEach(t),Vg=h(ya),Tr=n(ya,"P",{});var Mc=r(Tr);Yg=a(Mc,"This model is also a PyTorch "),br=n(Mc,"A",{href:!0,rel:!0});var ay=r(br);Jg=a(ay,"torch.nn.Module"),ay.forEach(t),Xg=a(Mc,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Mc.forEach(t),Zg=h(ya),As=n(ya,"DIV",{class:!0});var gn=r(As);k(wr.$$.fragment,gn),e_=h(gn),io=n(gn,"P",{});var el=r(io);t_=a(el,"The "),Ei=n(el,"A",{href:!0});var oy=r(Ei);s_=a(oy,"TapasForQuestionAnswering"),oy.forEach(t),a_=a(el," forward method, overrides the "),Pd=n(el,"CODE",{});var ny=r(Pd);o_=a(ny,"__call__"),ny.forEach(t),n_=a(el," special method."),el.forEach(t),r_=h(gn),k(Bo.$$.fragment,gn),i_=h(gn),k(Ro.$$.fragment,gn),gn.forEach(t),ya.forEach(t),Bp=h(i),lo=n(i,"H2",{class:!0});var Sc=r(lo);Go=n(Sc,"A",{id:!0,class:!0,href:!0});var ry=r(Go);Md=n(ry,"SPAN",{});var iy=r(Md);k(vr.$$.fragment,iy),iy.forEach(t),ry.forEach(t),l_=h(Sc),Sd=n(Sc,"SPAN",{});var ly=r(Sd);d_=a(ly,"TFTapasModel"),ly.forEach(t),Sc.forEach(t),Rp=h(i),jt=n(i,"DIV",{class:!0});var Ds=r(jt);k(yr.$$.fragment,Ds),p_=h(Ds),Od=n(Ds,"P",{});var dy=r(Od);c_=a(dy,"The bare Tapas Model transformer outputting raw hidden-states without any specific head on top."),dy.forEach(t),h_=h(Ds),kr=n(Ds,"P",{});var Oc=r(kr);u_=a(Oc,"This model inherits from "),Ai=n(Oc,"A",{href:!0});var py=r(Ai);m_=a(py,"TFPreTrainedModel"),py.forEach(t),f_=a(Oc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Oc.forEach(t),g_=h(Ds),jr=n(Ds,"P",{});var Dc=r(jr);__=a(Dc,"This model is also a "),qr=n(Dc,"A",{href:!0,rel:!0});var cy=r(qr);T_=a(cy,"tf.keras.Model"),cy.forEach(t),b_=a(Dc,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Dc.forEach(t),w_=h(Ds),k(Ko.$$.fragment,Ds),v_=h(Ds),Fs=n(Ds,"DIV",{class:!0});var _n=r(Fs);k($r.$$.fragment,_n),y_=h(_n),po=n(_n,"P",{});var tl=r(po);k_=a(tl,"The "),Fi=n(tl,"A",{href:!0});var hy=r(Fi);j_=a(hy,"TFTapasModel"),hy.forEach(t),q_=a(tl," forward method, overrides the "),Dd=n(tl,"CODE",{});var uy=r(Dd);$_=a(uy,"__call__"),uy.forEach(t),E_=a(tl," special method."),tl.forEach(t),A_=h(_n),k(Vo.$$.fragment,_n),F_=h(_n),k(Yo.$$.fragment,_n),_n.forEach(t),Ds.forEach(t),Gp=h(i),co=n(i,"H2",{class:!0});var Nc=r(co);Jo=n(Nc,"A",{id:!0,class:!0,href:!0});var my=r(Jo);Nd=n(my,"SPAN",{});var fy=r(Nd);k(Er.$$.fragment,fy),fy.forEach(t),my.forEach(t),z_=h(Nc),Ld=n(Nc,"SPAN",{});var gy=r(Ld);x_=a(gy,"TFTapasForMaskedLM"),gy.forEach(t),Nc.forEach(t),Kp=h(i),qt=n(i,"DIV",{class:!0});var Ns=r(qt);k(Ar.$$.fragment,Ns),C_=h(Ns),Fr=n(Ns,"P",{});var Lc=r(Fr);P_=a(Lc,"Tapas Model with a "),Qd=n(Lc,"CODE",{});var _y=r(Qd);M_=a(_y,"language modeling"),_y.forEach(t),S_=a(Lc," head on top."),Lc.forEach(t),O_=h(Ns),zr=n(Ns,"P",{});var Qc=r(zr);D_=a(Qc,"This model inherits from "),zi=n(Qc,"A",{href:!0});var Ty=r(zi);N_=a(Ty,"TFPreTrainedModel"),Ty.forEach(t),L_=a(Qc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Qc.forEach(t),Q_=h(Ns),xr=n(Ns,"P",{});var Ic=r(xr);I_=a(Ic,"This model is also a "),Cr=n(Ic,"A",{href:!0,rel:!0});var by=r(Cr);W_=a(by,"tf.keras.Model"),by.forEach(t),H_=a(Ic,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ic.forEach(t),U_=h(Ns),k(Xo.$$.fragment,Ns),B_=h(Ns),zs=n(Ns,"DIV",{class:!0});var Tn=r(zs);k(Pr.$$.fragment,Tn),R_=h(Tn),ho=n(Tn,"P",{});var sl=r(ho);G_=a(sl,"The "),xi=n(sl,"A",{href:!0});var wy=r(xi);K_=a(wy,"TFTapasForMaskedLM"),wy.forEach(t),V_=a(sl," forward method, overrides the "),Id=n(sl,"CODE",{});var vy=r(Id);Y_=a(vy,"__call__"),vy.forEach(t),J_=a(sl," special method."),sl.forEach(t),X_=h(Tn),k(Zo.$$.fragment,Tn),Z_=h(Tn),k(en.$$.fragment,Tn),Tn.forEach(t),Ns.forEach(t),Vp=h(i),uo=n(i,"H2",{class:!0});var Wc=r(uo);tn=n(Wc,"A",{id:!0,class:!0,href:!0});var yy=r(tn);Wd=n(yy,"SPAN",{});var ky=r(Wd);k(Mr.$$.fragment,ky),ky.forEach(t),yy.forEach(t),eT=h(Wc),Hd=n(Wc,"SPAN",{});var jy=r(Hd);tT=a(jy,"TFTapasForSequenceClassification"),jy.forEach(t),Wc.forEach(t),Yp=h(i),$t=n(i,"DIV",{class:!0});var Ls=r($t);k(Sr.$$.fragment,Ls),sT=h(Ls),Ud=n(Ls,"P",{});var qy=r(Ud);aT=a(qy,`Tapas Model with a sequence classification head on top (a linear layer on top of the pooled output), e.g. for table
entailment tasks, such as TabFact (Chen et al., 2020).`),qy.forEach(t),oT=h(Ls),Or=n(Ls,"P",{});var Hc=r(Or);nT=a(Hc,"This model inherits from "),Ci=n(Hc,"A",{href:!0});var $y=r(Ci);rT=a($y,"TFPreTrainedModel"),$y.forEach(t),iT=a(Hc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Hc.forEach(t),lT=h(Ls),Dr=n(Ls,"P",{});var Uc=r(Dr);dT=a(Uc,"This model is also a "),Nr=n(Uc,"A",{href:!0,rel:!0});var Ey=r(Nr);pT=a(Ey,"tf.keras.Model"),Ey.forEach(t),cT=a(Uc,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Uc.forEach(t),hT=h(Ls),k(sn.$$.fragment,Ls),uT=h(Ls),xs=n(Ls,"DIV",{class:!0});var bn=r(xs);k(Lr.$$.fragment,bn),mT=h(bn),mo=n(bn,"P",{});var al=r(mo);fT=a(al,"The "),Pi=n(al,"A",{href:!0});var Ay=r(Pi);gT=a(Ay,"TFTapasForSequenceClassification"),Ay.forEach(t),_T=a(al," forward method, overrides the "),Bd=n(al,"CODE",{});var Fy=r(Bd);TT=a(Fy,"__call__"),Fy.forEach(t),bT=a(al," special method."),al.forEach(t),wT=h(bn),k(an.$$.fragment,bn),vT=h(bn),k(on.$$.fragment,bn),bn.forEach(t),Ls.forEach(t),Jp=h(i),fo=n(i,"H2",{class:!0});var Bc=r(fo);nn=n(Bc,"A",{id:!0,class:!0,href:!0});var zy=r(nn);Rd=n(zy,"SPAN",{});var xy=r(Rd);k(Qr.$$.fragment,xy),xy.forEach(t),zy.forEach(t),yT=h(Bc),Gd=n(Bc,"SPAN",{});var Cy=r(Gd);kT=a(Cy,"TFTapasForQuestionAnswering"),Cy.forEach(t),Bc.forEach(t),Xp=h(i),Et=n(i,"DIV",{class:!0});var Qs=r(Et);k(Ir.$$.fragment,Qs),jT=h(Qs),go=n(Qs,"P",{});var ol=r(go);qT=a(ol,`Tapas Model with a cell selection head and optional aggregation head on top for question-answering tasks on tables
(linear layers on top of the hidden-states output to compute `),Kd=n(ol,"CODE",{});var Py=r(Kd);$T=a(Py,"logits"),Py.forEach(t),ET=a(ol," and optional "),Vd=n(ol,"CODE",{});var My=r(Vd);AT=a(My,"logits_aggregation"),My.forEach(t),FT=a(ol,`), e.g. for
SQA, WTQ or WikiSQL-supervised tasks.`),ol.forEach(t),zT=h(Qs),Wr=n(Qs,"P",{});var Rc=r(Wr);xT=a(Rc,"This model inherits from "),Mi=n(Rc,"A",{href:!0});var Sy=r(Mi);CT=a(Sy,"TFPreTrainedModel"),Sy.forEach(t),PT=a(Rc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Rc.forEach(t),MT=h(Qs),Hr=n(Qs,"P",{});var Gc=r(Hr);ST=a(Gc,"This model is also a "),Ur=n(Gc,"A",{href:!0,rel:!0});var Oy=r(Ur);OT=a(Oy,"tf.keras.Model"),Oy.forEach(t),DT=a(Gc,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Gc.forEach(t),NT=h(Qs),k(rn.$$.fragment,Qs),LT=h(Qs),Cs=n(Qs,"DIV",{class:!0});var wn=r(Cs);k(Br.$$.fragment,wn),QT=h(wn),_o=n(wn,"P",{});var nl=r(_o);IT=a(nl,"The "),Si=n(nl,"A",{href:!0});var Dy=r(Si);WT=a(Dy,"TFTapasForQuestionAnswering"),Dy.forEach(t),HT=a(nl," forward method, overrides the "),Yd=n(nl,"CODE",{});var Ny=r(Yd);UT=a(Ny,"__call__"),Ny.forEach(t),BT=a(nl," special method."),nl.forEach(t),RT=h(wn),k(ln.$$.fragment,wn),GT=h(wn),k(dn.$$.fragment,wn),wn.forEach(t),Qs.forEach(t),this.h()},h(){m(l,"name","hf:doc:metadata"),m(l,"content",JSON.stringify(Fk)),m(f,"id","tapas"),m(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(f,"href","#tapas"),m(d,"class","relative group"),m(G,"id","overview"),m(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(G,"href","#overview"),m(N,"class","relative group"),m(W,"href","https://www.aclweb.org/anthology/2020.acl-main.398"),m(W,"rel","nofollow"),m(D,"href","https://www.microsoft.com/en-us/download/details.aspx?id=54253"),m(D,"rel","nofollow"),m(B,"href","https://github.com/ppasupat/WikiTableQuestions"),m(B,"rel","nofollow"),m(Fe,"href","https://github.com/salesforce/WikiSQL"),m(Fe,"rel","nofollow"),m(w,"href","https://github.com/wenhuchen/Table-Fact-Checking"),m(w,"rel","nofollow"),m(be,"href","https://www.aclweb.org/anthology/2020.findings-emnlp.27/"),m(be,"rel","nofollow"),Hy(Le.src,ot="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/tapas_architecture.png")||m(Le,"src",ot),m(Le,"alt","drawing"),m(Le,"width","600"),m(de,"href","https://ai.googleblog.com/2020/04/using-neural-networks-to-find-answers.html"),m(Be,"href","https://huggingface.co/nielsr"),m(Be,"rel","nofollow"),m(Ae,"href","https://huggingface.co/kamalkraj"),m(Ae,"rel","nofollow"),m(St,"href","https://github.com/google-research/tapas"),m(St,"rel","nofollow"),m(ss,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasConfig"),m(It,"href","https://huggingface.co/models?search=tapas"),m(It,"rel","nofollow"),m(Gt,"href","https://github.com/google-research/tapas%3E"),m(Gt,"rel","nofollow"),m(_t,"id","usage-finetuning"),m(_t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(_t,"href","#usage-finetuning"),m(Yt,"class","relative group"),m(vs,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasForQuestionAnswering"),m(ks,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasForQuestionAnswering"),m(yn,"href","https://github.com/google-research/tapas/issues/91#issuecomment-735719340"),m(yn,"rel","nofollow"),m(kn,"href","https://huggingface.co/models?search=tapas"),m(kn,"rel","nofollow"),m(jn,"href","https://www.microsoft.com/en-us/download/details.aspx?id=54253"),m(jn,"rel","nofollow"),m(qn,"href","https://github.com/google-research/tapas/issues/50#issuecomment-705465960"),m(qn,"rel","nofollow"),m($n,"href","https://github.com/NielsRogge/tapas_utils"),m($n,"rel","nofollow"),m(ri,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer"),m(En,"href","https://github.com/NielsRogge/Transformers-Tutorials/blob/master/TAPAS/Fine_tuning_TapasForQuestionAnswering_on_SQA.ipynb"),m(En,"rel","nofollow"),m(An,"href","https://github.com/kamalkraj/Tapas-Tutorial/blob/master/TAPAS/Fine_tuning_TapasForQuestionAnswering_on_SQA.ipynb"),m(An,"rel","nofollow"),m($o,"id","usage-inference"),m($o,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m($o,"href","#usage-inference"),m(Ua,"class","relative group"),m(zn,"href","https://github.com/NielsRogge/Transformers-Tutorials/blob/master/TAPAS/Fine_tuning_TapasForQuestionAnswering_on_SQA.ipynb"),m(zn,"rel","nofollow"),m(xn,"href","https://github.com/kamalkraj/Tapas-Tutorial/blob/master/TAPAS/Fine_tuning_TapasForQuestionAnswering_on_SQA.ipynb"),m(xn,"rel","nofollow"),m(Ao,"id","documentation-resources"),m(Ao,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Ao,"href","#documentation-resources"),m(Ba,"class","relative group"),m(li,"href","../tasks/sequence_classification"),m(di,"href","../tasks/masked_language_modeling"),m(zo,"id","transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput"),m(zo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(zo,"href","#transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput"),m(Ra,"class","relative group"),m(pi,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasForQuestionAnswering"),m(Ga,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(xo,"id","transformers.TapasConfig"),m(xo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(xo,"href","#transformers.TapasConfig"),m(Ka,"class","relative group"),m(ci,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasModel"),m(Nn,"href","https://huggingface.co/google/tapas-base-finetuned-sqa"),m(Nn,"rel","nofollow"),m(hi,"href","/docs/transformers/pr_22444/en/main_classes/configuration#transformers.PretrainedConfig"),m(Qn,"href","https://github.com/google-research/tapas/tree/master"),m(Qn,"rel","nofollow"),m(Xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Po,"id","transformers.TapasTokenizer"),m(Po,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Po,"href","#transformers.TapasTokenizer"),m(Ja,"class","relative group"),m(ui,"href","/docs/transformers/pr_22444/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),m(mi,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer"),m(gi,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasTokenizer"),m(Mo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(_i,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasForQuestionAnswering"),m(Gn,"href","https://github.com/google-research/tapas/blob/4908213eb4df7aa988573350278b44c4dbe3f71b/tapas/experiments/prediction_utils.py#L288"),m(Gn,"rel","nofollow"),m(ba,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ti,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(So,"id","transformers.TapasModel"),m(So,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(So,"href","#transformers.TapasModel"),m(Xa,"class","relative group"),m(bi,"href","/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel"),m(Zn,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(Zn,"rel","nofollow"),m(wi,"href","/docs/transformers/pr_22444/en/model_doc/bert#transformers.BertModel"),m(sr,"href","https://arxiv.org/abs/1706.03762"),m(sr,"rel","nofollow"),m(vi,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasModel"),m(qs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(No,"id","transformers.TapasForMaskedLM"),m(No,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(No,"href","#transformers.TapasForMaskedLM"),m(eo,"class","relative group"),m(yi,"href","/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel"),m(ir,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(ir,"rel","nofollow"),m(ki,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasForMaskedLM"),m($s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ts,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Io,"id","transformers.TapasForSequenceClassification"),m(Io,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Io,"href","#transformers.TapasForSequenceClassification"),m(ao,"class","relative group"),m(ji,"href","/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel"),m(ur,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(ur,"rel","nofollow"),m(qi,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasForSequenceClassification"),m(Es,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Uo,"id","transformers.TapasForQuestionAnswering"),m(Uo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Uo,"href","#transformers.TapasForQuestionAnswering"),m(no,"class","relative group"),m($i,"href","/docs/transformers/pr_22444/en/main_classes/model#transformers.PreTrainedModel"),m(br,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),m(br,"rel","nofollow"),m(Ei,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TapasForQuestionAnswering"),m(As,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(es,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Go,"id","transformers.TFTapasModel"),m(Go,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Go,"href","#transformers.TFTapasModel"),m(lo,"class","relative group"),m(Ai,"href","/docs/transformers/pr_22444/en/main_classes/model#transformers.TFPreTrainedModel"),m(qr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),m(qr,"rel","nofollow"),m(Fi,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TFTapasModel"),m(Fs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Jo,"id","transformers.TFTapasForMaskedLM"),m(Jo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Jo,"href","#transformers.TFTapasForMaskedLM"),m(co,"class","relative group"),m(zi,"href","/docs/transformers/pr_22444/en/main_classes/model#transformers.TFPreTrainedModel"),m(Cr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),m(Cr,"rel","nofollow"),m(xi,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TFTapasForMaskedLM"),m(zs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(tn,"id","transformers.TFTapasForSequenceClassification"),m(tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(tn,"href","#transformers.TFTapasForSequenceClassification"),m(uo,"class","relative group"),m(Ci,"href","/docs/transformers/pr_22444/en/main_classes/model#transformers.TFPreTrainedModel"),m(Nr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),m(Nr,"rel","nofollow"),m(Pi,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TFTapasForSequenceClassification"),m(xs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(nn,"id","transformers.TFTapasForQuestionAnswering"),m(nn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(nn,"href","#transformers.TFTapasForQuestionAnswering"),m(fo,"class","relative group"),m(Mi,"href","/docs/transformers/pr_22444/en/main_classes/model#transformers.TFPreTrainedModel"),m(Ur,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),m(Ur,"rel","nofollow"),m(Si,"href","/docs/transformers/pr_22444/en/model_doc/tapas#transformers.TFTapasForQuestionAnswering"),m(Cs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(i,_){e(document.head,l),u(i,T,_),u(i,d,_),e(d,f),e(f,b),j(p,b,null),e(d,g),e(d,A),e(A,F),u(i,H,_),u(i,N,_),e(N,G),e(G,ae),j(v,ae,null),e(N,R),e(N,X),e(X,S),u(i,U,_),u(i,O,_),e(O,C),e(O,W),e(W,Y),e(O,le),u(i,me,_),u(i,Z,_),e(Z,ge),u(i,ce,_),u(i,ee,_),e(ee,_e),e(_e,D),e(D,L),e(_e,I),e(ee,P),e(ee,K),e(K,B),e(B,ve),e(K,ze),e(ee,he),e(ee,fe),e(fe,Fe),e(Fe,se),e(fe,ke),u(i,Te,_),u(i,Pe,_),e(Pe,Ce),u(i,je,_),u(i,Me,_),e(Me,$e),u(i,pe,_),u(i,Se,_),e(Se,ye),e(ye,J),u(i,qe,_),u(i,V,_),e(V,We),e(V,oe),e(oe,He),e(V,Ue),e(V,w),e(w,M),e(V,Ve),e(V,be),e(be,Ye),e(V,Je),u(i,Q,_),u(i,Le,_),u(i,Qe,_),u(i,Ie,_),e(Ie,Xe),e(Ie,de),e(de,Ee),e(Ie,Ze),u(i,xe,_),u(i,ne,_),e(ne,et),e(ne,Be),e(Be,re),e(ne,Re),e(ne,Ae),e(Ae,tt),e(ne,Mt),e(ne,St),e(St,Ws),e(ne,Ot),u(i,bs,_),u(i,ts,_),e(ts,Dt),u(i,ws,_),u(i,ut,_),e(ut,Oe),e(Oe,Hs),e(Oe,Nt),e(Nt,ie),e(Oe,bt),e(Oe,ss),e(ss,Us),e(Oe,Lt),e(Oe,ns),e(ns,Bs),e(Oe,Qt),e(Oe,It),e(It,Rs),e(Oe,Wt),e(Oe,rs),e(rs,Gs),e(Oe,Ht),e(Oe,is),e(is,Ks),e(Oe,Ut),e(ut,Vs),e(ut,st),e(st,Bt),e(st,ls),e(ls,Ys),e(st,Rt),e(st,ds),e(ds,Js),e(st,ps),e(st,lt),e(lt,cs),e(st,De),e(st,hs),e(hs,wt),e(st,Xs),e(st,Gt),e(Gt,Kt),e(st,Zs),e(ut,ea),e(ut,dt),e(dt,ta),e(dt,us),e(us,ms),e(dt,gt),e(dt,Vt),e(Vt,z),e(dt,te),e(ut,ka),e(ut,sa),e(sa,ja),u(i,ha,_),u(i,Yt,_),e(Yt,_t),e(_t,aa),j(vt,aa,null),e(Yt,qa),e(Yt,oa),e(oa,$a),u(i,ua,_),u(i,nt,_),e(nt,fs),e(nt,vs),e(vs,pt),e(nt,Ea),u(i,ma,_),u(i,ys,_),e(ys,na),e(na,gs),u(i,fa,_),u(i,we,_),e(we,Aa),e(we,ks),e(ks,Fa),e(we,za),u(i,ga,_),u(i,Ft,_),e(Ft,ra),e(ra,_s),e(Ft,xa),e(Ft,Ne),e(Ne,Ca),e(Ne,ia),e(ia,Pa),e(Ne,Ma),e(Ft,Sa),e(Ft,ue),e(ue,Oa),e(ue,la),e(la,Da),e(ue,Na),u(i,_a,_),u(i,js,_),e(js,La),u(i,Ta,_),u(i,Ge,_),e(Ge,da),e(da,Jt),e(Jt,pa),e(pa,rl),e(rl,Vc),e(Jt,Yc),e(Jt,il),e(il,ll),e(ll,Jc),e(Jt,Xc),e(Jt,dl),e(dl,pl),e(pl,Zc),e(Ge,eh),e(Ge,Qa),e(Qa,Ia),e(Ia,cl),e(cl,th),e(Ia,sh),e(Ia,hl),e(hl,ah),e(Ia,oh),e(Ia,ul),e(ul,nh),e(Qa,rh),e(Qa,Wa),e(Wa,ml),e(ml,ih),e(Wa,lh),e(Wa,fl),e(fl,dh),e(Wa,ph),e(Wa,gl),e(gl,ch),e(Qa,hh),e(Qa,Ha),e(Ha,_l),e(_l,uh),e(Ha,mh),e(Ha,Tl),e(Tl,fh),e(Ha,gh),e(Ha,bl),e(bl,_h),u(i,mp,_),j(wo,i,_),u(i,fp,_),u(i,vo,_),e(vo,Th),e(vo,yn),e(yn,bh),e(vo,wh),u(i,gp,_),u(i,yo,_),e(yo,vh),e(yo,kn),e(kn,yh),e(yo,kh),u(i,_p,_),u(i,Vr,_),e(Vr,wl),e(wl,jh),u(i,Tp,_),u(i,ko,_),e(ko,qh),e(ko,jn),e(jn,$h),e(ko,Eh),u(i,bp,_),u(i,rt,_),e(rt,Yr),e(Yr,vl),e(vl,Ah),e(Yr,Fh),e(rt,zh),e(rt,Jr),e(Jr,yl),e(yl,xh),e(Jr,Ch),e(rt,Ph),e(rt,Xr),e(Xr,kl),e(kl,Mh),e(Xr,Sh),e(rt,Oh),e(rt,Zr),e(Zr,jl),e(jl,Dh),e(Zr,Nh),e(rt,Lh),e(rt,ei),e(ei,ql),e(ql,Qh),e(ei,Ih),e(rt,Wh),e(rt,ti),e(ti,$l),e($l,Hh),e(ti,Uh),e(rt,Bh),e(rt,si),e(si,El),e(El,Rh),e(si,Gh),e(rt,Kh),e(rt,ai),e(ai,Al),e(Al,Vh),e(ai,Yh),e(rt,Jh),e(rt,oi),e(oi,Fl),e(Fl,Xh),e(oi,Zh),u(i,wp,_),u(i,zt,_),e(zt,eu),e(zt,qn),e(qn,tu),e(zt,su),e(zt,$n),e($n,au),e(zt,ou),e(zt,zl),e(zl,nu),e(zt,ru),e(zt,xl),e(xl,iu),e(zt,lu),e(zt,Cl),e(Cl,du),e(zt,pu),u(i,vp,_),u(i,ni,_),e(ni,Pl),e(Pl,cu),u(i,yp,_),j(jo,i,_),u(i,kp,_),u(i,Ke,_),e(Ke,hu),e(Ke,Ml),e(Ml,uu),e(Ke,mu),e(Ke,Sl),e(Sl,fu),e(Ke,gu),e(Ke,Ol),e(Ol,_u),e(Ke,Tu),e(Ke,Dl),e(Dl,bu),e(Ke,wu),e(Ke,Nl),e(Nl,vu),e(Ke,yu),e(Ke,Ll),e(Ll,ku),e(Ke,ju),e(Ke,ri),e(ri,qu),e(Ke,$u),e(Ke,En),e(En,Eu),e(Ke,Au),e(Ke,An),e(An,Fu),e(Ke,zu),u(i,jp,_),u(i,ii,_),e(ii,xu),u(i,qp,_),j(qo,i,_),u(i,$p,_),u(i,Ua,_),e(Ua,$o),e($o,Ql),j(Fn,Ql,null),e(Ua,Cu),e(Ua,Il),e(Il,Pu),u(i,Ep,_),j(Eo,i,_),u(i,Ap,_),u(i,xt,_),e(xt,Mu),e(xt,Wl),e(Wl,Su),e(xt,Ou),e(xt,Hl),e(Hl,Du),e(xt,Nu),e(xt,Ul),e(Ul,Lu),e(xt,Qu),e(xt,zn),e(zn,Iu),e(xt,Wu),e(xt,xn),e(xn,Hu),e(xt,Uu),u(i,Fp,_),u(i,Ba,_),e(Ba,Ao),e(Ao,Bl),j(Cn,Bl,null),e(Ba,Bu),e(Ba,Rl),e(Rl,Ru),u(i,zp,_),u(i,Fo,_),e(Fo,Gl),e(Gl,li),e(li,Gu),e(Fo,Ku),e(Fo,Kl),e(Kl,di),e(di,Vu),u(i,xp,_),u(i,Ra,_),e(Ra,zo),e(zo,Vl),j(Pn,Vl,null),e(Ra,Yu),e(Ra,Yl),e(Yl,Ju),u(i,Cp,_),u(i,Ga,_),j(Mn,Ga,null),e(Ga,Xu),e(Ga,Sn),e(Sn,Zu),e(Sn,pi),e(pi,em),e(Sn,tm),u(i,Pp,_),u(i,Ka,_),e(Ka,xo),e(xo,Jl),j(On,Jl,null),e(Ka,sm),e(Ka,Xl),e(Xl,am),u(i,Mp,_),u(i,Xt,_),j(Dn,Xt,null),e(Xt,om),e(Xt,Va),e(Va,nm),e(Va,ci),e(ci,rm),e(Va,im),e(Va,Nn),e(Nn,lm),e(Va,dm),e(Xt,pm),e(Xt,Ya),e(Ya,cm),e(Ya,Zl),e(Zl,hm),e(Ya,um),e(Ya,hi),e(hi,mm),e(Ya,fm),e(Xt,gm),e(Xt,Ln),e(Ln,_m),e(Ln,Qn),e(Qn,Tm),e(Ln,bm),e(Xt,wm),j(Co,Xt,null),u(i,Sp,_),u(i,Ja,_),e(Ja,Po),e(Po,ed),j(In,ed,null),e(Ja,vm),e(Ja,td),e(td,ym),u(i,Op,_),u(i,ct,_),j(Wn,ct,null),e(ct,km),e(ct,sd),e(sd,jm),e(ct,qm),e(ct,at),e(at,$m),e(at,ui),e(ui,Em),e(at,Am),e(at,mi),e(mi,Fm),e(at,zm),e(at,ad),e(ad,xm),e(at,Cm),e(at,od),e(od,Pm),e(at,Mm),e(at,nd),e(nd,Sm),e(at,Om),e(at,rd),e(rd,Dm),e(at,Nm),e(at,id),e(id,Lm),e(at,Qm),e(at,ld),e(ld,Im),e(at,Wm),e(at,dd),e(dd,Hm),e(at,Um),e(ct,Bm),e(ct,yt),e(yt,pd),e(pd,Rm),e(yt,Gm),e(yt,cd),e(cd,Km),e(yt,Vm),e(yt,hd),e(hd,Ym),e(yt,Jm),e(yt,ud),e(ud,Xm),e(yt,Zm),e(yt,md),e(md,ef),e(yt,tf),e(yt,fd),e(fd,sf),e(yt,af),e(yt,gd),e(gd,of),e(ct,nf),e(ct,fi),e(fi,gi),e(gi,rf),e(fi,lf),e(ct,df),e(ct,Mo),j(Hn,Mo,null),e(Mo,pf),e(Mo,_d),e(_d,cf),e(ct,hf),e(ct,ba),j(Un,ba,null),e(ba,uf),e(ba,Bn),e(Bn,mf),e(Bn,_i),e(_i,ff),e(Bn,gf),e(ba,_f),e(ba,Rn),e(Rn,Tf),e(Rn,Gn),e(Gn,bf),e(Rn,wf),e(ct,vf),e(ct,Ti),j(Kn,Ti,null),u(i,Dp,_),u(i,Xa,_),e(Xa,So),e(So,Td),j(Vn,Td,null),e(Xa,yf),e(Xa,bd),e(bd,kf),u(i,Np,_),u(i,kt,_),j(Yn,kt,null),e(kt,jf),e(kt,Jn),e(Jn,qf),e(Jn,bi),e(bi,$f),e(Jn,Ef),e(kt,Af),e(kt,Xn),e(Xn,Ff),e(Xn,Zn),e(Zn,zf),e(Xn,xf),e(kt,Cf),e(kt,er),e(er,Pf),e(er,wi),e(wi,Mf),e(er,Sf),e(kt,Of),e(kt,tr),e(tr,Df),e(tr,sr),e(sr,Nf),e(tr,Lf),e(kt,Qf),e(kt,qs),j(ar,qs,null),e(qs,If),e(qs,Za),e(Za,Wf),e(Za,vi),e(vi,Hf),e(Za,Uf),e(Za,wd),e(wd,Bf),e(Za,Rf),e(qs,Gf),j(Oo,qs,null),e(qs,Kf),j(Do,qs,null),u(i,Lp,_),u(i,eo,_),e(eo,No),e(No,vd),j(or,vd,null),e(eo,Vf),e(eo,yd),e(yd,Yf),u(i,Qp,_),u(i,Ts,_),j(nr,Ts,null),e(Ts,Jf),e(Ts,to),e(to,Xf),e(to,kd),e(kd,Zf),e(to,eg),e(to,yi),e(yi,tg),e(to,sg),e(Ts,ag),e(Ts,rr),e(rr,og),e(rr,ir),e(ir,ng),e(rr,rg),e(Ts,ig),e(Ts,$s),j(lr,$s,null),e($s,lg),e($s,so),e(so,dg),e(so,ki),e(ki,pg),e(so,cg),e(so,jd),e(jd,hg),e(so,ug),e($s,mg),j(Lo,$s,null),e($s,fg),j(Qo,$s,null),u(i,Ip,_),u(i,ao,_),e(ao,Io),e(Io,qd),j(dr,qd,null),e(ao,gg),e(ao,$d),e($d,_g),u(i,Wp,_),u(i,Zt,_),j(pr,Zt,null),e(Zt,Tg),e(Zt,Ed),e(Ed,bg),e(Zt,wg),e(Zt,cr),e(cr,vg),e(cr,ji),e(ji,yg),e(cr,kg),e(Zt,jg),e(Zt,hr),e(hr,qg),e(hr,ur),e(ur,$g),e(hr,Eg),e(Zt,Ag),e(Zt,Es),j(mr,Es,null),e(Es,Fg),e(Es,oo),e(oo,zg),e(oo,qi),e(qi,xg),e(oo,Cg),e(oo,Ad),e(Ad,Pg),e(oo,Mg),e(Es,Sg),j(Wo,Es,null),e(Es,Og),j(Ho,Es,null),u(i,Hp,_),u(i,no,_),e(no,Uo),e(Uo,Fd),j(fr,Fd,null),e(no,Dg),e(no,zd),e(zd,Ng),u(i,Up,_),u(i,es,_),j(gr,es,null),e(es,Lg),e(es,ro),e(ro,Qg),e(ro,xd),e(xd,Ig),e(ro,Wg),e(ro,Cd),e(Cd,Hg),e(ro,Ug),e(es,Bg),e(es,_r),e(_r,Rg),e(_r,$i),e($i,Gg),e(_r,Kg),e(es,Vg),e(es,Tr),e(Tr,Yg),e(Tr,br),e(br,Jg),e(Tr,Xg),e(es,Zg),e(es,As),j(wr,As,null),e(As,e_),e(As,io),e(io,t_),e(io,Ei),e(Ei,s_),e(io,a_),e(io,Pd),e(Pd,o_),e(io,n_),e(As,r_),j(Bo,As,null),e(As,i_),j(Ro,As,null),u(i,Bp,_),u(i,lo,_),e(lo,Go),e(Go,Md),j(vr,Md,null),e(lo,l_),e(lo,Sd),e(Sd,d_),u(i,Rp,_),u(i,jt,_),j(yr,jt,null),e(jt,p_),e(jt,Od),e(Od,c_),e(jt,h_),e(jt,kr),e(kr,u_),e(kr,Ai),e(Ai,m_),e(kr,f_),e(jt,g_),e(jt,jr),e(jr,__),e(jr,qr),e(qr,T_),e(jr,b_),e(jt,w_),j(Ko,jt,null),e(jt,v_),e(jt,Fs),j($r,Fs,null),e(Fs,y_),e(Fs,po),e(po,k_),e(po,Fi),e(Fi,j_),e(po,q_),e(po,Dd),e(Dd,$_),e(po,E_),e(Fs,A_),j(Vo,Fs,null),e(Fs,F_),j(Yo,Fs,null),u(i,Gp,_),u(i,co,_),e(co,Jo),e(Jo,Nd),j(Er,Nd,null),e(co,z_),e(co,Ld),e(Ld,x_),u(i,Kp,_),u(i,qt,_),j(Ar,qt,null),e(qt,C_),e(qt,Fr),e(Fr,P_),e(Fr,Qd),e(Qd,M_),e(Fr,S_),e(qt,O_),e(qt,zr),e(zr,D_),e(zr,zi),e(zi,N_),e(zr,L_),e(qt,Q_),e(qt,xr),e(xr,I_),e(xr,Cr),e(Cr,W_),e(xr,H_),e(qt,U_),j(Xo,qt,null),e(qt,B_),e(qt,zs),j(Pr,zs,null),e(zs,R_),e(zs,ho),e(ho,G_),e(ho,xi),e(xi,K_),e(ho,V_),e(ho,Id),e(Id,Y_),e(ho,J_),e(zs,X_),j(Zo,zs,null),e(zs,Z_),j(en,zs,null),u(i,Vp,_),u(i,uo,_),e(uo,tn),e(tn,Wd),j(Mr,Wd,null),e(uo,eT),e(uo,Hd),e(Hd,tT),u(i,Yp,_),u(i,$t,_),j(Sr,$t,null),e($t,sT),e($t,Ud),e(Ud,aT),e($t,oT),e($t,Or),e(Or,nT),e(Or,Ci),e(Ci,rT),e(Or,iT),e($t,lT),e($t,Dr),e(Dr,dT),e(Dr,Nr),e(Nr,pT),e(Dr,cT),e($t,hT),j(sn,$t,null),e($t,uT),e($t,xs),j(Lr,xs,null),e(xs,mT),e(xs,mo),e(mo,fT),e(mo,Pi),e(Pi,gT),e(mo,_T),e(mo,Bd),e(Bd,TT),e(mo,bT),e(xs,wT),j(an,xs,null),e(xs,vT),j(on,xs,null),u(i,Jp,_),u(i,fo,_),e(fo,nn),e(nn,Rd),j(Qr,Rd,null),e(fo,yT),e(fo,Gd),e(Gd,kT),u(i,Xp,_),u(i,Et,_),j(Ir,Et,null),e(Et,jT),e(Et,go),e(go,qT),e(go,Kd),e(Kd,$T),e(go,ET),e(go,Vd),e(Vd,AT),e(go,FT),e(Et,zT),e(Et,Wr),e(Wr,xT),e(Wr,Mi),e(Mi,CT),e(Wr,PT),e(Et,MT),e(Et,Hr),e(Hr,ST),e(Hr,Ur),e(Ur,OT),e(Hr,DT),e(Et,NT),j(rn,Et,null),e(Et,LT),e(Et,Cs),j(Br,Cs,null),e(Cs,QT),e(Cs,_o),e(_o,IT),e(_o,Si),e(Si,WT),e(_o,HT),e(_o,Yd),e(Yd,UT),e(_o,BT),e(Cs,RT),j(ln,Cs,null),e(Cs,GT),j(dn,Cs,null),Zp=!0},p(i,[_]){const Rr={};_&2&&(Rr.$$scope={dirty:_,ctx:i}),wo.$set(Rr);const Jd={};_&2&&(Jd.$$scope={dirty:_,ctx:i}),jo.$set(Jd);const Xd={};_&2&&(Xd.$$scope={dirty:_,ctx:i}),qo.$set(Xd);const Zd={};_&2&&(Zd.$$scope={dirty:_,ctx:i}),Eo.$set(Zd);const Gr={};_&2&&(Gr.$$scope={dirty:_,ctx:i}),Co.$set(Gr);const ep={};_&2&&(ep.$$scope={dirty:_,ctx:i}),Oo.$set(ep);const tp={};_&2&&(tp.$$scope={dirty:_,ctx:i}),Do.$set(tp);const sp={};_&2&&(sp.$$scope={dirty:_,ctx:i}),Lo.$set(sp);const Kr={};_&2&&(Kr.$$scope={dirty:_,ctx:i}),Qo.$set(Kr);const ap={};_&2&&(ap.$$scope={dirty:_,ctx:i}),Wo.$set(ap);const op={};_&2&&(op.$$scope={dirty:_,ctx:i}),Ho.$set(op);const To={};_&2&&(To.$$scope={dirty:_,ctx:i}),Bo.$set(To);const Oi={};_&2&&(Oi.$$scope={dirty:_,ctx:i}),Ro.$set(Oi);const np={};_&2&&(np.$$scope={dirty:_,ctx:i}),Ko.$set(np);const Di={};_&2&&(Di.$$scope={dirty:_,ctx:i}),Vo.$set(Di);const rp={};_&2&&(rp.$$scope={dirty:_,ctx:i}),Yo.$set(rp);const Ni={};_&2&&(Ni.$$scope={dirty:_,ctx:i}),Xo.$set(Ni);const ip={};_&2&&(ip.$$scope={dirty:_,ctx:i}),Zo.$set(ip);const lp={};_&2&&(lp.$$scope={dirty:_,ctx:i}),en.$set(lp);const dp={};_&2&&(dp.$$scope={dirty:_,ctx:i}),sn.$set(dp);const pp={};_&2&&(pp.$$scope={dirty:_,ctx:i}),an.$set(pp);const cp={};_&2&&(cp.$$scope={dirty:_,ctx:i}),on.$set(cp);const ca={};_&2&&(ca.$$scope={dirty:_,ctx:i}),rn.$set(ca);const hp={};_&2&&(hp.$$scope={dirty:_,ctx:i}),ln.$set(hp);const up={};_&2&&(up.$$scope={dirty:_,ctx:i}),dn.$set(up)},i(i){Zp||(q(p.$$.fragment,i),q(v.$$.fragment,i),q(vt.$$.fragment,i),q(wo.$$.fragment,i),q(jo.$$.fragment,i),q(qo.$$.fragment,i),q(Fn.$$.fragment,i),q(Eo.$$.fragment,i),q(Cn.$$.fragment,i),q(Pn.$$.fragment,i),q(Mn.$$.fragment,i),q(On.$$.fragment,i),q(Dn.$$.fragment,i),q(Co.$$.fragment,i),q(In.$$.fragment,i),q(Wn.$$.fragment,i),q(Hn.$$.fragment,i),q(Un.$$.fragment,i),q(Kn.$$.fragment,i),q(Vn.$$.fragment,i),q(Yn.$$.fragment,i),q(ar.$$.fragment,i),q(Oo.$$.fragment,i),q(Do.$$.fragment,i),q(or.$$.fragment,i),q(nr.$$.fragment,i),q(lr.$$.fragment,i),q(Lo.$$.fragment,i),q(Qo.$$.fragment,i),q(dr.$$.fragment,i),q(pr.$$.fragment,i),q(mr.$$.fragment,i),q(Wo.$$.fragment,i),q(Ho.$$.fragment,i),q(fr.$$.fragment,i),q(gr.$$.fragment,i),q(wr.$$.fragment,i),q(Bo.$$.fragment,i),q(Ro.$$.fragment,i),q(vr.$$.fragment,i),q(yr.$$.fragment,i),q(Ko.$$.fragment,i),q($r.$$.fragment,i),q(Vo.$$.fragment,i),q(Yo.$$.fragment,i),q(Er.$$.fragment,i),q(Ar.$$.fragment,i),q(Xo.$$.fragment,i),q(Pr.$$.fragment,i),q(Zo.$$.fragment,i),q(en.$$.fragment,i),q(Mr.$$.fragment,i),q(Sr.$$.fragment,i),q(sn.$$.fragment,i),q(Lr.$$.fragment,i),q(an.$$.fragment,i),q(on.$$.fragment,i),q(Qr.$$.fragment,i),q(Ir.$$.fragment,i),q(rn.$$.fragment,i),q(Br.$$.fragment,i),q(ln.$$.fragment,i),q(dn.$$.fragment,i),Zp=!0)},o(i){$(p.$$.fragment,i),$(v.$$.fragment,i),$(vt.$$.fragment,i),$(wo.$$.fragment,i),$(jo.$$.fragment,i),$(qo.$$.fragment,i),$(Fn.$$.fragment,i),$(Eo.$$.fragment,i),$(Cn.$$.fragment,i),$(Pn.$$.fragment,i),$(Mn.$$.fragment,i),$(On.$$.fragment,i),$(Dn.$$.fragment,i),$(Co.$$.fragment,i),$(In.$$.fragment,i),$(Wn.$$.fragment,i),$(Hn.$$.fragment,i),$(Un.$$.fragment,i),$(Kn.$$.fragment,i),$(Vn.$$.fragment,i),$(Yn.$$.fragment,i),$(ar.$$.fragment,i),$(Oo.$$.fragment,i),$(Do.$$.fragment,i),$(or.$$.fragment,i),$(nr.$$.fragment,i),$(lr.$$.fragment,i),$(Lo.$$.fragment,i),$(Qo.$$.fragment,i),$(dr.$$.fragment,i),$(pr.$$.fragment,i),$(mr.$$.fragment,i),$(Wo.$$.fragment,i),$(Ho.$$.fragment,i),$(fr.$$.fragment,i),$(gr.$$.fragment,i),$(wr.$$.fragment,i),$(Bo.$$.fragment,i),$(Ro.$$.fragment,i),$(vr.$$.fragment,i),$(yr.$$.fragment,i),$(Ko.$$.fragment,i),$($r.$$.fragment,i),$(Vo.$$.fragment,i),$(Yo.$$.fragment,i),$(Er.$$.fragment,i),$(Ar.$$.fragment,i),$(Xo.$$.fragment,i),$(Pr.$$.fragment,i),$(Zo.$$.fragment,i),$(en.$$.fragment,i),$(Mr.$$.fragment,i),$(Sr.$$.fragment,i),$(sn.$$.fragment,i),$(Lr.$$.fragment,i),$(an.$$.fragment,i),$(on.$$.fragment,i),$(Qr.$$.fragment,i),$(Ir.$$.fragment,i),$(rn.$$.fragment,i),$(Br.$$.fragment,i),$(ln.$$.fragment,i),$(dn.$$.fragment,i),Zp=!1},d(i){t(l),i&&t(T),i&&t(d),E(p),i&&t(H),i&&t(N),E(v),i&&t(U),i&&t(O),i&&t(me),i&&t(Z),i&&t(ce),i&&t(ee),i&&t(Te),i&&t(Pe),i&&t(je),i&&t(Me),i&&t(pe),i&&t(Se),i&&t(qe),i&&t(V),i&&t(Q),i&&t(Le),i&&t(Qe),i&&t(Ie),i&&t(xe),i&&t(ne),i&&t(bs),i&&t(ts),i&&t(ws),i&&t(ut),i&&t(ha),i&&t(Yt),E(vt),i&&t(ua),i&&t(nt),i&&t(ma),i&&t(ys),i&&t(fa),i&&t(we),i&&t(ga),i&&t(Ft),i&&t(_a),i&&t(js),i&&t(Ta),i&&t(Ge),i&&t(mp),E(wo,i),i&&t(fp),i&&t(vo),i&&t(gp),i&&t(yo),i&&t(_p),i&&t(Vr),i&&t(Tp),i&&t(ko),i&&t(bp),i&&t(rt),i&&t(wp),i&&t(zt),i&&t(vp),i&&t(ni),i&&t(yp),E(jo,i),i&&t(kp),i&&t(Ke),i&&t(jp),i&&t(ii),i&&t(qp),E(qo,i),i&&t($p),i&&t(Ua),E(Fn),i&&t(Ep),E(Eo,i),i&&t(Ap),i&&t(xt),i&&t(Fp),i&&t(Ba),E(Cn),i&&t(zp),i&&t(Fo),i&&t(xp),i&&t(Ra),E(Pn),i&&t(Cp),i&&t(Ga),E(Mn),i&&t(Pp),i&&t(Ka),E(On),i&&t(Mp),i&&t(Xt),E(Dn),E(Co),i&&t(Sp),i&&t(Ja),E(In),i&&t(Op),i&&t(ct),E(Wn),E(Hn),E(Un),E(Kn),i&&t(Dp),i&&t(Xa),E(Vn),i&&t(Np),i&&t(kt),E(Yn),E(ar),E(Oo),E(Do),i&&t(Lp),i&&t(eo),E(or),i&&t(Qp),i&&t(Ts),E(nr),E(lr),E(Lo),E(Qo),i&&t(Ip),i&&t(ao),E(dr),i&&t(Wp),i&&t(Zt),E(pr),E(mr),E(Wo),E(Ho),i&&t(Hp),i&&t(no),E(fr),i&&t(Up),i&&t(es),E(gr),E(wr),E(Bo),E(Ro),i&&t(Bp),i&&t(lo),E(vr),i&&t(Rp),i&&t(jt),E(yr),E(Ko),E($r),E(Vo),E(Yo),i&&t(Gp),i&&t(co),E(Er),i&&t(Kp),i&&t(qt),E(Ar),E(Xo),E(Pr),E(Zo),E(en),i&&t(Vp),i&&t(uo),E(Mr),i&&t(Yp),i&&t($t),E(Sr),E(sn),E(Lr),E(an),E(on),i&&t(Jp),i&&t(fo),E(Qr),i&&t(Xp),i&&t(Et),E(Ir),E(rn),E(Br),E(ln),E(dn)}}}const Fk={local:"tapas",sections:[{local:"overview",title:"Overview"},{local:"usage-finetuning",title:"Usage: fine-tuning"},{local:"usage-inference",title:"Usage: inference"},{local:"documentation-resources",title:"Documentation resources"},{local:"transformers.models.tapas.modeling_tapas.TableQuestionAnsweringOutput",title:"TAPAS specific outputs"},{local:"transformers.TapasConfig",title:"TapasConfig"},{local:"transformers.TapasTokenizer",title:"TapasTokenizer"},{local:"transformers.TapasModel",title:"TapasModel"},{local:"transformers.TapasForMaskedLM",title:"TapasForMaskedLM"},{local:"transformers.TapasForSequenceClassification",title:"TapasForSequenceClassification"},{local:"transformers.TapasForQuestionAnswering",title:"TapasForQuestionAnswering"},{local:"transformers.TFTapasModel",title:"TFTapasModel"},{local:"transformers.TFTapasForMaskedLM",title:"TFTapasForMaskedLM"},{local:"transformers.TFTapasForSequenceClassification",title:"TFTapasForSequenceClassification"},{local:"transformers.TFTapasForQuestionAnswering",title:"TFTapasForQuestionAnswering"}],title:"TAPAS"};function zk(x){return Uy(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Nk extends Ly{constructor(l){super();Qy(this,l,zk,Ak,Iy,{})}}export{Nk as default,Fk as metadata};
